<?php
require_once('../../itsm/dist/control/Database.php');
require_once('../../itsm/dist/control/functions.php');

// Database Connection
$conn = new Database();
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | REST API Testing</title>
        <link href="../../itsm/dist/css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="../../itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="/itsm/dist/js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***
                // *** Click Events *** 


                // *** BEGIN USERS ***
                // List Users
                $('#button_users').on('click', function () {
                    var limit = $('#inputUsersLimit').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'users&limit=' + limit + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputUsers').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Get User
                $('#button_user').on('click', function () {
                    var userID = $('#inputUsersUserID').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (userID.trim() === '') {
                        toastr.error("Enter a User ID");
                        $('#inputUsersUserID').focus();
                    }  else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'users&user_id=' + userID + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputUsersUser').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Create User
                $('#button_create_user').on('click', function () {
                    var name = $('#inputCreateUsersName').val();
                    var lastName = $('#inputCreateUsersLastName').val();
                    var email = $('#inputCreateUsersEmail').val();
                    var roleID = $('#inputCreateUsersRoleID').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (email.trim() === '') {
                        toastr.error("Enter a valid E-Mail");
                        $('#inputCreateUsersEmail').focus();
                    } else if (roleID.trim() === '') {
                        toastr.error("Enter a Role ID");
                        $('#inputCreateUsersRoleID').focus();
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: 'restful.php',
                            data: 'users&name=' + name + '&last_name=' + lastName +
                                    '&email=' + email + '&role_id=' + roleID + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputUsersUserCreate').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Update User
                $('#button_update_user').on('click', function () {
                    var userID = $('#inputUpdateUsersUserID').val();
                    var name = $('#inputUpdateUsersName').val();
                    var lastName = $('#inputUpdateUsersLastName').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (userID.trim() === '') {
                        toastr.error("Enter a User ID");
                        $('#inputUpdateUsersUserID').focus();
                    } else {
                        $.ajax({
                            type: 'PUT',
                            url: 'restful.php?users&user_id=' + userID + '&name=' + name + '&last_name=' + lastName + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputUsersUserUpdate').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // *** END USERS ***
                // 
                // *** BEGIN TICKETS ***

                // List Tickets
                $('#button_tickets').on('click', function () {
                    var limit = $('#inputTicketsLimit').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'tickets&limit=' + limit + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputTickets').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Get Ticket
                $('#button_ticket').on('click', function () {
                    var ticketID = $('#inputTicketsTicketID').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (ticketID.trim() === '') {
                        toastr.error("Enter a Ticket ID");
                        $('#inputTicketsTicketID').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'tickets&ticket_id=' + ticketID + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputTicketsTicket').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Create Ticket
                $('#button_create_ticket').on('click', function () {
                    var creatorUserID = $('#inputCreateTicketsCreatorUserID').val();
                    var affectedUserID = $('#inputCreateTicketsAffectedUserID').val();
                    var requestorUserID = $('#inputCreateTicketsRequestorUserID').val();
                    var statusID = $('#inputCreateTicketsStatusID').val();
                    var urgencyID = $('#inputCreateTicketsUrgencyID').val();
                    var impactID = $('#inputCreateTicketsImpactID').val();
                    var slaID = $('#inputCreateTicketsSLAID').val();
                    var categoryID = $('#inputCreateTicketsCategoryID').val();
                    var groupID = $('#inputCreateTicketsGroupID').val();
                    var title = $('#inputCreateTicketsTitle').val();
                    var description = $('#inputCreateTicketsDescription').val();
                    var ticketType = $('#selectTicketType option:selected').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (creatorUserID.trim() === '') {
                        toastr.error("Enter a Creator User ID");
                        $('#inputCreateTicketsCreatorUserID').focus();
                    } else if (affectedUserID.trim() === '') {
                        toastr.error("Enter a Affected User ID");
                        $('#inputCreateTicketsAffectedUserID').focus();
                    } else if (requestorUserID.trim() === '') {
                        toastr.error("Enter a Requestor User ID");
                        $('#inputCreateTicketsRequestorUserID').focus();
                    } else if (statusID.trim() === '') {
                        toastr.error("Enter a Status ID");
                        $('#inputCreateTicketsStatusID').focus();
                    } else if (urgencyID.trim() === '') {
                        toastr.error("Enter a Urgency ID");
                        $('#inputCreateTicketsUrgencyID').focus();
                    } else if (impactID.trim() === '') {
                        toastr.error("Enter a Impact ID");
                        $('#inputCreateTicketsImpactID').focus();
                    } else if (slaID.trim() === '') {
                        toastr.error("Enter a SLA ID");
                        $('#inputCreateTicketsSLAID').focus();
                    } else if (categoryID.trim() === '') {
                        toastr.error("Enter a Category ID");
                        $('#inputCreateTicketsCategoryID').focus();
                    } else if (groupID.trim() === '') {
                        toastr.error("Enter a Group ID");
                        $('#inputCreateTicketsGroupID').focus();
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: 'restful.php',
                            data: 'tickets&creator_user_id=' + creatorUserID + '&affected_user_id=' + affectedUserID +
                                    '&requestor_user_id=' + requestorUserID + '&status_id=' + statusID + '&urgency_id=' + urgencyID +
                                    '&impact_id=' + impactID + '&sla_id=' + slaID + '&category_id=' + categoryID +
                                    '&group_id=' + groupID + '&title=' + title + '&description=' + description + '&ticket_type=' + ticketType + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputTicketsTicketCreate').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Update Ticket
                $('#button_update_ticket').on('click', function () {
                    var ticketID = $('#inputUpdateTicketsTicketID').val();
                    var title = $('#inputUpdateTicketsTitle').val();
                    var description = $('#inputUpdateTicketsDescription').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (ticketID.trim() === '') {
                        toastr.error("Enter a Ticket ID");
                        $('#inputUpdateTicketsTicketID').focus();
                    } else {
                        $.ajax({
                            type: 'PUT',
                            url: 'restful.php?tickets&ticket_id=' + ticketID + '&title=' + title + '&description=' + description + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputTicketsTicketUpdate').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Close Ticket
                $('#button_close_ticket').on('click', function () {
                    var ticketID = $('#inputCloseTicketsTicketID').val();
                    var solution = $('#inputCloseTicketsSolution').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (ticketID.trim() === '') {
                        toastr.error("Enter a Ticket ID");
                        $('#inputCloseTicketsTicketID').focus();
                    } else {
                        $.ajax({
                            type: 'PUT',
                            url: 'restful.php?tickets&close&ticket_id=' + ticketID + '&solution=' + solution + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputTicketsTicketClose').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // *** END TICKETS ***

                // *** BEGIN ACTIVITIES ***

                // Get Activities of a Ticket
                $('#button_activities').on('click', function () {
                    var ticketID = $('#inputActivitiesTicketID').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (ticketID.trim() === '') {
                        toastr.error("Enter a Ticket ID");
                        $('#inputActivitiesTicketID').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'activities&ticket_id=' + ticketID + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputActivities').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Create Activity
                $('#button_create_activity').on('click', function () {
                    var ticketID = $('#inputCreateActivitiesTicketID').val();
                    var activityTypeID = $('#selectCreateActivitiesActivityType').val();
                    var comment = $('#inputCreateActivitiesComment').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (ticketID.trim() === '') {
                        toastr.error("Enter a Ticket ID");
                        $('#inputCreateActivitiesTicketID').focus();
                    } else if (activityTypeID.trim() === '') {
                        toastr.error("Enter a Activity Type ID");
                        $('#selectCreateActivitiesActivityTypeID').focus();
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: 'restful.php',
                            data: 'activities&ticket_id=' + ticketID + '&activity_type_id=' + activityTypeID +
                                    '&comment=' + comment + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputActivitiesActivityCreate').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // *** END ACTIVITIES ***
                
                // *** BEGIN NEWS ***

                // List News
                $('#button_news').on('click', function () {
                    var limit = $('#inputNewsLimit').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'news&limit=' + limit + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputNews').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Get New
                $('#button_new').on('click', function () {
                    var newID = $('#inputNewsNewID').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (newID.trim() === '') {
                        toastr.error("Enter a New ID");
                        $('#inputNewsNewID').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'news&new_id=' + newID + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputNewsNew').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Create New
                $('#button_create_new').on('click', function () {
                    var title = $('#inputCreateNewsTitle').val();
                    var description = $('#inputCreateNewsDescription').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (title.trim() === '') {
                        toastr.error("Enter a Title");
                        $('#inputCreateNewsTitle').focus();
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: 'restful.php',
                            data: 'news&title=' + title + '&description=' + description + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputNewsNewCreate').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Update New
                $('#button_update_new').on('click', function () {
                    var newID = $('#inputUpdateNewsNewID').val();
                    var title = $('#inputUpdateNewsTitle').val();
                    var description = $('#inputUpdateNewsDescription').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (newID.trim() === '') {
                        toastr.error("Enter a New ID");
                        $('#inputUpdateNewsNewID').focus();
                    } else if (title.trim() === '') {
                        toastr.error("Enter a Title");
                        $('#inputUpdateNewsTitle').focus();
                    } else {
                        $.ajax({
                            type: 'PUT',
                            url: 'restful.php?news&new_id=' + newID + '&title=' + title + '&description=' + description + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputNewsNewUpdate').setContent(msg);
                                }
                            }
                        });
                    }
                });
                
                // *** END NEWS ***
                
                // *** BEGIN DEPARMENTS ***

                // List Departments
                $('#button_departments').on('click', function () {
                    var limit = $('#inputDepartmentsLimit').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'departments&limit=' + limit + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputDepartments').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Get Department
                $('#button_department').on('click', function () {
                    var departmentID = $('#inputDepartmentsDepartmentID').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (departmentID.trim() === '') {
                        toastr.error("Enter a Department ID");
                        $('#inputDepartmentsDepartmentID').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'departments&department_id=' + departmentID + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputDepartmentsDepartment').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Create Department
                $('#button_create_department').on('click', function () {
                    var name = $('#inputCreateDepartmentsName').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (name.trim() === '') {
                        toastr.error("Enter a Title");
                        $('#inputCreateDepartmentsTitle').focus();
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: 'restful.php',
                            data: 'departments&name=' + name + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputDepartmentsDepartmentCreate').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Update Department
                $('#button_update_department').on('click', function () {
                    var departmentID = $('#inputUpdateDepartmentsDepartmentID').val();
                    var name = $('#inputUpdateDepartmentsName').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (departmentID.trim() === '') {
                        toastr.error("Enter a Department ID");
                        $('#inputUpdateDepartmentsDepartmentID').focus();
                    } else if (name.trim() === '') {
                        toastr.error("Enter a Name");
                        $('#inputUpdateDepartmentsName').focus();
                    } else {
                        $.ajax({
                            type: 'PUT',
                            url: 'restful.php?departments&department_id=' + departmentID + '&name=' + name + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputDepartmentsDepartmentUpdate').setContent(msg);
                                }
                            }
                        });
                    }
                });
                
                // *** END DEPARMENTS ***
                
                // *** BEGIN LOCATIONS ***

                // List Locations
                $('#button_locations').on('click', function () {
                    var limit = $('#inputLocationsLimit').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'locations&limit=' + limit + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputLocations').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Get Location
                $('#button_location').on('click', function () {
                    var locationID = $('#inputLocationsLocationID').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (locationID.trim() === '') {
                        toastr.error("Enter a Location ID");
                        $('#inputLocationsLocationID').focus();
                    } else {
                        $.ajax({
                            type: 'GET',
                            url: 'restful.php',
                            data: 'locations&location_id=' + locationID + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputLocationsLocation').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Create Location
                $('#button_create_location').on('click', function () {
                    var name = $('#inputCreateLocationsName').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (name.trim() === '') {
                        toastr.error("Enter a Title");
                        $('#inputCreateLocationsTitle').focus();
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: 'restful.php',
                            data: 'locations&name=' + name + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputLocationsLocationCreate').setContent(msg);
                                }
                            }
                        });
                    }
                });

                // Update Location
                $('#button_update_location').on('click', function () {
                    var locationID = $('#inputUpdateLocationsLocationID').val();
                    var name = $('#inputUpdateLocationsName').val();
                    var apiKey = $('#inputAPIKEY').val();
                    if (apiKey.trim() === '') {
                        toastr.error("Enter a API KEY");
                        $('#inputAPIKEY').focus();
                    } else if (locationID.trim() === '') {
                        toastr.error("Enter a Location ID");
                        $('#inputUpdateLocationsLocationID').focus();
                    } else if (name.trim() === '') {
                        toastr.error("Enter a Name");
                        $('#inputUpdateLocationsName').focus();
                    } else {
                        $.ajax({
                            type: 'PUT',
                            url: 'restful.php?locations&location_id=' + locationID + '&name=' + name + '&api_key=' + apiKey,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                
                                if (msg == 'error_api_key') {
                                    $('#msg').html('<div class="alert alert-danger" role="alert">Incorrect API KEY</div>');
                                } else {
                                    $('#msg').html('');
                                    tinyMCE.get('inputLocationsLocationUpdate').setContent(msg);
                                }
                            }
                        });
                    }
                });
                
                // *** END LOCATIONS ***

                // *** Inicialize plugins ***
                $('select').selectpicker();
                tinymce.init({
                    selector: '.textareas_wysiwig',
                    skin: 'bootstrap',
                    plugins: 'code fullscreen',
                    toolbar: 'code fullscreen',
                    menubar: false,
                    entity_encoding: 'raw',
                    branding: false
                });

            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <main>
            <header class="page-header page-header-dark bg-dark mb-4">
                <div class="container-xl px-4">
                    <div class="page-header-content pt-0">
                        <div class="row align-items-center justify-content-between">
                            <div class="col-auto mt-4">
                                <h1 class="page-header-title">
                                    <div class="page-header-icon"><i class="fas fa-code"></i></div>
                                    REST API EXYS testing&nbsp;<span id="alertName" class="d-none d-sm-none d-md-block" style="font-weight:bold;"></span>
                                </h1>
                            </div>
                        </div>
                    </div>
                </div>
            </header>
            <!-- Main page content-->
            <div class="container-xl px-4 mt-4">
                <div class="row">
                    <div class="row gx-3 mb-3">
                        <div class="col-md-2">
                            <label class="small mb-1" for="inputAPIKEY">API KEY *</label>
                            <input class="form-control" id="inputAPIKEY" type="text" placeholder="API KEY" value="" />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="mb-3" id="msg" style="text-align:center;">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12 mb-4">
                        <!-- Account details card-->
                        <div class="card card-collapsable">
                            <a class="card-header text-dark collapsed" href="#collapseCardUsers" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardUsers">
                                <div>Users</div>
                                <div class="card-collapsable-arrow">
                                    <i class="fas fa-chevron-down"></i>
                                </div>
                            </a>
                            <div class="collapse" id="collapseCardUsers">
                                <div class="card-body">
                                    <div>Methods</div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardUsersUsers" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardUsersUsers">
                                            <div>View List Users <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/users</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get the list of users</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardUsersUsers">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUsersLimit">Limit *</label>
                                                        <input class="form-control" id="inputUsersLimit" type="number" placeholder="Limit" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_users">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputUsers" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardUsersUser" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardUsersUser">
                                            <div>View User <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/users&user_id={user_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get a user</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardUsersUser">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUsersUserID">User ID *</label>
                                                        <input class="form-control" id="inputUsersUserID" type="number" placeholder="User ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_user">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputUsersUser" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardUsersCreate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardUsersCreate">
                                            <div>Create User <span class="badge bg-green">POST</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/users</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Create a user</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardUsersCreate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateUsersName">Name</label>
                                                        <input class="form-control" id="inputCreateUsersName" type="text" placeholder="Name" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateUsersLastName">Last Name</label>
                                                        <input class="form-control" id="inputCreateUsersLastName" type="text" placeholder="Last Name" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateUsersEmail">Email *</label>
                                                        <input class="form-control" id="inputCreateUsersEmail" type="text" placeholder="Email" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateUsersRoleID">Role ID *</label>
                                                        <input class="form-control" id="inputCreateUsersRoleID" type="number" placeholder="Role ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_create_user">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputUsersUserCreate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardUsersUpdate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardUsersUpdate">
                                            <div>Update User <span class="badge bg-orange">PUT</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/users&user_id={user_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Update a user</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardUsersUpdate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUpdateUsersName">Name</label>
                                                        <input class="form-control" id="inputUpdateUsersName" type="text" placeholder="Name" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUpdateUsersLastName">Last Name</label>
                                                        <input class="form-control" id="inputUpdateUsersLastName" type="text" placeholder="Last Name" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUpdateUsersUserID">User ID *</label>
                                                        <input class="form-control" id="inputUpdateUsersUserID" type="number" placeholder="User ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_update_user">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputUsersUserUpdate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-collapsable mt-2">
                            <a class="card-header text-dark collapsed" href="#collapseCardTickets" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardTickets">
                                <div>Tickets</div>
                                <div class="card-collapsable-arrow">
                                    <i class="fas fa-chevron-down"></i>
                                </div>
                            </a>
                            <div class="collapse" id="collapseCardTickets">
                                <div class="card-body">
                                    <div>Methods</div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardTicketsTickets" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardTicketsTickets">
                                            <div>View List Tickets <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/tickets</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get the list of tickets</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardTicketsTickets">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputTicketsLimit">Limit *</label>
                                                        <input class="form-control" id="inputTicketsLimit" type="number" placeholder="Limit" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_tickets">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputTickets" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardTicketsUser" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardTicketsUser">
                                            <div>View Ticket <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/tickets&ticket_id={ticket_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get a ticket</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardTicketsUser">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputTicketsTicketID">Ticket ID *</label>
                                                        <input class="form-control" id="inputTicketsTicketID" type="number" placeholder="Ticket ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_ticket">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputTicketsTicket" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardTicketsCreate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardTicketsCreate">
                                            <div>Create Ticket <span class="badge bg-green">POST</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/tickets</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Create a ticket</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardTicketsCreate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsCreatorUserID">Creator User ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsCreatorUserID" type="number" placeholder="Creator User ID" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsAffectedUserID">Affected User ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsAffectedUserID" type="number" placeholder="Affected User ID" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsRequestorUserID">Requestor User ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsRequestorUserID" type="number" placeholder="Requestor User ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsStatusID">Status ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsStatusID" type="number" placeholder="Status ID" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsUrgencyID">Urgency ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsUrgencyID" type="number" placeholder="Urgency ID" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsImpactID">Impact ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsImpactID" type="number" placeholder="Impact ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsSLAID">SLA ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsSLAID" type="number" placeholder="SLA ID" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsCategoryID">Category ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsCategoryID" type="number" placeholder="Category ID" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateTicketsGroupID">Group ID *</label>
                                                        <input class="form-control" id="inputCreateTicketsGroupID" type="number" placeholder="Group ID" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUpdateTicketsTicketType">Ticket Type *</label>
                                                        <select class="form-control" id="selectTicketType" style="line-height:1.4">
                                                            <option selected value="1">Incident</option>
                                                            <option value="2">Service Request</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputCreateTicketsTitle">Title</label>
                                                        <input class="form-control" id="inputCreateTicketsTitle" type="text" placeholder="Title" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputCreateTicketsDescription">Description</label>
                                                        <input class="form-control" id="inputCreateTicketsDescription" type="text" placeholder="Description" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_create_ticket">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputTicketsTicketCreate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardTicketsUpdate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardTicketsUpdate">
                                            <div>Update Ticket <span class="badge bg-orange">PUT</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/tickets&ticket_id={ticket_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Update a ticket</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardTicketsUpdate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputUpdateTicketsTitle">Title</label>
                                                        <input class="form-control" id="inputUpdateTicketsTitle" type="text" placeholder="Title" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputUpdateTicketsDescription">Description</label>
                                                        <input class="form-control" id="inputUpdateTicketsDescription" type="text" placeholder="Description" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputTicketsTicketID">Ticket ID *</label>
                                                        <input class="form-control" id="inputUpdateTicketsTicketID" type="number" placeholder="Ticket ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_update_ticket">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputTicketsTicketUpdate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardTicketsClose" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardTicketsClose">
                                            <div>Close Ticket <span class="badge bg-orange">PUT</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/tickets&ticket_id={ticket_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Close a ticket</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardTicketsClose">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputCloseTicketsSolution">Solution</label>
                                                        <input class="form-control" id="inputCloseTicketsSolution" type="text" placeholder="Solution" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCloseTicketsTicketID">Ticket ID *</label>
                                                        <input class="form-control" id="inputCloseTicketsTicketID" type="number" placeholder="Ticket ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_close_ticket">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputTicketsTicketClose" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-collapsable mt-2">
                            <a class="card-header text-dark collapsed" href="#collapseCardActivities" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardActivities">
                                <div>Activities</div>
                                <div class="card-collapsable-arrow">
                                    <i class="fas fa-chevron-down"></i>
                                </div>
                            </a>
                            <div class="collapse" id="collapseCardActivities">
                                <div class="card-body">
                                    <div>Methods</div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardActivitiesActivities" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardActivitiesActivities">
                                            <div>View List Activities of a ticket <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/activities</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get the activities list of a ticket</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardActivitiesActivities">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="row gx-3 mb-3">
                                                        <div class="col-md-2">
                                                            <label class="small mb-1" for="inputActivitiesTicketID">Ticket ID *</label>
                                                            <input class="form-control" id="inputActivitiesTicketID" type="number" placeholder="Ticket ID" value="" />
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_activities">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputActivities" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardActivitiesCreate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardActivitiesCreate">
                                            <div>Create Activity <span class="badge bg-green">POST</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/activities</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Create a activity</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardActivitiesCreate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputCreateActivitiesTicketID">Ticket ID *</label>
                                                        <input class="form-control" id="inputCreateActivitiesTicketID" type="number" placeholder="Ticket ID" value="" />
                                                    </div>
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="selectCreateActivitiesActivityType">Activity Type *</label>
                                                        <select class="form-control" id="selectCreateActivitiesActivityType" style="line-height:1.4">
                                                            <option selected value="5">Internal Comment</option>
                                                            <option value="6">Back Office Comment</option>
                                                            <option value="7">User Comment</option>
                                                            <option value="8">Internal Task</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputCreateActivitiesComment">Comment</label>
                                                        <input class="form-control" id="inputCreateActivitiesComment" type="text" placeholder="Title" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_create_activity">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputActivitiesActivityCreate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-collapsable mt-2">
                            <a class="card-header text-dark collapsed" href="#collapseCardNews" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardNews">
                                <div>News</div>
                                <div class="card-collapsable-arrow">
                                    <i class="fas fa-chevron-down"></i>
                                </div>
                            </a>
                            <div class="collapse" id="collapseCardNews">
                                <div class="card-body">
                                    <div>Methods</div>
                                     <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardNewsNews" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardNewsNews">
                                            <div>View List News <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/news</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get the list of news</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardNewsNews">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputNewsLimit">Limit *</label>
                                                        <input class="form-control" id="inputNewsLimit" type="number" placeholder="Limit" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_news">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputNews" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardNewsNew" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardNewsNew">
                                            <div>View New <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/news&new_id={new_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get a new</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardNewsNew">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputNewsNewID">New ID *</label>
                                                        <input class="form-control" id="inputNewsNewID" type="number" placeholder="New ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_new">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputNewsNew" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardNewsCreate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardNewsCreate">
                                            <div>Create New <span class="badge bg-green">POST</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/news</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Create a new</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardNewsCreate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputCreateNewsTitle">Title *</label>
                                                        <input class="form-control" id="inputCreateNewsTitle" type="text" placeholder="Title" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputCreateNewsDescription">Description</label>
                                                        <input class="form-control" id="inputCreateNewsDescription" type="text" placeholder="Description" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_create_new">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputNewsNewCreate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardNewsUpdate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardNewsUpdate">
                                            <div>Update New <span class="badge bg-orange">PUT</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/news&new_id={new_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Update a new</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardNewsUpdate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputUpdateNewsTitle">Title *</label>
                                                        <input class="form-control" id="inputUpdateNewsTitle" type="text" placeholder="Title" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputUpdateNewsDescription">Description</label>
                                                        <input class="form-control" id="inputUpdateNewsDescription" type="text" placeholder="Description" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUpdateNewsNewID">New ID *</label>
                                                        <input class="form-control" id="inputUpdateNewsNewID" type="number" placeholder="New ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_update_new">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputNewsNewUpdate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-collapsable mt-2">
                            <a class="card-header text-dark collapsed" href="#collapseCardDepartments" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardDepartments">
                                <div>Departments</div>
                                <div class="card-collapsable-arrow">
                                    <i class="fas fa-chevron-down"></i>
                                </div>
                            </a>
                            <div class="collapse" id="collapseCardDepartments">
                                <div class="card-body">
                                    <div>Methods</div>
                                     <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardDepartmentsDepartments" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardDepartmentsDepartments">
                                            <div>View List Departments <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/deparments</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get the list of deparments</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardDepartmentsDepartments">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputDepartmentsLimit">Limit *</label>
                                                        <input class="form-control" id="inputDepartmentsLimit" type="number" placeholder="Limit" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_departments">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputDepartments" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardDepartmentsDepartment" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardDepartmentsDepartment">
                                            <div>View Department <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/deparments&department_id={department_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get a department</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardDepartmentsDepartment">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputDepartmentsDepartmentID">Department ID *</label>
                                                        <input class="form-control" id="inputDepartmentsDepartmentID" type="number" placeholder="Department ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_department">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputDepartmentsDepartment" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardDepartmentsCreate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardDepartmentsCreate">
                                            <div>Create Department <span class="badge bg-green">POST</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/deparments</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Create a department</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardDepartmentsCreate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputCreateDepartmentsName">Name *</label>
                                                        <input class="form-control" id="inputCreateDepartmentsName" type="text" placeholder="Name" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_create_department">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputDepartmentsDepartmentCreate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardDepartmentsUpdate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardDepartmentsUpdate">
                                            <div>Update Department <span class="badge bg-orange">PUT</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/deparments&department_id={department_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Update a department</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardDepartmentsUpdate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputUpdateDepartmentsName">Name *</label>
                                                        <input class="form-control" id="inputUpdateDepartmentsName" type="text" placeholder="Name" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUpdateDepartmentsDepartmentID">Department ID *</label>
                                                        <input class="form-control" id="inputUpdateDepartmentsDepartmentID" type="number" placeholder="Department ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_update_department">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputDepartmentsDepartmentUpdate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-collapsable mt-2">
                            <a class="card-header text-dark collapsed" href="#collapseCardLocations" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardLocations">
                                <div>Locations</div>
                                <div class="card-collapsable-arrow">
                                    <i class="fas fa-chevron-down"></i>
                                </div>
                            </a>
                            <div class="collapse" id="collapseCardLocations">
                                <div class="card-body">
                                    <div>Methods</div>
                                     <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardLocationsLocations" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardLocationsLocations">
                                            <div>View List Locations <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/locations</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get the list of locations</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardLocationsLocations">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputLocationsLimit">Limit *</label>
                                                        <input class="form-control" id="inputLocationsLimit" type="number" placeholder="Limit" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_locations">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputLocations" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardLocationsLocation" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardLocationsLocation">
                                            <div>View Location <span class="badge bg-blue">GET</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/locations&location_id={location_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Get a location</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardLocationsLocation">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputLocationsLocationID">Location ID *</label>
                                                        <input class="form-control" id="inputLocationsLocationID" type="number" placeholder="Location ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_location">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputLocationsLocation" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardLocationsCreate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardLocationsCreate">
                                            <div>Create Location <span class="badge bg-green">POST</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/locations</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Create a location</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardLocationsCreate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputCreateLocationsName">Name *</label>
                                                        <input class="form-control" id="inputCreateLocationsName" type="text" placeholder="Name" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_create_location">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputLocationsLocationCreate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card card-collapsable mt-2">
                                        <a class="card-header text-dark collapsed" href="#collapseCardLocationsUpdate" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardLocationsUpdate">
                                            <div>Update Location <span class="badge bg-orange">PUT</span>&nbsp;&nbsp;<span class="fs-7 me-1">/api/v1/locations&location_id={location_id}</span><i class="fas fa-arrow-right"></i><span class="fs-8 ms-1">Update a location</span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCardLocationsUpdate">
                                            <div class="card-body">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputUpdateLocationsName">Name *</label>
                                                        <input class="form-control" id="inputUpdateLocationsName" type="text" placeholder="Name" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputUpdateLocationsLocationID">Location ID *</label>
                                                        <input class="form-control" id="inputUpdateLocationsLocationID" type="number" placeholder="Location ID" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-2">
                                                        <a class="btn btn-dark" id="button_update_location">Send</a>
                                                    </div>
                                                </div>
                                                <textarea class="form-control textareas_wysiwig" id="inputLocationsLocationUpdate" rows="5"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>                           
                </div>
            </div>
        </main>
        <?php include "../../itsm/dist/skel/footer.html" ?>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../../itsm/dist/js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../../itsm/dist/bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../../itsm/dist/bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
