<?php

session_start();
require_once('../itsm/dist/control/functions.php');
require_once('../itsm/dist/control/Database.php');

require_once 'vendor/autoload.php';

use BotMan\BotMan\BotMan;
use BotMan\BotMan\BotManFactory;
use BotMan\BotMan\Drivers\DriverManager;
use BotMan\BotMan\Messages\Conversations\Conversation;
use BotMan\BotMan\Messages\Outgoing\Question;
use BotMan\BotMan\Messages\Outgoing\Actions\Button;
use BotMan\BotMan\Messages\Incoming\Answer;
use BotMan\BotMan\Cache\SymfonyCache;
use Symfony\Component\Cache\Adapter\FilesystemAdapter;

function connectDB() {
    $servername = "localhost";
    $username = "exys";
    $password = 'hqVD15sZDr@A';
    $dbname = "exys";

    $conn = new mysqli($servername, $username, $password, $dbname);

    return $conn;
}

$config = [
    'web' => [
        'matchingData' => [
            'driver' => 'web',
        ]
    ]
//    'telegram' => [
//        'token' => '2013874062:AAEs8oCaLCjTo8ecqz8VUTMZj4QqnDjOFzM'
//    ]
];

DriverManager::loadDriver(\BotMan\Drivers\Web\WebDriver::class);
//DriverManager::loadDriver(\BotMan\Drivers\Telegram\TelegramDriver::class);
// The chatbot object is created. Symfony is used for the cache
$adapter = new FilesystemAdapter();
$botman = BotManFactory::create($config, new SymfonyCache($adapter));

//  Tickets: Get Status
$botman->hears('status {ticket}', function (BotMan $bot, $ticket) {

    $conn = new Database();

    $sql = "SELECT * FROM v_tickets WHERE ticket_number = '$ticket'";
    $stmt = selectStmt($conn, $sql);

    if ($stmt->rowCount() > 0) {
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        if ($row['affected_user_id'] == $_GET['user']) {
            $bot->reply("your ticket is in status <strong>" . $row['status'] . "</strong>");
        } else {
            $bot->reply("Sorry, I cannot give you that information, as you are not the affected user");
        }
    } else {
        $bot->reply("I can't find the ticket number $ticket, can you repeat it?");
    }
});

//  Tickets: Get Status
$botman->hears('open tickets', function (BotMan $bot) {

    $conn = new Database();
    $ticket_list = "";

    $sql = "SELECT * FROM v_tickets WHERE affected_user_id = ".$_GET['user']. " AND end_date IS NULL";
    $stmt = selectStmt($conn, $sql);

    if ($stmt->rowCount() > 0) {
        $tickets = $stmt->fetchALL(PDO::FETCH_ASSOC);
        foreach($tickets as $ticket){
            $ticket_list .= $ticket['ticket_number']."<br>";
        }
        $bot->reply("Your open tickets:<br><br>".$ticket_list);
    } else {
        $bot->reply("I can't find the ticket number $ticket, can you repeat it?");
    }
});

//  Tickets: Get Solution
$botman->hears('solution {ticket}', function (BotMan $bot, $ticket) {

    $conn = new Database();

    $sql = "SELECT * FROM v_tickets WHERE ticket_number = '$ticket'";
    $stmt = selectStmt($conn, $sql);

    if ($stmt->rowCount() > 0) {
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        if ($row['affected_user_id'] == $_GET['user']) {
            if (!empty($row['end_date'])) {
                $bot->reply("Your ticket solution:<br><br><strong>" . html_entity_decode($row['solution']) . "</strong>");
            } else {
                $bot->reply("Your ticket has not been resolved yet");
            }
        } else {
            $bot->reply("Sorry, I cannot give you that information, as you are not the affected user");
        }
    } else {
        $bot->reply("I can't find the ticket number $ticket, can you repeat it?");
    }
});

//  Tickets: Get News
$botman->hears('.*(news).*', function (BotMan $bot, $ticket) {

    $conn = new Database();

    $sql = "SELECT * FROM news WHERE visible_portal = 1 AND (end_date IS NULL or end_date > NOW())";
    $stmt = selectStmt($conn, $sql);

    if ($stmt->rowCount() > 0) {
        $news = $stmt->fetchAll(PDO::FETCH_ASSOC);
        $result = "";
        foreach ($news as $new) {
            $result .= "<br>Title: <strong>" . $new['title'] . "</strong> "
                    . "<br><br>Description: <strong>" . $new['description'] . "</strong><br>";
        }
        $bot->reply("These are the news that is available:<br>$result");
    } else {
        $bot->reply("No news currently");
    }
});

//Class Conversation
class CreateTicket extends Conversation {

    protected $title;
    protected $description;
    protected $answer;

    public function askTitle() {
        $conn = connectDB();
        $this->ask('Please, indicate the <strong>Title</strong>', function (Answer $answer) {
            // Save result
            $this->title = $answer->getText();
            $this->askDescription();
        });
    }

    public function askDescription() {
        $this->ask('Please, indicate the <strong>Description</strong>', function (Answer $answer) {
            // Save result
            $this->description = $answer->getText();
            $this->summary();
        });
    }

    public function summary() {
        $this->ask('Well, these are the data that you have indicated to me:'
                . '<br>Title: <strong>' . $this->title . ' </strong>'
                . '<br>Description: <strong>' . $this->description . ' </strong>'
                . '<br><br>It\'s correct? tell me by writing <strong>yes</strong> or <strong>no</strong>', function (Answer $answer) {
                    // Save result
                    $this->answer = $answer->getText();
                    $this->answer();
                });
    }

    public function answer() {
        if (strtoupper($this->answer) == 'YES') {
            $this->say('Okay, we will proceed to open the incident...');

            $conn = new Database();

            $type = 'INC';
            $sql = "SELECT 
            CASE WHEN ISNULL((SELECT MAX(ticket_number)+1 AS ticket_number)) THEN '" . $type . "1000'
            ELSE (SELECT CONCAT('$type',MAX(SUBSTRING(ticket_number,4,LENGTH(ticket_number)))+1) AS ticket_number) 
            END AS ticket_number 
            FROM tickets
            WHERE ticket_number LIKE '$type%'
            ORDER BY ticket_number DESC";
            $stmt = selectStmt($conn, $sql);
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            $ticket_number = $row['ticket_number'];

            $sql = "SELECT value FROM parameters WHERE name = 'Exys Bot: Default Group ID'";
            $stmt = selectStmt($conn, $sql);
            $param = $stmt->fetch(PDO::FETCH_ASSOC);

            $date = $date = date('Y-m-d H:i:s');
            $sql = "INSERT INTO tickets "
                    . "(ticket_number, affected_user_id, requestor_user_id, creator_user_id, title, description, category_id, urgency_id, impact_id, group_id, status_id, origin_id, creation_date, update_date, last_update_user_id, ticket_type) "
                    . "VALUES "
                    . "('$ticket_number', " . $_GET['user'] . ", " . $_GET['user'] . ", " . $_GET['user'] .
                    ", '$this->title', '$this->description', 12, 3, 3, " . $param['value'] . ", 2, 5, '$date', '$date', " . $_GET['user'] . ", 1)";

            try {
                execStmt($conn, $sql);
                $sql = "SELECT t.* FROM v_tickets t "
                        . "WHERE t.ticket_number = '$ticket_number'";
                $stmt = selectStmt($conn, $sql);
                $ticket = $stmt->fetch(PDO::FETCH_ASSOC);

                // Create activity
                $sql = "INSERT INTO activities "
                        . "(ticket_id, activity_type_id, comment, group_id, user_id, creation_date) VALUES "
                        . "(" . $ticket['ticket_id'] . " "
                        . ",1 "
                        . ",'Incident " . $ticket['status_type'] . "' "
                        . "," . $param['value'] . " "
                        . "," . $_GET['user'] . " "
                        . ",'$date')";
                execStmt($conn, $sql);
                $this->say('Perfect! Ticket no. <strong>' . $ticket_number . '</strong> created!');
            } catch (PDOException $e) {
                $this->say('An error has occurred. Please try again or contact the administrator');
                //$this->say("Error: " . $sql . "<br>" . $conn->error);
            }
        } else if (strtoupper($this->answer) == 'NO') {
            $this->say('In that case, I will ask you for the information below');
            $this->askTitle();
        } else {
            $this->say('I\'m sorry, I didn\'t understand you. I give you the instructions again:');
            $this->summary();
        }
    }

    public function run() {
        // This will be called immediately
        $this->askTitle();
    }

}

$botman->hears('ticket', function (BotMan $bot) {
    // Wait X seconds
    $bot->typesAndWaits(1);
    // Conversation Starts
    $bot->startConversation(new CreateTicket);
});

//Class Conversation
class HeadsOrTails extends Conversation {

    protected $result;

    public function askHeadsOrTails() {
        $this->ask('Ok, let\'s play. What do you choose? Heads or tails?', function (Answer $answer) {
            // Save result
            $this->result = $answer->getText();
            $rand = rand(0, 1);
            if (strtoupper($this->result) == 'HEADS') {
                if ($rand == 1) {
                    $this->say('Good! You have won, it has come out heads! <img src="../itsm/dist/resources/images/icon/1x/heads coin.png" />');
                } else {
                    $this->say('You lost, the tails came out <img src="../itsm/dist/resources/images/icon/1x/tails coin.png" />');
                }
            } else if (strtoupper($this->result) == 'TAILS') {
                if ($rand == 1) {
                    $this->say('Good! You have won, it has come out tails! <img src="../itsm/dist/resources/images/icon/1x/tails coin.png" />');
                } else {
                    $this->say('You lost, the heads came out <img src="../itsm/dist/resources/images/icon/1x/heads coin.png" />');
                }
            } else {
                $this->say('I\'m sorry, I didn\'t understand you. I give you the instructions again.');
                $this->askHeadsOrTails();
            }
        });
    }

    public function run() {
        // This will be called immediately
        $this->askHeadsOrTails();
    }

}

//Bot Games: Heads or tails
$botman->hears('.*(heads or tails).*', function (BotMan $bot) {
    // Conversation Starts
    $bot->startConversation(new HeadsOrTails);
});

//Bot Games: Dice
$botman->hears('dice', function (BotMan $bot) {
    switch(rand(1,6)){
        case 1:
            $result = 'The result is <img src="../itsm/dist/resources/images/icon/1x/dice one.png" />';
            break;
        case 2:
            $result = 'The result is <img src="../itsm/dist/resources/images/icon/1x/dice two.png" />';
            break;
        case 3:
            $result = 'The result is <img src="../itsm/dist/resources/images/icon/1x/dice three.png" />';
            break;
        case 4:
            $result = 'The result is <img src="../itsm/dist/resources/images/icon/1x/dice four.png" />';
            break;
        case 5:
            $result = 'The result is <img src="../itsm/dist/resources/images/icon/1x/dice five.png" />';
            break;
        case 6:
            $result = 'The result is <img src="../itsm/dist/resources/images/icon/1x/dice six.png" />';
            break;
    }
    $bot->reply($result);
});

//Class Conversation
class Mark extends Conversation {

    protected $teleworking;
    protected $user;
    protected $date;
    protected $date_checked_out;
    protected $time_management_id;

    public function showResult() {
        $this->user = $_GET['user'];
        $this->date = date('Y-m-d H:i:s');
        $this->date_checked_out = date('Y-m-d');

        $conn = new Database();

        $sql = "SELECT t.* FROM time_management t WHERE user_id = " . $this->user . " AND exit_date IS NULL and date = '$this->date_checked_out' ORDER BY entry_date DESC LIMIT 1";
        $stmt = selectStmt($conn, $sql);
        $time_management = $stmt->fetch();
        $this->time_management_id = $time_management['time_management_id'];
        if ($stmt->rowCount() > 0) {
            $this->ask('Your clock in is at <strong>' . date('H:i:s', strtotime($time_management['entry_date'])) . '</strong>. Do you want to check out? Indicates <strong>yes</strong> or <strong>no</strong>', function (Answer $answer) {
                // Save result
                $this->teleworking = $answer->getText();
                if (strtoupper($this->teleworking) == 'YES') {
                    $conn = new Database();
                    $sql = "UPDATE time_management "
                            . "SET exit_date = '$this->date'"
                            . ",update_date = '$this->date' "
                            . "WHERE time_management_id = " . $this->time_management_id;
                    $stmt = execStmt($conn, $sql);
                    $this->say('Okay, clock out at ' . date('H:i:s',strtotime($this->date)));
                } else if (strtoupper($this->teleworking) == 'NO') {
                    $this->say('Perfect, if you need me for anything else, here you have me <img src="../itsm/dist/resources/images/icon/1x/Grimacing face.png" />');
                } else {
                    $this->say('I\'m sorry, I didn\'t understand you. I give you the instructions again.');
                    $this->showResult();
                }
            });
        } else {
            $this->ask('there are no active marks, I will record it right now. Are you teleworking? Indicates <strong>yes</strong> or <strong>no</strong>', function (Answer $answer) {
                // Save result
                $this->teleworking = $answer->getText();
                if (strtoupper($this->teleworking) == 'YES') {
                    $this->teleworking = 1;
                } else if (strtoupper($this->teleworking) == 'NO') {
                    $this->teleworking = 0;
                } else {
                    $this->say('I\'m sorry, I didn\'t understand you. I give you the instructions again.');
                    $this->showResult();
                }
                $sql = "INSERT INTO time_management "
                        . "(user_id, entry_date, teleworking, date, creation_date, update_date) VALUES "
                        . "(" . $_GET['user'] . " "
                        . ",'$this->date'"
                        . ",$this->teleworking"
                        . ",'$this->date_checked_out'"
                        . ",'$this->date'"
                        . ",'$this->date')";

                try {
                    $conn = new Database();
                    $stmt = execStmt($conn, $sql);
                    $this->say('Okay, clock in at ' . date('H:i:s',strtotime($this->date)));
                } catch (PDOException $e) {
                    $this->say('An error has occurred. Please try again or contact the administrator');
                    //$this->say("Error: " . $sql . "<br>" . $conn->error);
                }
            });
        }
    }

    public function run() {
        // This will be called immediately
        $this->showResult();
    }

}

$botman->hears('mark', function (BotMan $bot) {
    // Conversation Starts
    $bot->startConversation(new Mark);
});

//  Time Management: Last Mark
$botman->hears('last mark', function (BotMan $bot) {

    $conn = new Database();

    $sql = "SELECT t.* FROM time_management t WHERE user_id = ".$_GET['user']." ORDER BY date DESC LIMIT 1";
    $stmt = selectStmt($conn, $sql);   

    if ($stmt->rowCount() > 0) {
        $time_management = $stmt->fetch();
        $bot->reply('Last record:<strong>'.$time_management['date'].'</strong>'
                . '<br>Entry date: <strong>'.date('H:i:s',strtotime($time_management['entry_date'])).'</strong>'
                . '<br>Exit date: <strong>'.date('H:i:s',strtotime($time_management['exit_date'])).'</strong>');
    } else {
        $bot->reply('No records currently');
    }
});

/*
  Bot Basics: Hello
 */
$botman->hears('.*(Hi|Hello|good morning|good afternoon|good night).*', function (BotMan $bot, $word) {
    $bot->reply('Hi, welcome! <img src="../itsm/dist/resources/images/icon/1x/Waving hand skin 1.png" />');
});

// Bot Basics: What's your name
$botman->hears('.*(your name|what\'s your name\whats your name).*', function (BotMan $bot) {
    $bot->reply('My name is Exys, nice to meet you! <img src="../itsm/dist/resources/images/icon/1x/Winking face.png" />');
});

// Bot Basics: My name is
$botman->hears('my name is {name}', function (BotMan $bot, $name) {
    $bot->reply('Nice to meet you ' . $name);
});

// Bot Basics: What time is it?
$botman->hears('.*(time|what time is it).*', function (BotMan $bot) {
    $bot->reply('It\'s ' . date('H:i:s') . ' <img src="../itsm/dist/resources/images/icon/1x/Clock.png" />');
});

// Bot Basics: Are you woman/man
$botman->hears('.*(are you woman|are you man|are you girl|are you boy).*', function (BotMan $bot) {
    $bot->reply('that does not matter, what matters is if I can be useful to you <img src="../itsm/dist/resources/images/icon/1x/Winking face with tongue.png" />');
});

// Bot Basics: I love you
$botman->hears('.*(I love you|you are the best|beaufitul).*', function (BotMan $bot) {
    $bot->reply('You\'re going to make me blush, what are you telling me ......<img src="../itsm/dist/resources/images/icon/1x/Heart.png" />');
});

// Bot Basics: Do you love me?
$botman->hears('.*(love me|do you love me|do you like it).*', function (BotMan $bot) {
    $bot->reply('Of course, I love you! <img src="../itsm/dist/resources/images/icon/1x/Smiling face with heart-eyes.png" />');
});

// How to: Create incident
$botman->hears('how to create incident', function (BotMan $bot) {
    $bot->reply('Click on the following <a href="../../portal/new-incident.php" target="_PARENT">link</a> to open an incident');
});

// How to: Create incident
$botman->hears('how to create request', function (BotMan $bot) {
    $bot->reply('Click on the following <a href="../../portal/new-request.php" target="_PARENT">link</a> to open an incident');
});

// Bot Basics: Help
$botman->hears('.*(help|help me).*', function (BotMan $bot) {
    $bot->reply('This is the command list: '
            . '<br><strong>status {ticket_number}</strong>: Check the status of a ticket'
            . '<br><strong>solution {ticket_number}</strong>: Show the solution of the ticket'
            . '<br><strong>ticket</strong>: Create a new Ticket'
            . '<br><strong>open tickets</strong>: Show the open tickets'
            . '<br><strong>news</strong>: Show the current news'
            . '<br><strong>mark</strong>: Record the entry or exit time of your workplace'
            . '<br><strong>last mark</strong>: Show the last clock in/out'
            . '<br><strong>stop</strong>: Stop conversation (for example, while create a ticket)'
            . '<br><strong>games</strong>: Show the available games'
            . '<br><strong>how to</strong>: Show the available knowledge');
});

// Bot Basics: Games
$botman->hears('.*(game|games).*', function (BotMan $bot) {
    $bot->reply('This is the games list: '
            . '<br><strong>heads or tails</strong>: Flip a coin and guess what will come out'
            . '<br><strong>dice</strong>: Roll a dice');
});

// Bot Basics: How to
$botman->hears('how to', function (BotMan $bot) {
    $bot->reply('This is the how to list: '
            . '<br><strong>how to create incident</strong>: Show the link to open a incident'
            . '<br><strong>how to create request</strong>:  Show the link to open a request');
});

// If the user enters a word that is not in the previous list, the next message skips
$botman->fallback(function ($bot) {
    $bot->reply("I'm sorry, I didn't understand you, try again :)");
});

// Stop a conversation
$botman->hears('stop', function (BotMan $bot) {
    $bot->reply('stopped');
})->stopsConversation();

// Botman starts listening
$botman->listen();
?>