<?php

session_start();
require_once('../itsm/dist/control/functions.php');
require_once('../itsm/dist/control/Database.php');
//managementSession();
//// Database Connection
//    $conn = new Database();
//    $ticket_detail = obtainTicket($conn, '1119'); // Obtain Ticket
//    echo $ticket_detail['ticket_id'];


require_once 'vendor/autoload.php';

use BotMan\BotMan\BotMan;
use BotMan\BotMan\BotManFactory;
use BotMan\BotMan\Drivers\DriverManager;
use BotMan\BotMan\Messages\Conversations\Conversation;
use BotMan\BotMan\Messages\Outgoing\Question;
use BotMan\BotMan\Messages\Outgoing\Actions\Button;
use BotMan\BotMan\Messages\Incoming\Answer;

$config = [
    'telegram' => [
        'token' => '2013874062:AAEs8oCaLCjTo8ecqz8VUTMZj4QqnDjOFzM'
    ]
];

DriverManager::loadDriver(\BotMan\Drivers\Web\WebDriver::class);
DriverManager::loadDriver(\BotMan\Drivers\Telegram\TelegramDriver::class);

//Se crea el objeto del chatbot. El parámatro de doctrine es el cache de las conversaciones y se indica en que directorio se almacenará dicha
$botman = BotManFactory::create($config);


//  Tickets: Consultar estado
$botman->hears('status {ticket}', function (BotMan $bot, $ticket) {

    $servername = "localhost";
    $username = "exys";
    $password = 'hqVD15sZDr@A';
    $dbname = "exys";

    $conn = new mysqli($servername, $username, $password, $dbname);

    $sql = "SELECT * FROM v_tickets WHERE ticket_number = '$ticket'";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        $row = mysqli_fetch_array($result, MYSQLI_ASSOC);
        $bot->reply("Your ticket está en estado ".$row['status']);
    } else {
        $bot->reply("I can't find the ticket number $ticket, can you repeat it?");
    }
 
});

// 
//Clase conversación
class OnboardingConversation extends Conversation {

    protected $section;
    protected $name;
    protected $email;

    public function askName() {
        //Pregunta del chat bot al usuario donde se obtiene la respuesta
        $this->ask('Antes que nada. ¿Cómo te llamas? Para dirigirme a ti', function(Answer $answer) {
            // Texto respuesta
            $this->name = $answer->getText();
            $this->say('Encantado, ' . $this->name);
            $this->askWhatToDo();
        });
    }

    public function askWhatToDo() {
        //Se programa una pregunta donde se establacen dos respuestas por defecto y un fallback por si no es ninguna de las dos
        $question = Question::create('¿Qué deseas hacer en mi blog?')
                ->fallback('Lo siento pero...')
                ->callbackId('que_quieres_hacer')
                ->addButtons([Button::create('¿Ver todos los posts?')->value('all'), Button::create('¿Ver todas las categorías?')->value('categorias'),]);
        $this->ask($question, function(Answer $answer) {

            if ($answer->isInteractiveMessageReply()) {
                $value = $answer->getValue();
                $text = $answer->getText();
                $this->say('Opcion, ' . $value . ' ' . $text);
            }
        });
    }

    public function run() {
        // Función llamada cuando se inicia la conversación
        $this->askName();
    }

}

/*
  Inicio de la conversación por parte del usuario que puede ser: hola o buenas o buenos díaso bueno o dias o buenas tardes o buenas noches
 */
$botman->hears('.*(hola|buenas|buenos días|buenos dias|buenas tardes|buenas noches).*', function (BotMan $bot, $word) {
    //Se espera un segundo
    $bot->typesAndWaits(1);
    //Se inicia la conversación
    $bot->startConversation(new OnboardingConversation);
});

// Bot Basics: My name is
$botman->hears('my name is {name}', function (BotMan $bot, $name) {
    $bot->reply('Nice to meet you ' . $name);
});

// Bot Basics: ¿Qué hora es?
$botman->hears('que hora es|dime la hora', function (BotMan $bot) {
    $bot->reply('Son las ' . date('H:i:s'));
});

// Bot Basics: Te quiero
$botman->hears('te quiero|te amo|te adoro*.', function (BotMan $bot) {
    $bot->reply('Me vas a sonrojar, vaya cosas me dices...<3');
});

// Bot Basics: ¿Marce o Fran?
$botman->hears('quien es dios, Iván o Fran*.', function (BotMan $bot) {
    $bot->reply('Fran, el es el dios absoluto');
});

// Bot Basics: ¿Marce o Fran?
$botman->hears('el mejor consultor*.', function (BotMan $bot) {
    $bot->reply('Fran, es el mejor consultor que puede existir');
});

// Telefram Commands: Start
$botman->hears('/start*.', function (BotMan $bot) {
    //$bot->reply('Fran, es el mejor consultor que puede existir');
});

// Si el usuario introduce alguna palabra que no está en la lista anterior salta el siguiente mensaje
$botman->fallback(function($bot) {
    $bot->reply('Lo siento, no te he entendido, prueba de nuevo :)');
});

// Botman empieza a escuchar
$botman->listen();
?>