<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Import</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {

                // *** Set Form ***

                //                // *** Click Events *** 

                $('#upload_csv_form').on("submit", function (e) {
                    e.preventDefault(); //form will not submitted  
                    var target = $('#selectTarget option:selected').val();
                    if (target.trim() === '') {
                        toastr.error("Select a Target");
                        $('#selectTarget').focus();
                        return false;
                    } else {
                        $.ajax({
                            url: "../control/import_csv.php?target=" + target,
                            method: "POST",
                            data: new FormData(this),
                            contentType: false, // The content type used when sending data to the server.  
                            cache: false, // To unable request pages to be cached  
                            processData: false, // To send DOMDocument or non processed data file it is set to false  
                            success: function (data) {
                                switch (data.data) {
                                    case 'error1':
                                        $("#msg").html('<div class="alert alert-danger" role="alert">Invalid file</div>');
                                        break;
                                    case 'error2':
                                        $("#msg").html('<div class="alert alert-danger" role="alert">Please select a file</div>');
                                        break;
                                    case 'success':
                                        $("#msg").html('<div class="alert alert-success" role="alert">CSV file data has been imported\n\
                                    <br>' + data.inserted + ' inserted\n\
                                    <br>' + data.updated + ' updated\n\
                                    <br>' + data.errors + ' errors</div>');
                                        break;
                                }
                            }
                        });
                    }
                });

                // *** Changes Events ***


                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();

                // Active menu
                activeMenu('#menu_import');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-file-import"></i></div>
                                            Import&nbsp;<span id="alertName" class="d-none d-sm-none d-md-block" style="font-weight:bold;"></span>
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="import.php">Import</a></li>
                                        <li class="breadcrumb-item active">Details</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- User page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link active ms-0" href="import.php">Details</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-xl-6 mb-4">
                                <!-- Account details card-->
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>Import</div>
                                    </div>
                                    <div class="card-body text-center">
                                        <form action="../control/import_csv.php" method="post" enctype="multipart/form-data" id="upload_csv_form">
                                            <div class="mb-3" id="msg" style="text-align:center;">
                                            </div>
                                            <div class="form-group">
                                                <label class="small mb-1" for="selectIcon">Target *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectTarget" style="line-height:1.4">
                                                    <option disabled selected value="">Target</option>
                                                    <option value='users'>Users</option>
                                                    <option value='groups'>Groups</option>
                                                    <option value='departments'>Departments</option>
                                                    <option value='locations'>Locations</option>
                                                    <option value='categories'>Categories</option>
                                                </select>
                                            </div>
                                            <div class="form-group pt-2">
                                                <label for="exampleFormControlFile1">Please Select File</label>
                                                <input type="file" name="file" class="form-control" id="exampleFormControlFile1">
                                            </div>
                                            <div class="form-group mt-4">
                                                <input type="submit" name="submit" value="Import" class="btn btn-dark">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>                           
                        </div>
                    </div>
                </main>
                <?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
