<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

if (isset($_GET['inbound_mail'])) {
// GET vars
    $inbound_mail_id = $_GET['inbound_mail'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$inbound_mail = obtainInboundMail($conn, $inbound_mail_id); // Obtain Inbound mail
$groups = obtainGroupList($conn); // Obtain Groups List
$origins = obtainOriginList($conn); // Obtain Origins List
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Inbound mails Details</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {
                // Check if the form has been modified
                var modified;
                $("input, select").change(function () {
                    modified = true;
                });
                $(window).on('beforeunload', function () {
                    if (modified == true) {
                        return 'Are you sure you want to leave?';
                    }
                });

                // *** Set Form ***
                // Incident Detail
                $('#button_save').val('<?php echo $inbound_mail['inbound_mail_id'] ?>');
                $('#inboundMailName').html('<?php echo "&laquo;" . $inbound_mail['inbound_mail_name'] . "&raquo;" ?>');
                $('#inputName').val('<?php echo $inbound_mail['inbound_mail_name'] ?>');
                if (<?php echo $inbound_mail['active'] ?> == 1) {
                    $('#inputActive').prop('checked', true);
                } else {
                    $('#inputActive').prop('checked', false);
                }
                $('#inputHostname').val('<?php echo $inbound_mail['hostname'] ?>');
                $('#inputPort').val('<?php echo $inbound_mail['port'] ?>');
                $('#inputAccount').val('<?php echo $inbound_mail['account'] ?>');
                $('#inputPassword').val('<?php echo $inbound_mail['password'] ?>');
                $('#selectOrigin').html('<?php
echo '<option disabled selected value="">Origin</option>';
foreach ($origins as $origin) {
    echo '<option value="' . $origin['origin_id'] . '">' . $origin['name'] . '</option>';
}
?>');
                $('#selectOrigin').val(<?php echo $inbound_mail['origin_id'] ?>);
                $('#selectGroup').html('<?php
echo '<option disabled selected value="">Group</option>';
foreach ($groups as $group) {
    echo '<option value="' . $group['group_id'] . '">' . $group['name'] . '</option>';
}
?>');
                $('#selectGroup').val(<?php echo $inbound_mail['group_id'] ?>);
                $('#inputSubjectFilter').val('<?php echo $inbound_mail['subject_filter'] ?>');
                $('#inputCategory').attr('name', '<?php echo $inbound_mail['category_id'] ?>');
                $('#inputCategory').val('<?php echo $inbound_mail['category_name'] ?>');


                // *** Click Events *** 
                // Button: Save changes
                $('#button_save').on('click', function () {
                    var ID = $('#button_save').val();
                    var name = $('#inputName').val();
                    if ($('#inputActive').is(":checked")) {
                        var active = 1;
                    } else {
                        var active = 0;
                    }
                    var hostname = $('#inputHostname').val();
                    var port = $('#inputPort').val();
                    var account = $('#inputAccount').val();
                    var password = $('#inputPassword').val();
                    var subjectFilter = $('#inputSubjectFilter').val();
                    var originID = $('#selectOrigin option:selected').val();
                    var groupID = $('#selectGroup option:selected').val();
                    var categoryID = $('#inputCategory').attr('name');
                    var categoryIDVal = $('#inputCategory').val();
                    if (categoryIDVal.trim() === '') {
                        toastr.error("Enter a Category");
                        $('#inputCategory').focus();
                        return false;
                    } else if (name.trim() === '') {
                        toastr.error("Enter a Name");
                        $('#inputName').focus();
                        return false;
                    } else if (hostname.trim() === '') {
                        toastr.error("Enter a Hostname");
                        $('#inputHostname').focus();
                        return false;
                    } else if (port.trim() === '') {
                        toastr.error("Enter a Port");
                        $('#inputPort').focus();
                        return false;
                    } else if (account.trim() === '') {
                        toastr.error("Enter a Account");
                        $('#inputAccount').focus();
                        return false;
                    } else if (originID.trim() === '') {
                        toastr.error("Enter a Origin");
                        $('#selectOrigin').focus();
                        return false;
                    } else if (groupID.trim() === '') {
                        toastr.error("Enter a Group");
                        $('#selectGroup').focus();
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../control/data_inbound_mails.php',
                            data: 'action=update&id=' + ID + '&category_id=' + categoryID + '&name=' + name + '&hostname=' + hostname + '&port=' + port +
                                    '&active=' + active + '&password=' + password + '&subject_filter=' + subjectFilter +
                                    '&account=' + account + '&origin_id=' + originID + '&group_id=' + groupID,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'account_exist') {
                                    toastr.error("The Account already exist");
                                } else {
                                    toastr.success("Ibound Mail updated");
                                    modified = false;
                                }
                            }
                        });
                    }
                });

                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();

                // Active menu
                activeMenu('#menu_inbound_mails');
            });
        </script>

        <!-- Modal Select Category -->
    <div class="modal fade" id="modalSelectCategory" data-bs-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Select Category</h5>
                    <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="mb-3">
                        <?php
                        $categories = categories($conn, 'all');
                        ?>
                        <?php foreach ($categories as $category) { ?>
                            <ul class="category">
                                <li><?php echo $category['name'] ?></li>
                                <?php
                                if (!empty($category['subcategory'])) {
                                    echo viewsubcat($category['subcategory']);
                                }
                                ?>
                            </ul>
                        <?php } ?>
                    </div>
                </div>
                <!--                <div class="modal-footer">
                                    <button class="btn btn-danger" type="button" data-bs-dismiss="modal">Cancel</button>
                                    <button class="btn btn-dark" type="button" id="button_add_favourite">Add</button>
                                </div>-->
            </div>
        </div>
    </div>

    <!-- END Added by Dev -->

</head>
<body>
    <?php include "../skel/header.php" ?>
    <div id="layoutSidenav">
        <div id="layoutSidenav_nav">
            <nav class="sidenav shadow-right sidenav-dark">
                <?php include "../skel/menu.php" ?>
            </nav>
        </div>
        <div id="layoutSidenav_content">
            <main>
                <header class="page-header page-header-dark bg-dark mb-4">
                    <div class="container-xl px-4">
                        <div class="page-header-content pt-0">
                            <div class="row align-items-center justify-content-between">
                                <div class="col-auto mt-4">
                                    <h1 class="page-header-title">
                                        <div class="page-header-icon"><i class="fas fa-envelope"></i></div>
                                        Inbound mail&nbsp;<span id="inboundMailName" class="d-none d-sm-none d-md-block" style="font-weight:bold;"></span>
                                        <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                    </h1>
                                </div>
                            </div>
                            <nav class="mt-4 rounded" aria-label="breadcrumb">
                                <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                    <li class="breadcrumb-item"><a href="inbound-mails.php">Inbound mails</a></li>
                                    <li class="breadcrumb-item active">Details</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </header>
                <!-- Main page content-->
                <div class="container-xl px-4 mt-4">
                    <div class="row">
                        <div class="col-xl-12">
                            <!-- Account details card-->
                            <div class="card card-header-actions">
                                <div class="card-header text-dark"><div>Details</div>
                                    <div class="dropdown no-caret">
                                        <button class="btn btn-dark btn-sm me-2" id="button_save"><i class="fas fa-save"></i>&nbsp;Save</button>
                                        <button class="btn btn-transparent-dark btn-icon dropdown-toggle" id="dropdownMenuButton" type="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i data-feather="more-vertical"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right animated--fade-in-up" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item" href="new-inbound-mail.php"><i class="fas fa-plus"></i>&nbsp;New</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <form>
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputName">Name *</label>
                                                <input class="form-control" id="inputName" type="text" placeholder="Name" value="" />
                                            </div>
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputActive">Active</label>
                                                <div class="form-check form-switch">
                                                    <input class="form-check-input" id="inputActive" type="checkbox">
                                                    <label class="form-check-label" for="inputActive"></label>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputHostname">Hostname *</label>
                                                <input class="form-control" id="inputHostname" type="text" placeholder="Hostname" value="" />
                                            </div>
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputPort">Port *</label>
                                                <input class="form-control" id="inputPort" type="number" min="0" max="65535" placeholder="Port" value="" />
                                            </div>
                                        </div>
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputAccount">Account *</label>
                                                <input class="form-control" id="inputAccount" type="text" placeholder="Account" value="" />
                                            </div>
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputPassword">Password *</label>
                                                <input class="form-control" id="inputPassword" type="password" placeholder="Passowrd" value="" />
                                            </div>
                                        </div>
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="selectOrigin">Origin *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectOrigin" style="line-height:1.4">
                                                </select>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="selectGroup">Group *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectGroup" style="line-height:1.4">
                                                </select>
                                            </div>
                                        </div>
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputSubjectFilter">Subject Filter</label>
                                                <input class="form-control" id="inputSubjectFilter" type="text" placeholder="Subject Filter" value="" />
                                                </select>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputCategory">Category *</label>
                                                <div class="input-group">
                                                    <input class="form-control" id="inputCategory" type="text" placeholder="Category" value="" readonly />
                                                    <span class="input-group-text" id="modalSelectCategory"><a href="#"><i class="fas fa-stream text-dark" data-bs-toggle="modal" data-bs-target="#modalSelectCategory"></i></a></span>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
            <?php include "../skel/footer.html" ?>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <script src="../js/scripts.js"></script>

    <!-- Added by Dev -->

    <!-- Bootstrap Select Plugin -->
    <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
    <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

    <!-- *** Replace styles -->
    <style>
        .btn.dropdown-toggle.btn-light{
            line-height: 1.4;
            background-color:white;
            border-color: #c5ccd6;
        }
    </style>
    <!-- END Added by Dev -->

</body>
</html>
