<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();
// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Inbound mails</title>
        <link href="https://cdn.jsdelivr.net/npm/simple-datatables@latest/dist/style.css" rel="stylesheet" />
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->

        <!-- Datatables Plugin -->
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap5.min.css">


        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                var table = "";
                $('#table thead tr').clone(true).appendTo('#table thead');
                $('#table thead tr:eq(1) th').each(function (i) {
                    var title = $(this).text();
                    $(this).html('<input type="text" placeholder="' + title + '" style="width:100%;"/>');

                    $('input', this).on('keyup change', function () {
                        if (table.column(i).search() !== this.value) {
                            table
                                    .column(i)
                                    .search(this.value)
                                    .draw();
                        }
                    });
                });

                table = $('#table').DataTable({
                    ajax: "../control/data_inbound_mails.php?table=v_inbound_mails",
                    columns: [
                        {data: "inbound_mail_id", render: getRow},
                        {data: "inbound_mail_name"},
                        {data: "subject_filter"},
                        {data: "category_name"},
                        {data: "origin_name"},
                        {data: "group_name"},
                        {data: "creation_date"},
                        {data: "update_date"},
                        {data: "active", render: getActive}
                    ],
                    orderCellsTop: true,
                    fixedHeader: true,
                    paging: false,
                    order: [[1, "asc"]],
                    dom: 'Bfrtip',
                    "scrollX": true,
                    extend: 'collection',
                    text: 'Select view',
                    buttons: [
                        {
                            extend: 'collection',
                            text: 'Table Options',
                            buttons: [
                                {
                                    popoverTitle: 'Visibility control',
                                    extend: 'colvis',
                                    collectionLayout: 'one-column'
                                }, 'copy', 'csv', 'excel', 'pdf'
                            ]
                        }
                    ]
                });
                function getRow(data) {
                    return '<a href="inbound-mail-detail.php?inbound_mail=' + data + '" style="color:#69707a;"><i class="fas fa-search"></i></a>\n\
                        <a href="#" style="color:#69707a;" data-bs-toggle="modal" data-bs-target="#deleteModal" onclick="deleteRow(' + data + ')"><i class="fas fa-trash-alt fa-1x text-black-300"></i></a>';
                }

                function getActive(data) {
                    switch (data) {
                        case 0:
                            return '<input type="checkbox" class="form-check-input" value="" disabled="true">';
                            break;
                        case 1:
                            return '<input type="checkbox" class="form-check-input" value="" disabled="true" checked>';
                            break;
                    }
                }

                // Delete/Deactive row
                $(document).ready(function () {
                    $('#deleteBtnModal').on('click', function () {
                        var targetTable = "inbound_mails";
                        var colName = "inbound_mail_id";
                        var id = $('#deleteBtnModal').val();
                        if (deleteRow && id.length > 0) {
                            $.ajax({
                                type: 'POST',
                                url: '../control/data_inbound_mails.php',
                                data: 'action=delete&target_table=' + targetTable + '&col_name=' + colName + '&id=' + id,
                                success: function (msg) {
                                    toastr.success("Inbound Mail deleted");
                                    table.ajax.reload();
                                }
                            });
                        }
                    });
                });

                // Filters
                $('[id^=filters]').on('click', function () {
                    table.destroy();
                    var filter = $(this).attr('value');
                    var ajax = "";
                    if (filter == 1) {
                        ajax = "../control/data_inbound_mails.php?table=v_inbound_mails";
                    } else if (filter == 2) {
                        ajax = "../control/data_inbound_mails.php?table=v_inbound_mails_no_active";
                    } else {
                        ajax = "../control/data_inbound_mails.php?table=v_inbound_mails_all";
                    }
                    $('[id^=filters]').removeClass('table_filter_selected');
                    $(this).addClass('table_filter_selected');
                    table = $('#table').DataTable({
                        ajax: ajax,
                        columns: [
                            {data: "inbound_mail_id", render: getRow},
                            {data: "inbound_mail_name"},
                            {data: "subject_filter"},
                            {data: "category_name"},
                            {data: "origin_name"},
                            {data: "group_name"},
                            {data: "creation_date"},
                            {data: "update_date"},
                            {data: "active", render: getActive}
                        ],
                        orderCellsTop: true,
                        fixedHeader: true,
                        paging: false,
                        order: [[1, "asc"]],
                        dom: 'Bfrtip',
                        "scrollX": true,
                        extend: 'collection',
                        text: 'Select view',
                        buttons: [
                            {
                                extend: 'collection',
                                text: 'Table Options',
                                buttons: [
                                    {
                                        popoverTitle: 'Visibility control',
                                        extend: 'colvis',
                                        collectionLayout: 'one-column'
                                    }, 'copy', 'csv', 'excel', 'pdf'
                                ]
                            }
                        ]
                    });
                });

                // Active menu
                activeMenu('#menu_inbound_mails');

            });
        </script>
        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark pb-10">
                        <div class="container-fluid px-4">
                            <div class="page-header-content pt-0 mb-n3">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-envelope"></i></div>
                                            Inbound Mails
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-fluid px-4 mt-n10">
                        <div class="card mb-4">
                            <div class="card card-header-actions">
                                <div class="card-header text-dark">Inbound Mails
                                    <div class="dropdown no-caret">
                                        <button class="btn btn-transparent-dark btn-icon dropdown-toggle" id="dropdownMenuButton" type="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i data-feather="filter"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right animated--fade-in-up" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item table_filter_selected" id="filters_1" href="#!" value="1">Active</a>
                                            <a class="dropdown-item" id="filters_2" href="#!" value="2">Inactive</a>
                                            <a class="dropdown-item" id="filters_3" href="#!" value="3">All</a>
                                        </div>
                                        <button class="btn btn-transparent-dark btn-icon dropdown-toggle" id="dropdownMenuButton" type="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i data-feather="more-vertical"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right animated--fade-in-up" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item" href="new-inbound-mail.php"><i class="fas fa-plus"></i>&nbsp;New</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <table class="table table-bordered" id="table" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Action</th>
                                            <th>Name</th>
                                            <th>Subject Filter</th>
                                            <th>Category</th>
                                            <th>Origin</th>
                                            <th>Group</th>
                                            <th>Creation Date</th>
                                            <th>Update Date</th>
                                            <th>Active</th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>

        <!-- Datatables Plugin -->
        <script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap5.min.js"></script>
        <!--<script src="https://cdn.datatables.net/v/bs5/dt-1.11.3/b-2.0.1/b-html5-2.0.1/datatables.min.js"></script>-->
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs5/jszip-2.5.0/dt-1.11.3/b-2.0.1/b-colvis-2.0.1/b-html5-2.0.1/b-print-2.0.1/datatables.min.css"/>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
        <script type="text/javascript" src="https://cdn.datatables.net/v/bs5/jszip-2.5.0/dt-1.11.3/b-2.0.1/b-colvis-2.0.1/b-html5-2.0.1/b-print-2.0.1/datatables.min.js"></script>

        <!-- Actions -->

        <!-- Delete Modal-->
        <div class="modal fade" id="deleteModal" tabindex="-1" alert="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" alert="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Delete Inbound Mail</h5>
                        <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">Do you want to delete the inbound mail?</div>
                    <div class="modal-footer">
                        <button class="btn btn-dark" type="button" id="deleteBtnModal" data-bs-dismiss="modal">Delete</button>
                        <button class="btn btn-outline-dark" type="button" data-bs-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
