<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$groups = obtainGroupList($conn); // Obtain Groups List
$origins = obtainOriginList($conn); // Obtain Origins List
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | New Task</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***

                $('#selectOrigin').html('<?php
echo '<option disabled selected value="">Origin</option>';
foreach ($origins as $origin) {
    echo '<option value="' . $origin['origin_id'] . '">' . $origin['name'] . '</option>';
}
?>');
                $('#selectGroup').html('<?php
echo '<option disabled selected value="">Group</option>';
foreach ($groups as $group) {
    echo '<option value="' . $group['group_id'] . '">' . $group['name'] . '</option>';
}
?>');

//                // *** Click Events *** 
//                // Button: Create Task
                $('#button_create').on('click', function () {
                    var name = $('#inputName').val();
                    var nextExecution = $('#inputNextExecution').val();
                    if ($('#inputActive').is(":checked")) {
                        var active = 1;
                    } else {
                        var active = 0;
                    }
                    var condition = $('#inputCondition').val();
                    var execution = $('#inputExecution').val();
                    var periodicity = $('#inputPeriodicity').val();
                    if (name.trim() === '') {
                        toastr.error("Enter a Name");
                        $('#inputName').focus();
                        return false;
                    } else if (nextExecution.trim() === '') {
                        toastr.error("Enter a Next Execution");
                        $('#inputNextExecution').focus();
                        return false;
                    } else if (condition.trim() === '') {
                        toastr.error("Enter a Condition");
                        return false;
                    } else if (execution.trim() === '') {
                        toastr.error("Enter a Execution");
                        return false;
                    } else if (periodicity.trim() === '') {
                        toastr.error("Enter a Periodicity");
                        $('#inputPeriodicity').focus();
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../control/data_tasks.php',
                            data: 'action=create&name=' + name + '&next_execution=' + nextExecution +
                                    '&active=' + active + '&task_condition=' + condition + '&execution=' + execution + '&periodicity=' + periodicity,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'name_exist') {
                                    toastr.error("The Name already exist");
                                } else {
                                    toastr.success("Task created");
                                    var taskID = msg;
                                    setTimeout(function () {
                                        window.location.href = "/itsm/dist/admin/task-detail.php?task=" + taskID;
                                    }, 2000);
                                }
                            }
                        });
                    }
                });

                // Button: Cancel
                $('#button_cancel').on('click', function () {
                    window.location.href = 'inbound-mails.php';
                });

                // *** Changes Events ***


                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();
                tinymce.init({
                    selector: '.textareas_wysiwig',
                    skin: 'bootstrap',
                    plugins: 'code fullscreen',
                    toolbar: 'code fullscreen',
                    menubar: false,
                    entity_encoding: 'raw',
                    branding: false
                });

                // Active menu
                activeMenu('#menu_tasks');
            });
        </script>

        <!-- Modal Select Category -->
    <div class="modal fade" id="modalSelectCategory" data-bs-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Select Category</h5>
                    <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="mb-3">
                        <?php
                        $categories = categories($conn, 'all');
                        ?>
                        <?php foreach ($categories as $category) { ?>
                            <ul class="category">
                                <li><?php echo $category['name'] ?></li>
                                <?php
                                if (!empty($category['subcategory'])) {
                                    echo viewsubcat($category['subcategory']);
                                }
                                ?>
                            </ul>
                        <?php } ?>
                    </div>
                </div>
                <!--                <div class="modal-footer">
                                    <button class="btn btn-danger" type="button" data-bs-dismiss="modal">Cancel</button>
                                    <button class="btn btn-dark" type="button" id="button_add_favourite">Add</button>
                                </div>-->
            </div>
        </div>
    </div>

    <!-- END Added by Dev -->

</head>
<body>
    <?php include "../skel/header.php" ?>
    <div id="layoutSidenav">
        <div id="layoutSidenav_nav">
            <nav class="sidenav shadow-right sidenav-dark">
                <?php include "../skel/menu.php" ?>
            </nav>
        </div>
        <div id="layoutSidenav_content">
            <main>
                <header class="page-header page-header-dark bg-dark mb-4">
                    <div class="container-xl px-4">
                        <div class="page-header-content pt-0">
                            <div class="row align-items-center justify-content-between">
                                <div class="col-auto mt-4">
                                    <h1 class="page-header-title">
                                        <div class="page-header-icon"><i class="fas fa-envelope"></i></div>
                                        Task&nbsp;
                                        <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                    </h1>
                                </div>
                            </div>
                            <nav class="mt-4 rounded" aria-label="breadcrumb">
                                <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                    <li class="breadcrumb-item"><a href="inbound-mails.php">Tasks</a></li>
                                    <li class="breadcrumb-item active">Details</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </header>
                <!-- Main page content-->
                <div class="container-xl px-4 mt-4">
                    <!-- User page navigation-->
                    <nav class="nav nav-borders text-dark">
                        <a class="nav-link active ms-0" href="#!">Details</a>
                    </nav>
                    <hr class="mt-0 mb-4" />
                    <div class="row">
                        <div class="col-xl-12 mb-4">
                            <!-- Account details card-->
                            <div class="card card-header-actions">
                                <div class="card-header text-dark"><div>Task Details</div>
                                    <div class="dropdown no-caret">
                                        <button class="btn btn-dark btn-sm me-2" id="button_create"><i class="fas fa-plus"></i>&nbsp;Create</button>
                                        <button class="btn btn-dark btn-sm" id="button_cancel"><i class="fas fa-trash-alt"></i>&nbsp;Cancel</button>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <form>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputName">Name *</label>
                                                    <input class="form-control" id="inputName" type="text" placeholder="Name" value="" />
                                                </div>
                                                <div class="col-md-3">
                                                    <label class="small mb-1" for="inputNextExecution">Next Execution *</label>
                                                    <input class="form-control" id="inputNextExecution" type="datetime-local" placeholder="Priodicity" value="" />
                                                </div>
                                                <div class="col-md-3">
                                                    <label class="small mb-1" for="inputPeriodicity">Active *</label>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" id="inputActive" type="checkbox">
                                                        <label class="form-check-label" for="inputActive"></label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-12">
                                                    <label class="small mb-1" for="inputCondition">Task Condition *</label>
                                                    <textarea class="form-control" id="inputCondition" rows="10"></textarea>
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-12">
                                                    <label class="small mb-1" for="inputExecution">Execution *</label>
                                                    <textarea class="form-control" id="inputExecution" rows="10"></textarea>
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputPeriodicity">Periodicity (in minuts) *</label>
                                                    <input class="form-control" id="inputPeriodicity" type="number" min="1" placeholder="Priodicity" value="" />
                                                </div>
                                            </div>
                                        </form>
                                </div>
                            </div>
                        </div>                           
                    </div>
                </div>
            </main>
            <?php include "../skel/footer.html" ?>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <script src="../js/scripts.js"></script>

    <!-- Added by Dev -->

    <!-- Bootstrap Select Plugin -->
    <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
    <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

    <!-- *** Replace styles -->
    <style>
        .btn.dropdown-toggle.btn-light{
            line-height: 1.4;
            background-color:white;
            border-color: #c5ccd6;
        }
    </style>
    <!-- END Added by Dev -->

</body>
</html>
