<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

if (isset($_GET['notification'])) {
// GET vars
    $notification_id = $_GET['notification'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$notification = obtainRowData($conn, 'notifications', 'notification_id', $notification_id); // Get Notification
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Notification Details</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {
                // Check if the form has been modified
                var modified;
                $("input, select").change(function () {
                    modified = true;
                });
                $(window).on('beforeunload', function () {
                    if (modified == true) {
                        return 'Are you sure you want to leave?';
                    }
                });

                // *** Set Form ***
                // Notification Detail
                $('#button_save').val('<?php echo $notification['notification_id'] ?>');
                $('#notificationName').html('<?php echo "&laquo;" . $notification['name'] . "&raquo;" ?>');
                $('#inputName').val('<?php echo $notification['name'] ?>');
                $('#inputSubject').val('<?php echo $notification['subject'] ?>');
                $('#inputBody').val('<?php echo str_replace(array("\r", "\n"), '', html_entity_decode($notification['body'])); ?>');

//                // *** Click Events *** 
//                // Button: Save changes
                $('#button_save').on('click', function () {
                    tinyMCE.triggerSave();
                    var ID = $('#button_save').val();
                    var subject = $('#inputSubject').val();
                    var body = tinyMCE.activeEditor.getContent();
                    if (subject.trim() === '') {
                        toastr.error("Enter a Subject");
                        $('#inputSubject').focus();
                        return false;
                    } else if (body.trim() === '') {
                        toastr.error("Enter a Body");
                        $('#inputBody').focus();
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../control/data_notifications.php',
                            data: 'action=update&id=' + ID + '&subject=' + subject + '&body=' + body,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                toastr.success("Notification updated");
                                modified = false;
                            }
                        });
                    }
                });

                // *** Changes Events ***

// *** Upload Images TinyMCE *** //
                function tinymce_upload_image(blobInfo, success, failure, progress) {
                    var xhr, formData;

                    xhr = new XMLHttpRequest();
                    xhr.withCredentials = false;
                    xhr.open('POST', '/itsm/dist/control/uploadImagesTinyMCE.php');

                    xhr.upload.onprogress = function (e) {
                        progress(e.loaded / e.total * 100);
                    };

                    xhr.onload = function () {
                        var json;

                        if (xhr.status === 403) {
                            failure('HTTP Error: ' + xhr.status, {remove: true});
                            return;
                        }

                        if (xhr.status < 200 || xhr.status >= 300) {
                            failure('HTTP Error: ' + xhr.status);
                            return;
                        }

                        json = JSON.parse(xhr.responseText);

                        if (!json || typeof json.location != 'string') {
                            failure('Invalid JSON: ' + xhr.responseText);
                            return;
                        }

                        success(json.location);
                    };

                    xhr.onerror = function () {
                        failure('Image upload failed due to a XHR Transport error. Code: ' + xhr.status);
                    };

                    formData = new FormData();
                    formData.append('file', blobInfo.blob(), blobInfo.filename());

                    xhr.send(formData);
                }

                function tinymce_local_image(cb, value, meta) {
                    var input = document.createElement('input');
                    input.setAttribute('type', 'file');
                    input.setAttribute('accept', 'image/*');

                    /*
                     Note: In modern browsers input[type="file"] is functional without
                     even adding it to the DOM, but that might not be the case in some older
                     or quirky browsers like IE, so you might want to add it to the DOM
                     just in case, and visually hide it. And do not forget do remove it
                     once you do not need it anymore.
                     */

                    input.onchange = function () {
                        var file = this.files[0];

                        var reader = new FileReader();
                        reader.onload = function () {
                            /*
                             Note: Now we need to register the blob in TinyMCEs image blob
                             registry. In the next release this part hopefully won't be
                             necessary, as we are looking to handle it internally.
                             */
                            var id = 'blobid' + (new Date()).getTime();
                            var blobCache = tinymce.activeEditor.editorUpload.blobCache;
                            var base64 = reader.result.split(',')[1];
                            var blobInfo = blobCache.create(id, file, base64);
                            blobCache.add(blobInfo);

                            /* call the callback and populate the Title field with the file name */
                            cb(blobInfo.blobUri(), {title: file.name});
                        };
                        reader.readAsDataURL(file);
                    };

                    input.click();
                }

                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();
                tinymce.init({
                    selector: 'textarea#inputBody',
                    skin: 'bootstrap',
                    plugins: 'lists, link, image, media, code, fullscreen',
                    toolbar: 'h1 h2 bold italic strikethrough blockquote bullist numlist backcolor | link image media | removeformat help code fullscreen',
                    menubar: false,
                    entity_encoding: 'raw',
                    branding: false,
                    relative_urls: false,
                    remove_script_host: false,
                    convert_urls: true,
                    file_picker_callback: tinymce_local_image,
                    images_upload_handler: tinymce_upload_image
                });

                // Active menu
                activeMenu('#menu_notifications');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-envelope-open-text"></i></div>
                                            Notification&nbsp;<span id="notificationName" class="d-none d-sm-none d-md-block" style="font-weight:bold;"></span>
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="notifications.php">Notifications</a></li>
                                        <li class="breadcrumb-item active">Details</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- User page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link active ms-0" href="notification-detail.php?notification=<?php echo $notification_id ?>">Details</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-xl-12 mb-4">
                                <!-- Account details card-->
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>Details</div>
                                        <div class="dropdown no-caret">
                                            <button class="btn btn-dark btn-sm me-2" id="button_save"><i class="fas fa-save"></i>&nbsp;Save</button>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <form>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputName">Name *</label>
                                                    <input class="form-control" id="inputName" type="text" placeholder="Title" value="" readonly />
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputSubject">Subject *</label>
                                                    <input class="form-control" id="inputSubject" type="text" placeholder="Title" value="" />
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-12">
                                                    <label class="small mb-1" for="inputBody">Description *</label>
                                                    <textarea class="form-control" id="inputBody" rows="40" maxlength="50"></textarea>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>                           
                        </div>
                    </div>
                </main>
                <?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
