<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();
// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Settings </title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>
        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***
                // Settings Detail
                $('#button_save').val('<?php echo $_SESSION['user']['user_id'] ?>');
                $('#inputSettingsName').val('<?php echo $_SESSION['user']['name'] ?>');
                $('#inputSettingsLastName').val('<?php echo $_SESSION['user']['last_name'] ?>');
                $('#inputSettingsEmail').val('<?php echo $_SESSION['user']['email'] ?>');
                $('#inputSettingsManager').val('<?php echo $_SESSION['user']['manager_user'] ?>');
                $('#inputSettingsDepartment').val('<?php echo $_SESSION['user']['department_name'] ?>');
                $('#inputSettingsLocation').val('<?php echo $_SESSION['user']['location_name'] ?>');


                // *** Click Events ***
                
                // Exys Back Office
                // Button: Upload Login picture
                $("#upload_bo_login").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image_bo_login')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../control/data_system_settings.php?upload=login',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            switch (response) {
                                case 'error1':
                                    $("#msg_bo_login").html('<div class="alert alert-danger" role="alert">Error uploaded file</div>');
                                    break;
                                case 'error2':
                                    $("#msg_bo_login").html('<div class="alert alert-danger" role="alert">Invalid image type</div>');
                                    break;
                                case 'error3':
                                    $("#msg_bo_login").html('<div class="alert alert-danger" role="alert">Please select image</div>');
                                    break;
                                default:
                                    console.log(response);
                                    toastr.success("Login image updated");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                    break;
                            }

                        }
                    });
                    return false;
                });

                // Button: Upload Header picture
                $("#upload_bo_header").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image_bo_header')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../control/data_system_settings.php?upload=header',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            switch (response) {
                                case 'error1':
                                    $("#msg_bo_header").html('<div class="alert alert-danger" role="alert">Error uploaded file</div>');
                                    break;
                                case 'error2':
                                    $("#msg_bo_header").html('<div class="alert alert-danger" role="alert">Invalid image type</div>');
                                    break;
                                case 'error3':
                                    $("#msg_bo_header").html('<div class="alert alert-danger" role="alert">Please select image</div>');
                                    break;
                                default:
                                    console.log(response);
                                    toastr.success("Header image updated");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                    break;
                            }

                        }
                    });
                    return false;
                });

                // Button: Upload Favicon picture
                $("#upload_bo_favicon").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image_bo_favicon')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../control/data_system_settings.php?upload=favicon',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            switch (response) {
                                case 'error1':
                                    $("#msg_bo_favicon").html('<div class="alert alert-danger" role="alert">Error uploaded file</div>');
                                    break;
                                case 'error2':
                                    $("#msg_bo_favicon").html('<div class="alert alert-danger" role="alert">Invalid image type</div>');
                                    break;
                                case 'error3':
                                    $("#msg_bo_favicon").html('<div class="alert alert-danger" role="alert">Please select image</div>');
                                    break;
                                default:
                                    console.log(response);
                                    toastr.success("Favicon image updated");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                    break;
                            }

                        }
                    });
                    return false;
                });
                
                // Exys Portal
                // Button: Upload Login picture
                $("#upload_portal_login").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image_portal_login')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../control/data_system_settings.php?upload=login_portal',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            switch (response) {
                                case 'error1':
                                    $("#msg_portal_login").html('<div class="alert alert-danger" role="alert">Error uploaded file</div>');
                                    break;
                                case 'error2':
                                    $("#msg_portal_login").html('<div class="alert alert-danger" role="alert">Invalid image type</div>');
                                    break;
                                case 'error3':
                                    $("#msg_portal_login").html('<div class="alert alert-danger" role="alert">Please select image</div>');
                                    break;
                                default:
                                    console.log(response);
                                    toastr.success("Login image updated");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                    break;
                            }

                        }
                    });
                    return false;
                });

                // Button: Upload Header picture
                $("#upload_portal_header").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image_portal_header')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../control/data_system_settings.php?upload=header_portal',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            switch (response) {
                                case 'error1':
                                    $("#msg_portal_header").html('<div class="alert alert-danger" role="alert">Error uploaded file</div>');
                                    break;
                                case 'error2':
                                    $("#msg_portal_header").html('<div class="alert alert-danger" role="alert">Invalid image type</div>');
                                    break;
                                case 'error3':
                                    $("#msg_portal_header").html('<div class="alert alert-danger" role="alert">Please select image</div>');
                                    break;
                                default:
                                    console.log(response);
                                    toastr.success("Header image updated");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                    break;
                            }

                        }
                    });
                    return false;
                });

                // Button: Upload Favicon picture
                $("#upload_portal_favicon").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image_portal_favicon')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../control/data_system_settings.php?upload=favicon_portal',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            switch (response) {
                                case 'error1':
                                    $("#msg_portal_favicon").html('<div class="alert alert-danger" role="alert">Error uploaded file</div>');
                                    break;
                                case 'error2':
                                    $("#msg_portal_favicon").html('<div class="alert alert-danger" role="alert">Invalid image type</div>');
                                    break;
                                case 'error3':
                                    $("#msg_portal_favicon").html('<div class="alert alert-danger" role="alert">Please select image</div>');
                                    break;
                                default:
                                    console.log(response);
                                    toastr.success("Favicon image updated");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                    break;
                            }

                        }
                    });
                    return false;
                });

                // Exys Bot
                // Button: Upload Icon picture
                $("#upload_bot_icon").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image_bot_icon')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../control/data_system_settings.php?upload=icon_bot',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            switch (response) {
                                case 'error1':
                                    $("#msg_bot_icon").html('<div class="alert alert-danger" role="alert">Error uploaded file</div>');
                                    break;
                                case 'error2':
                                    $("#msg_bot_icon").html('<div class="alert alert-danger" role="alert">Invalid image type</div>');
                                    break;
                                case 'error3':
                                    $("#msg_bot_icon").html('<div class="alert alert-danger" role="alert">Please select image</div>');
                                    break;
                                default:
                                    console.log(response);
                                    toastr.success("Icon Bot image updated");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                    break;
                            }

                        }
                    });
                    return false;
                });
                
                // Button: Upload WallPaper picture
                $("#upload_bot_wp").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image_bot_wp')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../control/data_system_settings.php?upload=wp_bot',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            switch (response) {
                                case 'error1':
                                    $("#msg_bot_wp").html('<div class="alert alert-danger" role="alert">Error uploaded file</div>');
                                    break;
                                case 'error2':
                                    $("#msg_bot_wp").html('<div class="alert alert-danger" role="alert">Invalid image type</div>');
                                    break;
                                case 'error3':
                                    $("#msg_bot_wp").html('<div class="alert alert-danger" role="alert">Please select image</div>');
                                    break;
                                default:
                                    console.log(response);
                                    toastr.success("Wallpaper bot image updated");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                    break;
                            }

                        }
                    });
                    return false;
                });
                
                // Active menu
                activeMenu('#menu_settings');
            });
        </script>

        <!-- END Added by Dev -->
    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-tools"></i></div>
                                            Settings
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <div class="row">
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Exys Back Office - Login</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-fluid mb-2" src="/itsm/dist/resources/images/system/exys_logo_transparent.png" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4 mt-2">JPG or PNG no larger than 5 MB. Size recomended: 228x52</div>
                                        <!-- Profile picture upload button-->
                                        <div class="mb-3" id="msg_bo_login" style="text-align:center;">
                                        </div>
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image_bo_login" id="image_bo_login" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload_bo_login">Update image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Exys Back Office - Header Picture</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-fluid mb-2" src="/itsm/dist/resources/images/system/exys_logo_white.PNG" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4 mt-2">JPG or PNG no larger than 5 MB. Size recomended: 228x52</div>
                                        <!-- Profile picture upload button-->
                                        <div class="mb-3" id="msg_bo_header" style="text-align:center;">
                                        </div>
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image_bo_header" id="image_bo_header" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload_bo_header">Update image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Exys Back Office - Favicon Picture</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-fluid mb-2" src="/itsm/dist/resources/images/system/favicon.png" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4 mt-2">JPG or PNG no larger than 5 MB. Size recomended: 96x96</div>
                                        <!-- Profile picture upload button-->
                                        <div class="mb-3" id="msg_bo_favicon" style="text-align:center;">
                                        </div>
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image_bo_favicon" id="image_bo_favicon" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload_bo_favicon">Update image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Exys Portal - Login</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-fluid mb-2" src="/portal/resources/exys_logo_transparent.png" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4 mt-2">JPG or PNG no larger than 5 MB. Size recomended: 228x52</div>
                                        <!-- Profile picture upload button-->
                                        <div class="mb-3" id="msg_portal_login" style="text-align:center;">
                                        </div>
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image_portal_login" id="image_portal_login" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload_portal_login">Update image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Exys Portal - Header Picture</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-fluid mb-2" src="/portal/resources/exys_logo_white.PNG" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4 mt-2">JPG or PNG no larger than 5 MB. Size recomended: 228x52</div>
                                        <!-- Profile picture upload button-->
                                        <div class="mb-3" id="msg_portal_header" style="text-align:center;">
                                        </div>
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image_portal_header" id="image_portal_header" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload_portal_header">Update image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Exys Portal - Favicon Picture</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-fluid mb-2" src="/portal/resources/favicon.png" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4 mt-2">JPG or PNG no larger than 5 MB. Size recomended: 96x96</div>
                                        <!-- Profile picture upload button-->
                                        <div class="mb-3" id="msg_portal_favicon" style="text-align:center;">
                                        </div>
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image_portal_favicon" id="image_portal_favicon" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload_portal_favicon">Update image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Exys Bot - Bot Icon</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-fluid mb-2" src="/portal/resources/chatbot.png" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4 mt-2">JPG or PNG no larger than 5 MB. Size recomended: 256x256</div>
                                        <!-- Profile picture upload button-->
                                        <div class="mb-3" id="msg_bot_icon" style="text-align:center;">
                                        </div>
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image_bot_icon" id="image_bot_icon" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload_bot_icon">Update image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Exys Portal - Chat Wallpaper</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-fluid mb-2" src="/portal/resources/wp_bot.jpg" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4 mt-2">JPG or PNG no larger than 5 MB. Size recomended: 750x1334</div>
                                        <!-- Profile picture upload button-->
                                        <div class="mb-3" id="msg_bot_wp" style="text-align:center;">
                                        </div>
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image_bot_wp" id="image_bot_wp" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload_bot_wp">Update image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>
    </body>
</html>
