$(document).ready(function () {
    $.ajax({
        url: "/itsm/dist/assets/charts/tickets_terminated_by_month_year.php",
        dataType: 'json',
        contentType: "application/json; charset=utf-8",
        method: "GET",
        success: function (data) {
            var monthYear = [];
            var totalIncidents = [];
            var totalRequests = [];

            for (var i in data.incidents) {
                monthYear.push(data.incidents[i].month_year);
                totalIncidents.push(data.incidents[i].total);
            }

            for (var i in data.requests) {
                totalRequests.push(data.requests[i].total);
            }

            var showChart = $("#TicketsTerminatedByMonthYear");

            var chart = new Chart(showChart, {
                type: 'line',
                data: {
                    labels: monthYear,
                    datasets: [{
                            label: "No. Incidents",
                            backgroundColor: "rgba(0, 97, 242, 1)",
                            hoverBackgroundColor: "rgba(0, 97, 242, 0.7)",
                            borderColor: "#0061f2",
                            data: totalIncidents,
                            maxBarThickness: 100,
                            fill: false,
                            id: 'y',
                        }, {
                            label: "No. Requests",
                            backgroundColor: "rgba(0, 172, 105, 1)",
                            hoverBackgroundColor: "rgba(0, 172, 105, 0.7)",
                            borderColor: "#00ac69",
                            data: totalRequests,
                            maxBarThickness: 100,
                            fill: false,
                            id: 'y1',
                        }]
                },
                options: {
                    maintainAspectRatio: false,
                    layout: {
                        padding: {
                            left: 10,
                            right: 25,
                            top: 25,
                            bottom: 0
                        }
                    },
                    scales: {
                        xAxes: [{
                                time: {
                                    unit: 'date'
                                },
                                gridLines: {
                                    display: false,
                                    drawBorder: false
                                },
                                ticks: {
                                    maxTicksLimit: 7
                                }
                            }],
                        y: {
                            type: 'linear',
                            display: true,
                            position: 'left',
                        },
                        y1: {
                            type: 'linear',
                            display: true,
                            position: 'right',

                            // grid line settings
                            grid: {
                                drawOnChartArea: false, // only want the grid lines for one axis to show up
                            },
                        },
                    },
                    legend: {
                        display: false
                    },
                    tooltips: {
                        backgroundColor: "rgb(255,255,255)",
                        bodyFontColor: "#858796",
                        titleMarginBottom: 10,
                        titleFontColor: '#6e707e',
                        titleFontSize: 14,
                        borderColor: '#dddfeb',
                        borderWidth: 1,
                        xPadding: 15,
                        yPadding: 15,
                        displayColors: false,
                        intersect: false,
                        mode: 'index',
                        caretPadding: 10
                    }
                }
            });
        },
        error: function (data) {
            console.log(data);
        }
    });
});
