$(document).ready(function () {
    $.ajax({
        url: "/itsm/dist/assets/charts/top_request_categories.php",
        dataType: 'json',
        contentType: "application/json; charset=utf-8",
        method: "GET",
        success: function (data) {
            var category = [];
            var total = [];

            for (var i in data) {
                category.push(data[i].category);
                total.push(data[i].total);
            }

            var showChart = $("#topRequestCategories");

            var chart = new Chart(showChart, {
                type: 'bar',
                data: {
                    labels: category,
                    datasets: [{
                            label: "No. Tickets",
                            backgroundColor: "rgba(0, 172, 105, 1)",
                            hoverBackgroundColor: "rgba(0, 172, 105, 0.7)",
                            borderColor: "#00ac69",
                            data: total,
                            maxBarThickness: 100
                        }]
                },
                options: {
                    maintainAspectRatio: false,
                    layout: {
                        padding: {
                            left: 10,
                            right: 25,
                            top: 25,
                            bottom: 0
                        }
                    },
                    scales: {
                        xAxes: [{
                                time: {
                                    unit: 'date'
                                },
                                gridLines: {
                                    display: false,
                                    drawBorder: false
                                },
                                ticks: {
                                    maxTicksLimit: 7
                                }
                            }],
                        yAxes: [{
                                ticks: {
                                    min: 0,
                                    maxTicksLimit: 5,
                                    padding: 10,
                                    // Include a dollar sign in the ticks

                                },
                                gridLines: {
                                    color: "rgb(234, 236, 244)",
                                    zeroLineColor: "rgb(234, 236, 244)",
                                    drawBorder: false,
                                    borderDash: [2],
                                    zeroLineBorderDash: [2]
                                }
                            }],
                    },
                    legend: {
                        display: false
                    },
                    tooltips: {
                        backgroundColor: "rgb(255,255,255)",
                        bodyFontColor: "#858796",
                        titleMarginBottom: 10,
                        titleFontColor: '#6e707e',
                        titleFontSize: 14,
                        borderColor: '#dddfeb',
                        borderWidth: 1,
                        xPadding: 15,
                        yPadding: 15,
                        displayColors: false,
                        intersect: false,
                        mode: 'index',
                        caretPadding: 10
                    }
                }
            });
        },
        error: function (data) {
            console.log(data);
        }
    });
});
