<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Connection
 *
 * @author FCOTO
 */
class Database extends PDO {

    public function __construct() {
        $host = "localhost";
        $dbname = "exys";
        $user = "exys";
        $pass = 'hqVD15sZDr@A';
        parent::__construct("mysql:host=$host;dbname=$dbname;charset=UTF8", $user, $pass);
        $this->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        // always disable emulated prepared statement when using the MySQL driver
        $this->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);
        $this->setAttribute(PDO::MYSQL_ATTR_INIT_COMMAND, "SET NAME'utf8'");
    }

}

/*
 * Create a statement that returns an indexed array
 */

function selectStmt($conn, $sql) {
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    return $stmt;
}

/*
 * Execute statement
 */

function execStmt($conn, $sql) {
    $stmt = $conn->prepare($sql);
    $stmt->execute();
}

// Get Ticket

function obtainTicket($conn, $ticket_number) {
    $sql = "SELECT * FROM v_tickets WHERE ticket_number = '$ticket_number'";
    $stmt = selectStmt($conn, $sql);
    $ticket = $stmt->fetch(PDO::FETCH_ASSOC);
    return $ticket;
}

// Get User
function obtainUser($conn, $user_id) {
    $sql = "SELECT * FROM v_ticket_user WHERE user_id = $user_id";
    $stmt = selectStmt($conn, $sql);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);
    return $user;
}

// Get Users List
function obtainUsersList($conn) {
    $sql = "SELECT * FROM v_ticket_user";
    $stmt = selectStmt($conn, $sql);
    $users = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $users;
}

// Get Status Operation List
function obtainStatusOperationList($conn) {
    $sql = "SELECT status_id, name, status_type_id FROM status WHERE status_operation = 1";
    $stmt = selectStmt($conn, $sql);
    $status = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $status;
}

// Get Status Knowledge Base List
function obtainStatusKnowledgeBaseList($conn) {
    $sql = "SELECT status_id, name, status_type_id FROM status WHERE status_kb = 1";
    $stmt = selectStmt($conn, $sql);
    $status = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $status;
}

// Get Urgency List
function obtainUrgencyList($conn) {
    $sql = "SELECT urgency_id, name, level FROM urgency";
    $stmt = selectStmt($conn, $sql);
    $urgency = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $urgency;
}

// Get Impact List
function obtainImpactList($conn) {
    $sql = "SELECT impact_id, name, level FROM impact";
    $stmt = selectStmt($conn, $sql);
    $impact = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $impact;
}

// Get Groups List
function obtainGroupList($conn) {
    $sql = "SELECT group_id, name FROM groups ORDER BY name ASC";
    $stmt = selectStmt($conn, $sql);
    $groups = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $groups;
}

// Get User Groups List
function obtainUserGroups($conn, $user_id) {
    $sql = "SELECT g.group_id, g.name FROM groups g "
            . "INNER JOIN users_groups ug ON ug.group_id = g.group_id WHERE ug.user_id = $user_id";
    $stmt = selectStmt($conn, $sql);
    $groups = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $groups;
}

// Get Users Group List
function obtainGroupUsersList($conn, $group_id) {
    $sql = "SELECT users.user_id, users.name FROM users "
            . "INNER JOIN users_groups ON users_groups.user_id = users.user_id "
            . "WHERE users_groups.group_id = $group_id AND (users.end_date > NOW() OR users.end_date IS NULL)";
    $stmt = selectStmt($conn, $sql);
    $users = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $users;
}

// Get User Alerts

function obtainUserAlerts($conn, $user_id) {
    $sql = "SELECT * FROM v_user_alerts WHERE unread = 1 AND user_id = $user_id AND public = 1 ";
    $stmt = selectStmt($conn, $sql);
    $user_alerts = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $user_alerts;
}

// Get User Unread Alerts

function obtainUserUnreadAlerts($conn, $user_id) {
    $sql = "SELECT * FROM v_user_alerts WHERE unread = 0 AND user_id = $user_id AND public = 1 ";
    $stmt = selectStmt($conn, $sql);
    $user_alerts = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $user_alerts;
}


// Get User Favorites

function obtainUserFavorites($conn, $user_id) {
    $sql = "SELECT * FROM favorites WHERE user_id = $user_id ORDER BY order_favorite ASC";
    $stmt = selectStmt($conn, $sql);
    $user_favorites = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $user_favorites;
}

// Get User Tickets Open

function obtainUserTicketsAll($conn, $user_id, $ticket_type) {
    $sql = "SELECT * FROM v_tickets WHERE ticket_type = $ticket_type AND affected_user_id = $user_id ORDER BY creation_date DESC";
    $stmt = selectStmt($conn, $sql);
    $my_incidents = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $my_incidents;
}

// Get User Tickets Open

function obtainUserTicketsOpen($conn, $user_id, $ticket_type) {
    $sql = "SELECT * FROM v_tickets WHERE ticket_type = $ticket_type AND affected_user_id = $user_id AND end_date IS NULL ORDER BY creation_date DESC";
    $stmt = selectStmt($conn, $sql);
    $my_incidents = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $my_incidents;
}

// Get User Role Permissions

function obtainUserRolePermissions($conn, $user_id) {
    $sql = "SELECT * FROM roles r INNER JOIN users u ON u.role_id = r.role_id WHERE u.user_id = $user_id";
    $stmt = selectStmt($conn, $sql);
    $user_permissions = $stmt->fetch(PDO::FETCH_ASSOC);
    return $user_permissions;
}

// Create Ticket

function createTicket($conn, $creator_user_id, $ticket_type, $type, $category_id, $status_id) {
    $sql = "SELECT 
CASE WHEN ISNULL((SELECT MAX(ticket_number)+1 AS ticket_number)) THEN '" . $type . "1000'
ELSE (SELECT CONCAT('$type',MAX(SUBSTRING(ticket_number,4,LENGTH(ticket_number)))+1) AS ticket_number) 
END AS ticket_number 
FROM tickets
WHERE ticket_number LIKE '$type%'
ORDER BY ticket_number DESC";
    $stmt = selectStmt($conn, $sql);
    $ticket = $stmt->fetch(PDO::FETCH_ASSOC);
    $ticket_number = $ticket['ticket_number'];
    $date = date('Y-m-d H:i:s');
    $sql2 = "INSERT INTO tickets (ticket_number, creator_user_id, category_id, status_id, origin_id, creation_date, update_date, last_update_user_id, ticket_type) VALUES ('$ticket_number', $creator_user_id, $category_id, $status_id, 1, '$date', '$date', " . $_SESSION['user']['user_id'] . ", $ticket_type)";
    execStmt($conn, $sql2);
    return $ticket_number;
}

// Create Ticket for Inbound Mail

function create_ticket_inbound_mail($conn, $im_hostname, $im_account, $im_port, $im_password, $im_subject_filter, $im_category_id, $im_origin_id, $im_group_id) {
    /* connect to server */
    $hostname = '{' . $im_hostname . ':' . $im_port . '/imap/ssl/novalidate-cert}INBOX';
    $username = $im_account;
    $password = $im_password;

    /* try to connect */
    $inbox = imap_open($hostname, $username, $password) or die('Cannot connect to Tiriyo: ' . imap_last_error());
    //echo $inbox;
    /* grab emails */
    $emails = imap_search($inbox, "$im_subject_filter");

    /* if emails are returned, cycle through each... */
    if ($emails) {

        /* begin output var */
        $output = '';

        /* put the newest emails on top */
        rsort($emails);

        /* for every email... */
        foreach ($emails as $email_number) {
            //$email_number=$emails[0];
            //print_r($emails);
            /* get information specific to this email */
            $overview = imap_fetch_overview($inbox, $email_number, 0);
            $message = imap_fetchbody($inbox, $email_number, 2);
            $header = imap_headerinfo($inbox, $email_number);
            $fromaddr = $header->from[0]->mailbox . "@" . $header->from[0]->host;

            // Check if the user exists
            $sql = "SELECT * FROM users WHERE email = '$fromaddr'";
            $stmt = selectStmt($conn, $sql);

            if ($stmt->rowCount() == 1) {
                $user = $stmt->fetch(PDO::FETCH_ASSOC);
                if ($fromaddr == $user['email']) {

                    // Obtain last ticket_number
                    $sql = "SELECT 
                            CASE WHEN ISNULL((SELECT MAX(ticket_number)+1 AS ticket_number)) THEN 'INC1000'
                            ELSE (SELECT CONCAT('INC',MAX(SUBSTRING(ticket_number,4,LENGTH(ticket_number)))+1) AS ticket_number) 
                            END AS ticket_number 
                            FROM tickets
                            WHERE ticket_number LIKE 'INC%'
                            ORDER BY ticket_number DESC";
                    $stmt = selectStmt($conn, $sql);

                    // Create ticket
                    $ticket = $stmt->fetch(PDO::FETCH_ASSOC);
                    $ticket_number = $ticket['ticket_number'];
                    $date = date('Y-m-d H:i:s');
                    $message = strip_tags($message);
                    $message = substr($message, 0, strlen($message) - 2);
                    $sql = "INSERT INTO tickets (ticket_number, creator_user_id, affected_user_id, requestor_user_id, status_id, urgency_id, impact_id, category_id, group_id, origin_id, title, description, creation_date, "
                            . "update_date, ticket_type) VALUES ('$ticket_number', " . $user['user_id'] . ", " . $user['user_id'] . ", " . $user['user_id'] . ",2, 3, 3, $im_category_id, $im_group_id, $im_origin_id, '" . $overview[0]->subject . "', '$message', '$date', '$date', 1)";
                    execStmt($conn, $sql);
                }
            }

            // Save mail data in log
            write_log_inbound_mail($fromaddr, $overview[0]->subject, $overview[0]->date, $ticket_number);

            // Delete mail
            imap_delete($inbox, $email_number);
        }

        echo $output;
    }
    /* close the connection */
    imap_close($inbox);
}

// Get Inbound mail

function obtainInboundMail($conn, $inbound_mail_id) {
    $sql = "SELECT * FROM v_inbound_mails WHERE inbound_mail_id = $inbound_mail_id";
    $stmt = selectStmt($conn, $sql);
    $inbound_mail = $stmt->fetch(PDO::FETCH_ASSOC);
    return $inbound_mail;
}

// Get Notification

function obtainNotification($conn, $notification_id) {
    $sql = "SELECT * FROM notifications WHERE notification_id = $notification_id";
    $stmt = selectStmt($conn, $sql);
    $notification = $stmt->fetch(PDO::FETCH_ASSOC);
    return $notification;
}

function obtainNumberAlertsUnread($conn, $user_id) {
    $sql = "SELECT unread FROM users_alerts WHERE user_id = $user_id AND unread = 1";
    $stmt = selectStmt($conn, $sql);
    $alerts_unread = $stmt->rowCount();
    return $alerts_unread;
}

// Get SMTP Data

function obtainSMTPData($conn) {

    $sql = "SELECT name, value FROM parameters WHERE name LIKE 'SMTP%'";
    $stmt = selectStmt($conn, $sql);
    $parameters = $stmt->fetchAll(PDO::FETCH_ASSOC);
    $smtp_setup = array();
    foreach ($parameters as $parameter) {
        array_push($smtp_setup, $parameter['value']);
        ;
    }
    return $smtp_setup;
}

// Get Timeout

function obtainTimeout($conn) {

    $sql = "SELECT value FROM parameters WHERE name = 'Timeout' LIMIT 1";
    $stmt = selectStmt($conn, $sql);
    $parameter = $stmt->fetch(PDO::FETCH_ASSOC);
    return $parameter['value'];
}

// Get parameter value

function obtainParameterValue($conn, $parameter_id) {

    $sql = "SELECT value FROM parameters WHERE parameter_id = '$parameter_id' LIMIT 1";
    $stmt = selectStmt($conn, $sql);
    $parameter = $stmt->fetch(PDO::FETCH_ASSOC);
    return $parameter['value'];
}

// Get Departments
function obtainDepartments($conn) {
    $sql = "SELECT * FROM departments";
    $stmt = selectStmt($conn, $sql);
    $departments = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $departments;
}

// Get Locations
function obtainLocations($conn) {
    $sql = "SELECT * FROM locations";
    $stmt = selectStmt($conn, $sql);
    $locations = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $locations;
}

// Get User Tenants Not assigned
function obtainUserTenantsNotAssigned($conn, $user_id) {
    $sql = "SELECT t.* FROM tenants t WHERE tenant_id NOT IN (SELECT t.tenant_id FROM tenants t INNER JOIN users_tenants ut ON ut.tenant_id = t.tenant_id WHERE user_id = $user_id)";
    $stmt = selectStmt($conn, $sql);
    $tenants_not_assigned = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $tenants_not_assigned;
}

// Get User Tenants Assigned
function obtainUserTenantsAssigned($conn, $user_id) {
    $sql = "SELECT t.* FROM tenants t INNER JOIN users_tenants ut ON ut.tenant_id = t.tenant_id WHERE user_id = $user_id;";
    $stmt = selectStmt($conn, $sql);
    $tenants_assigned = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $tenants_assigned;
}

// Get User Tenants Assigned
function obtainUserTenants($conn) {
    $sql = "SELECT t.* FROM tenants t";
    $stmt = selectStmt($conn, $sql);
    $tenants = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $tenants;
}

// Get User Groups Not assigned
function obtainUserGroupsNotAssigned($conn, $user_id) {
    $sql = "SELECT g.* FROM groups g WHERE group_id NOT IN (SELECT g.group_id FROM groups g INNER JOIN users_groups ug ON ug.group_id = g.group_id WHERE user_id = $user_id)";
    $stmt = selectStmt($conn, $sql);
    $groups_not_assigned = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $groups_not_assigned;
}

// Get User Groups Assigned
function obtainUserGroupsAssigned($conn, $user_id) {
    $sql = "SELECT g.* FROM groups g INNER JOIN users_groups ug ON ug.group_id = g.group_id WHERE user_id = $user_id;";
    $stmt = selectStmt($conn, $sql);
    $groups_assigned = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $groups_assigned;
}

// Get Active Users List
function obtainActiveUsersList($conn) {
    $sql = "SELECT * FROM v_users WHERE (end_date IS NULL OR end_date > now())";
    $stmt = selectStmt($conn, $sql);
    $users = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $users;
}

// Get Roles
function obtainRoles($conn) {
    $sql = "SELECT * FROM roles";
    $stmt = selectStmt($conn, $sql);
    $roles = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $roles;
}

// Get Row
function obtainRowData($conn, $table, $col, $id) {
    $sql = "SELECT * FROM $table WHERE $col = $id";
    $stmt = selectStmt($conn, $sql);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);
    return $user;
}

// Get Group Members Not assigned
function obtainGroupMembersNotAssigned($conn, $group_id) {
    $sql = "SELECT u.* FROM v_users u WHERE (end_date IS NULL OR end_date > now()) AND user_id NOT IN (SELECT u.user_id FROM users u INNER JOIN users_groups ug ON ug.user_id = u.user_id WHERE group_id = $group_id)";
    $stmt = selectStmt($conn, $sql);
    $groups_not_assigned = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $groups_not_assigned;
}

// Get Group Members Assigned
function obtainGroupMembersAssigned($conn, $group_id) {
    $sql = "SELECT u.* FROM v_users u INNER JOIN users_groups ug ON ug.user_id = u.user_id WHERE (end_date IS NULL OR end_date > now()) AND group_id = $group_id;";
    $stmt = selectStmt($conn, $sql);
    $groups_assigned = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $groups_assigned;
}

// Get Number Incidents Assigned to me
function numAssignedMe($conn, $user_id, $ticket_type, $tenant_id) {
    $sql = "SELECT t.* FROM v_tickets t "
            . "WHERE t.assignee_user_id = $user_id "
            . "AND t.status_type_id <> 4 "
            . "AND t.ticket_type = $ticket_type "
            . "AND (t.tenant_id = $tenant_id OR t.tenant_id IS NULL) "
            . "ANd t.end_date IS NULL";
    $stmt = selectStmt($conn, $sql);
    $num = $stmt->rowCount();
    return $num;
}

// Get Number Incidents Assigned to my groups
function numAssignedGroups($conn, $user_id, $ticket_type, $tenant_id) {
    $sql = "SELECT t.* FROM v_tickets t "
            . "WHERE t.group_id IN (SELECT group_id FROM users_groups WHERE user_id = $user_id) "
            . "AND t.status_type_id <> 4 "
            . "AND t.ticket_type = $ticket_type "
            . "AND (t.tenant_id = $tenant_id OR t.tenant_id IS NULL) "
            . "ANd t.end_date IS NULL";
    $stmt = selectStmt($conn, $sql);
    $num = $stmt->rowCount();
    return $num;
}

// Get Number My Tickets open
function numMyticketsOpen($conn, $user_id, $ticket_type) {
    $sql = "SELECT t.* FROM v_tickets t "
            . "WHERE t.affected_user_id = $user_id "
            . "AND t.status_type_id <> 4 "
            . "AND t.ticket_type = $ticket_type "
            . "AND t.end_date IS NULL";
    $stmt = selectStmt($conn, $sql);
    $num = $stmt->rowCount();
    return $num;
}

// Get Number My Tickets closed
function numMyticketsClosed($conn, $user_id, $ticket_type) {
    $sql = "SELECT t.* FROM v_tickets t "
            . "WHERE t.affected_user_id = $user_id "
            . "AND t.status_type_id = 4 "
            . "AND t.ticket_type = $ticket_type ";
    $stmt = selectStmt($conn, $sql);
    $num = $stmt->rowCount();
    return $num;
}

// Get actice news published in Backoffice
function obtainActiveNewsBackoffice($conn) {
    $sql = "SELECT n.* FROM news n WHERE n.visible_backoffice = 1 AND (end_date IS NULL OR end_date > now())";
    $stmt = selectStmt($conn, $sql);
    $news = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $news;
}

// Get actice news published in Portal
function obtainActiveNewsPortal($conn) {
    $sql = "SELECT n.* FROM news n WHERE n.visible_portal = 1 AND (end_date IS NULL OR end_date > now())";
    $stmt = selectStmt($conn, $sql);
    $news = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $news;
}

// Get tickets by Groups for selected user
function ticketsByGroupAssignedUser($conn, $user_id) {
    $sql = "SELECT t.group_name, COUNT(t.ticket_id) AS total "
            . "FROM v_tickets t "
            . "WHERE group_id IN (SELECT group_id FROM users_groups WHERE user_id = 1) "
            . "GROUP BY t.group_name";
    $stmt = selectStmt($conn, $sql);
    $ticketsByGroup = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $ticketsByGroup;
}

// Get category
function obtainCategory($conn, $category_id) {
    $sql = "SELECT c.category_id, c.name, c.parent_category_id "
            . "FROM v_categories c "
            . "WHERE c.category_id = $category_id ";
    $stmt = selectStmt($conn, $sql);
    $category = $stmt->fetch(PDO::FETCH_ASSOC);
    return $category;
}

// Get categories without selected category
function obtainCategoriesWihtoutSelectedCategory($conn, $catalog, $category_id) {
    $sql = "SELECT c.category_id, c.name "
            . "FROM v_categories c "
            . "WHERE c.path LIKE '$catalog%' AND c.category_id <> $category_id "
            . "ORDER BY c.name ASC";
    $stmt = selectStmt($conn, $sql);
    $categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $categories;
}

// Get categories
function obtainCategories($conn, $catalog, $category_id) {
    $sql = "SELECT c.category_id, c.name "
            . "FROM v_categories c "
            . "WHERE c.path LIKE '$catalog%' OR c.category_id = $category_id "
            . "ORDER BY c.name ASC";
    $stmt = selectStmt($conn, $sql);
    $categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $categories;
}

// Get categories by Level
function obtainCategoriesLvl($conn, $catalog, $category_id, $lvl) {
    $sql = "SELECT c.* "
            . "FROM v_categories c "
            . "WHERE (c.path LIKE '$catalog%' "
            . "AND c.parent_category_id = $category_id) "
            . "AND c.lvl = $lvl "
            . "ORDER BY c.name ASC";
    $stmt = selectStmt($conn, $sql);
    $categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $categories;
}

// Get categories no selectables by Level
function obtainCategoriesLvlNoSelectable($conn, $catalog, $category_id, $lvl) {
    $sql = "SELECT c.* "
            . "FROM v_categories c "
            . "WHERE (c.path LIKE '$catalog%' "
            . "OR c.category_id = $category_id) "
            . "AND c.lvl = $lvl AND c.selectable = 0 "
            . "ORDER BY c.name ASC";
    $stmt = selectStmt($conn, $sql);
    $categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $categories;
}

// Get categories selectables by Level
function obtainCategoriesLvlSelectable($conn, $catalog, $category_id, $lvl) {
    $sql = "SELECT c.* "
            . "FROM v_categories c "
            . "WHERE (c.path LIKE '$catalog%' "
            . "OR c.category_id = $category_id) "
            . "AND c.lvl = $lvl AND c.selectable = 1 "
            . "ORDER BY c.name ASC";
    $stmt = selectStmt($conn, $sql);
    $categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $categories;
}

// Get num subcategories
function obtainNumSubcategories($conn, $category_id) {
    $sql = "SELECT COUNT(c.category_id) AS num "
            . "FROM v_categories c "
            . "WHERE c.parent_category_id = $category_id";
    $stmt = selectStmt($conn, $sql);
    $category = $stmt->fetch(PDO::FETCH_ASSOC);
    return $category['num'];
}

// Get num articles
function obtainNumArticles($conn, $category_id) {
    $sql = "SELECT COUNT(t.ticket_id) AS num "
            . "FROM v_tickets t "
            . "WHERE t.category_id = $category_id";
    $stmt = selectStmt($conn, $sql);
    $category = $stmt->fetch(PDO::FETCH_ASSOC);
    return $category['num'];
}

// Get Origin List
function obtainOriginList($conn) {
    $sql = "SELECT origin_id, name FROM origins";
    $stmt = selectStmt($conn, $sql);
    $origins = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $origins;
}

// Get Ticket Activities
function obtainTicketActivities($conn, $ticket_number) {
    $sql = "SELECT * FROM v_activities WHERE ticket_number = '$ticket_number' ORDER BY creation_date DESC";
    $stmt = selectStmt($conn, $sql);
    $activities = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $activities;
}

// Get Ticket Activities
function obtainTicketActivitiesPortal($conn, $ticket_number) {
    $sql = "SELECT * FROM v_activities WHERE ticket_number = '$ticket_number' AND visible_portal = 1 ORDER BY creation_date DESC";
    $stmt = selectStmt($conn, $sql);
    $activities = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $activities;
}

// Get ActivityTypes
function obtainActivityTypes($conn) {
    $sql = "SELECT * FROM activity_types WHERE system = 0 ORDER BY name ASC";
    $stmt = selectStmt($conn, $sql);
    $activity_types = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $activity_types;
}

// Get Ticket Activities
function obtaintTicketHistoryChanges($conn, $ticket_number) {
    $sql = "SELECT * FROM v_history WHERE ticket_id = '$ticket_number' ORDER BY creation_date DESC";
    $stmt = selectStmt($conn, $sql);
    $history_changes = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $history_changes;
}

// Get Ticket Attachments
function obtainTicketAttachments($conn, $ticket_number) {
    $sql = "SELECT * FROM attachments WHERE ticket_id = (SELECT ticket_id FROM tickets WHERE ticket_number = '$ticket_number' LIMIT 1) ORDER BY creation_date DESC";
    $stmt = selectStmt($conn, $sql);
    $activities = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $activities;
}

// Get top categories by ticket type
function topCategories($conn, $ticket_type, $limit) {
    $sql = "SELECT c.name AS category, COUNT(t.ticket_id) AS total 
        FROM v_tickets t
	INNER JOIN categories c ON c.category_id = t.category_id 
        WHERE t.ticket_type = $ticket_type 
        GROUP BY (c.name) 
        ORDER BY COUNT(t.ticket_id) DESC
        LIMIT $limit";
    $stmt = selectStmt($conn, $sql);
    $top = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $top;
}

// Get top categories by ticket type and user
function topMyCategories($conn, $ticket_type, $user_id, $limit) {
    $sql = "SELECT c.name AS category, COUNT(t.ticket_id) AS total, c.picture  
        FROM v_tickets t
	INNER JOIN categories c ON c.category_id = t.category_id 
        WHERE t.ticket_type = $ticket_type AND t.affected_user_id = $user_id 
        GROUP BY (c.name) 
        ORDER BY COUNT(t.ticket_id) DESC
        LIMIT $limit";
    $stmt = selectStmt($conn, $sql);
    $top = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $top;
}

// Get total time
function obtainTotalTime($conn, $user_id) {
    $sql = "SELECT t.teleworking, t.date, t.entry_date, t.exit_date,"
            . "(SELECT SUM(TIMESTAMPDIFF(SECOND, tm.entry_date, tm.exit_date)) "
            . "FROM time_management tm WHERE tm.user_id = $user_id "
            . "AND tm.time_management_id = t.time_management_id GROUP BY date) AS total_time "
            . "FROM time_management t "
            . "WHERE t.user_id = $user_id AND t.date < DATE(NOW()) "
            . "ORDER BY date DESC";
    $stmt = selectStmt($conn, $sql);
    $totalTime = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $totalTime;
}

// Get total time day
function obtainTotalTimeDay($conn, $user_id, $date) {
    $sql = "SELECT t.time_management_id, t.teleworking, t.date, t.entry_date, t.exit_date,"
            . "(SELECT "
            . "CASE "
            . "WHEN exit_date IS NOT NULL THEN SUM(TIMESTAMPDIFF(SECOND, tm.entry_date, tm.exit_date)) "
            . "ELSE SUM(TIMESTAMPDIFF(SECOND, tm.entry_date, NOW())) END "
            . "FROM time_management tm WHERE tm.user_id = $user_id "
            . "AND tm.time_management_id = t.time_management_id GROUP BY date) AS total_time "
            . "FROM time_management t "
            . "WHERE t.user_id = $user_id AND t.date = '$date'";
    $stmt = selectStmt($conn, $sql);
    $totalTime = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $totalTime;
}

// Get articles
function obtainArticles($conn, $category_id) {
    $sql = "SELECT t.ticket_id, t.title "
            . "FROM v_tickets t "
            . "WHERE t.category_id = $category_id "
            . "AND status_id = 8";
    $stmt = selectStmt($conn, $sql);
    $articles = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $articles;
}

// Get articles search
function obtainArticlesSearch($conn, $search) {
    $sql = "SELECT t.ticket_id, t.title "
            . "FROM v_tickets t "
            . "WHERE t.title LIKE '%$search%' "
            . "AND status_id = 8";
    $stmt = selectStmt($conn, $sql);
    $articles = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $articles;
}

// Get Last Marking
function lastMarking($conn, $user_id) {
    $sql = "SELECT t.* FROM time_management t "
            . "WHERE t.user_id = $user_id "
            . "ORDER BY date DESC "
            . "LIMIT 1";
    $stmt = selectStmt($conn, $sql);
    $last_marking = $stmt->fetch(PDO::FETCH_ASSOC);
    return $last_marking;
}

?>
