<?php

session_start();

require_once('../control/Database.php');
require_once('../control/functions.php');

require_once ('../../../PHPMailer/src/Exception.php');
require_once ('../../../PHPMailer/src/PHPMailer.php');
require_once ('../../../PHPMailer/src/SMTP.php');

managementSession();

$conn = new Database();

if (!empty($_POST["action"])) {

    // Get members of selected group
    if ($_POST["action"] == 'updateAssigneeUsers') {
        $group_id = $_POST['group_id'];
        $sql = "SELECT u.* FROM users u "
                . "INNER JOIN users_groups ug ON ug.user_id = u.user_id "
                . "WHERE ug.group_id = $group_id";
        $stmt = selectStmt($conn, $sql);
        $assignee_users = $stmt->fetchAll(PDO::FETCH_ASSOC);
        // Generate HTML of state options list 

        if ($stmt->rowCount() > 0) {
            echo '<option disabled selected value="">Assignee</option>';
            foreach ($assignee_users as $assignee_user) {
                echo '<option value="' . $assignee_user['user_id'] . '">' . $assignee_user['name'] . ' ' . $assignee_user['last_name'] . '</option>';
            }
        } else {
            echo '<option disabled selected value="">Assignee</option>';
        }
    } else if ($_POST["action"] == 'update') {

        // Update Request
        $ticket_id = $_POST['ticket_id'];
        
         // Get Ticket before update
        $sql = "SELECT t.* FROM v_tickets t "
                . "WHERE t.ticket_id = $ticket_id";
        $stmt = selectStmt($conn, $sql);
        $ticket_old = $stmt->fetch(PDO::FETCH_ASSOC);
        
        $category_id = $_POST['category_id'];
        $title = $_POST['title'];
        $description = addslashes(htmlentities($_POST['description']));
        $solution = addslashes(htmlentities($_POST['solution']));
        $reject_reason = addslashes(htmlentities($_POST['reject_reason']));
        
        $time_to_solve = $_POST['time_to_solve'];
        $time = explode(":",$time_to_solve);
        $min = 0;
        if($time[0] != '00'){
            $time = strtotime($time_to_solve);
            $min += date('h', $time) * 60;
        }else{
            $min += 0;
        }
        
        if($time[1] != '00'){
            $time = strtotime($time_to_solve);
            $min += date('i', $time);
        }else{
            $min += 0;
        }
        
        $status_id = $_POST['status_id'];
        $urgency_id = $_POST['urgency_id'];
        $impact_id = $_POST['impact_id'];
        $group_id = $_POST['group_id'];
        $assignee_user_id = $_POST['assignee_user_id'];
        if(empty($assignee_user_id)){$assignee_user_id = "NULL";}
        $affected_user_id = $_POST['affected_user_id'];
        $requestor_user_id = $_POST['requestor_user_id'];
        $date = date('Y-m-d H:i:s');
        $sql = "UPDATE tickets SET category_id = $category_id, title = '$title', description = '$description', "
                . "solution = '$solution', reject_reason = '$reject_reason', status_id = $status_id, "
                . "urgency_id = $urgency_id, impact_id = $impact_id, group_id = $group_id, assignee_user_id = $assignee_user_id, "
                . "affected_user_id = $affected_user_id, requestor_user_id = $requestor_user_id, time_to_solve = $min, update_date = '$date', last_update_user_id = '" . $_SESSION['user']['user_id'] . "' WHERE ticket_id = $ticket_id";
        $stmt = execStmt($conn, $sql);

        // Check if the ticket has terminated or cancelled
        $sql = "SELECT t.* FROM v_tickets t "
                . "WHERE t.ticket_id = $ticket_id";
        $stmt = selectStmt($conn, $sql);
        $ticket = $stmt->fetch(PDO::FETCH_ASSOC);
        if (($ticket_old['status_type_id'] != $ticket['status_type_id']) && $ticket['status_type_id'] == 4) {
            $sql = "UPDATE tickets SET end_date = '$date' WHERE ticket_id = $ticket_id";
            $stmt = execStmt($conn, $sql);
            if ($ticket['affected_user_notification'] == 1) {
                mailTicketTerminated($conn, $ticket, 7);
            }
        } else if (($ticket_old['status_type_id'] != $ticket['status_type_id']) && $ticket['status_type_id'] == 5) {
            $sql = "UPDATE tickets SET end_date = '$date', num_reject = num_reject+1 WHERE ticket_id = $ticket_id";
            $stmt = execStmt($conn, $sql);
            if ($ticket['affected_user_notification'] == 1) {
                mailTicketCancelled($conn, $ticket, 8);
            }
        }
        
        // Send assign mail
        if($ticket_old['group_id'] != $ticket['group_id'] || $ticket_old['assignee_user_id'] != $ticket['assignee_user_id']){
            mailTicketAssigned($conn, $ticket, 14);
        }
        
        if(($ticket_old['status_type_id'] != $ticket['status_type_id'])){
        // Create activity
        $sql = "INSERT INTO activities "
                . "(ticket_id, activity_type_id, comment, group_id, user_id, creation_date) VALUES "
                . "(" . $ticket['ticket_id'] . " "
                . ",1 "
                . ",'Service Request ".$ticket['status_type']."' "
                . ",$group_id"
                . "," . $_SESSION['user']['user_id'] . " "
                . ",'$date')";
        $stmt = execStmt($conn, $sql);
        }
    } else if ($_POST["action"] == 'create') {

        // Create Service Request
        $category_id = $_POST['category_id'];
        $ticket_id = $_POST['ticket_id'];
        
         // Get Ticket before update
        $sql = "SELECT t.* FROM v_tickets t "
                . "WHERE t.ticket_id = $ticket_id";
        $stmt = selectStmt($conn, $sql);
        $ticket_old = $stmt->fetch(PDO::FETCH_ASSOC);
        
        $title = $_POST['title'];
        $description = addslashes(htmlentities($_POST['description']));
        $solution = addslashes(htmlentities($_POST['solution']));
        $reject_reason = addslashes(htmlentities($_POST['reject_reason']));
        
        $time_to_solve = $_POST['time_to_solve'];
        $time = explode(":",$time_to_solve);
        $min = 0;
        if($time[0] != '00'){
            $time = strtotime($time_to_solve);
            $min += date('h', $time) * 60;
        }else{
            $min += 0;
        }
        
        if($time[1] != '00'){
            $time = strtotime($time_to_solve);
            $min += date('i', $time);
        }else{
            $min += 0;
        }
        
        $status_id = $_POST['status_id'];
        $urgency_id = $_POST['urgency_id'];
        $impact_id = $_POST['impact_id'];
        $group_id = $_POST['group_id'];
        $assignee_user_id = $_POST['assignee_user_id'];
        if(empty($assignee_user_id)){$assignee_user_id = "NULL";}
        $affected_user_id = $_POST['affected_user_id'];
        $requestor_user_id = $_POST['requestor_user_id'];
        $date = date('Y-m-d H:i:s');
        $sql = "UPDATE tickets SET category_id = $category_id, title = '$title', description = '$description', "
                . "solution = '$solution', reject_reason = '$reject_reason', status_id = $status_id, "
                . "urgency_id = $urgency_id, impact_id = $impact_id, group_id = $group_id, assignee_user_id = $assignee_user_id, "
                . "affected_user_id = $affected_user_id, requestor_user_id = $requestor_user_id, time_to_solve = $min, update_date = '$date', last_update_user_id = '" . $_SESSION['user']['user_id'] . "' WHERE ticket_id = $ticket_id";
        $stmt = execStmt($conn, $sql);
        $sql2 = "SELECT t.* FROM v_tickets t "
                . "WHERE t.ticket_id = $ticket_id";
        $stmt2 = selectStmt($conn, $sql2);
        $ticket = $stmt2->fetch(PDO::FETCH_ASSOC);
        
        if ($ticket['status_type_id'] == 4) {
            $sql = "UPDATE tickets SET end_date = '$date' WHERE ticket_id = $ticket_id";
            $stmt = execStmt($conn, $sql);
            if ($ticket['affected_user_notification'] == 1) {
                mailTicketTerminated($conn, $ticket, 7);
            }
        } else if ($ticket['status_type_id'] == 5) {
            $sql = "UPDATE tickets SET end_date = '$date', num_reject = num_reject+1 WHERE ticket_id = $ticket_id";
            $stmt = execStmt($conn, $sql);
            if ($ticket['affected_user_notification'] == 1) {
                mailTicketCancelled($conn, $ticket, 8);
            }
        }  else {
            if ($ticket['affected_user_notification'] == 1) {
                mailTicketCreated($conn, $ticket, 6);
            }
        }
        
        // Send assign mail
        if($ticket_old['group_id'] != $ticket['group_id'] || $ticket_old['assignee_user_id'] != $ticket['assignee_user_id']){
            mailTicketAssigned($conn, $ticket, 14);
        }

        // Create activity
        $sql = "INSERT INTO activities "
                . "(ticket_id, activity_type_id, comment, group_id, user_id, creation_date) VALUES "
                . "(" . $ticket['ticket_id'] . " "
                . ",1 "
                . ",'Service Request ".$ticket['status_type']."' "
                . ",$group_id"
                . "," . $_SESSION['user']['user_id'] . " "
                . ",'$date')";
        $stmt = execStmt($conn, $sql);
        echo $ticket['ticket_number'];
    } else if ($_POST["action"] == 'updateTicketUserData') {

        // Update Ticket User Data 
        $user_id = $_POST['user_id'];
        $sql = "SELECT * FROM v_ticket_user "
                . "WHERE user_id = $user_id";
        $stmt = selectStmt($conn, $sql);
        $ticket_user = $stmt->fetch(PDO::FETCH_ASSOC);
        echo json_encode(
                array("email" => $ticket_user['email'], "department" => $ticket_user['department'], "location" => $ticket_user['location'])
        );
    } else if ($_POST["action"] == 'cancel') {

        // Cancel Service Request 
        $ticket_id = $_POST['ticket_id'];
        $sql = "DELETE FROM tickets "
                . "WHERE ticket_id = $ticket_id";
        execStmt($conn, $sql);
    } else if ($_POST["action"] == 'getStatusType') {

        // Get Status Type 
        $status_id = $_POST['status_id'];
        $sql = "SELECT status_type_id FROM status "
                . "WHERE status_id = $status_id";
        $stmt = selectStmt($conn, $sql);
        $status = $stmt->fetch(PDO::FETCH_ASSOC);
        echo $status['status_type_id'];
    }
}

// Get Data to Datatable
if (!empty($_GET["table"])) {
    if ($_GET['table'] == 'requests_all') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL)";
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'requests_open') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE status_type_id NOT IN (4,5) AND ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL)";
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'requests_closed') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE status_type_id IN (4,5) AND ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL)";
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'requests_all_me') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL "
                . "AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL) "
                . "AND assignee_user_id = " . $_SESSION['user']['user_id'];
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'requests_open_me') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE status_type_id NOT IN (4,5) AND ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL) "
                . "AND assignee_user_id = " . $_SESSION['user']['user_id'];
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'requests_closed_me') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE status_type_id IN (4,5) AND ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL) "
                . "AND assignee_user_id = " . $_SESSION['user']['user_id'];
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    }  else if ($_GET['table'] == 'requests_all_groups') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL "
                . "AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL) "
                . "AND group_id IN (SELECT group_id FROM users_groups WHERE user_id = " . $_SESSION['user']['user_id']. ")";
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'requests_open_groups') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE status_type_id NOT IN (4,5) AND ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL) "
                . "AND group_id IN (SELECT group_id FROM users_groups WHERE user_id = " . $_SESSION['user']['user_id']. ")";
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'requests_closed_groups') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE status_type_id IN (4,5) AND ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND (tenant_id = " . $_SESSION['user']['default_tenant_id'] . " OR tenant_id IS NULL) "
                . "AND group_id IN (SELECT group_id FROM users_groups WHERE user_id = " . $_SESSION['user']['user_id']. ")";
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    }  else if ($_GET['table'] == 'my_requests_all') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND affected_user_id = ".$_SESSION['user']['user_id'];
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'my_requests_open') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE status_type_id NOT IN (4,5) AND ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND affected_user_id = ".$_SESSION['user']['user_id'];
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    } else if ($_GET['table'] == 'my_requests_closed') {
        $sql = "SELECT * "
                . "FROM v_tickets "
                . "WHERE status_type_id IN (4,5) AND ticket_type = 2 AND urgency_id IS NOT NULL AND impact_id IS NOT NULL AND affected_user_id = ".$_SESSION['user']['user_id'];
        $stmt = selectStmt($conn, $sql);
        $data = $stmt->fetchAll();
        $data = array("data" => $data);
        json_response($data);
    }
}
?>