<?php

require_once('../control/Database.php');
require_once('../control/functions.php');

$conn = new Database();

if (!empty($_FILES["file"]["name"])) {

    // Allowed mime types
    $fileMimes = array(
        'text/x-comma-separated-values',
        'text/comma-separated-values',
        'application/octet-stream',
        'application/vnd.ms-excel',
        'application/x-csv',
        'text/x-csv',
        'text/csv',
        'application/csv',
        'application/excel',
        'application/vnd.msexcel',
        'text/plain'
    );

    $target = $_GET['target'];
    $date = date('Y-m-d h:i:s');
    $total = 0;
    $updated = 0;
    $inserted = 0;
    $errors = 0;

    // Validate whether selected file is a CSV file
    if (!empty($_FILES['file']['name']) && in_array($_FILES['file']['type'], $fileMimes)) {

        // Open uploaded CSV file with read-only mode
        $csvFile = fopen($_FILES['file']['tmp_name'], 'r');

        // Skip the first line
        fgetcsv($csvFile);

        // Parse data from CSV file line by line
        while (($getData = fgetcsv($csvFile, 10000, ";")) !== FALSE) {
            switch ($target) {
                case 'users':
                    $name = $getData[0];
                    $last_name = $getData[1];
                    $email = $getData[2];
                    $notification = $getData[3];
                    $picture = $getData[4];
                    $department_id = $getData[5];
                    $location_id = $getData[6];
                    $role_id = $getData[7];
                    $manager_user_id = $getData[8];
                    $default_tenant_id = $getData[9];
                    $sql = "SELECT email FROM users WHERE email = '$email'";
                    $stmt = selectStmt($conn, $sql);

                    if ($stmt->rowCount() > 0) {
                        try {
                            $sql = "UPDATE users SET "
                                    . "name = '$name', "
                                    . "last_name = '$last_name', "
                                    . "notification = $notification, "
                                    . "picture = '$picture', "
                                    . "department_id = $department_id, "
                                    . "location_id = $location_id, "
                                    . "role_id = $role_id, "
                                    . "manager_user_id = $manager_user_id, "
                                    . "default_tenant_id = $default_tenant_id "
                                    . "WHERE email = '$email'";
                            execStmt($conn, $sql);
                            $updated++;
                        } catch (PDOException $e) {
                            echo 'Error de conexión: ' . $e->getMessage();
                            $errors++;
                        }
                    } else {
                        try {
                            $sql = "INSERT INTO users (name, last_name, email, notification, picture, department_id, location_id, role_id, manager_user_id, default_tenant_id, creation_date, update_date) "
                                    . "VALUES ('$name','$last_name','$email',$notification,'$picture',$department_id,$location_id,$role_id,$manager_user_id,$default_tenant_id, '$date', '$date')";
                            execStmt($conn, $sql);
                            
                            $sql = "SELECT user_id FROM users ORDER BY user_id DESC LIMIT 1";
                            $stmt = selectStmt($conn, $sql);
                            $user = $stmt->fetch(PDO::FETCH_ASSOC);
                            
                            $sql = "INSERT INTO users_tenants (user_id, tenant_id) VALUES (".$user['user_id'].",$default_tenant_id)";
                            execStmt($conn, $sql);
                            $inserted++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    }
                    break;
                case 'groups':
                    $name = $getData[0];
                    $email = $getData[1];
                    $notification = $getData[2];
                    $sql = "SELECT name FROM groups WHERE name = '$name'";
                    $stmt = selectStmt($conn, $sql);

                    if ($stmt->rowCount() > 0) {
                        try {
                            $sql = "UPDATE groups SET email = '$email', notification = $notification WHERE name = '$name'";
                            execStmt($conn, $sql);
                            $updated++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    } else {
                        try {
                            $sql = "INSERT INTO groups (name, email, notification) VALUES ('$name','$email',$notification)";
                            execStmt($conn, $sql);
                            $inserted++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    }
                    break;
                case 'departments':
                    $name = $getData[0];
                    $sql = "SELECT name FROM departments WHERE name = '$name'";
                    $stmt = selectStmt($conn, $sql);

                    if ($stmt->rowCount() > 0) {
                        try {
                            $sql = "UPDATE departments SET name = '$name' WHERE name = '$name'";
                            execStmt($conn, $sql);
                            $updated++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    } else {
                        try {
                            $sql = "INSERT INTO departments (name) VALUES ('$name')";
                            execStmt($conn, $sql);
                            $inserted++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    }
                    break;
                case 'locations':
                    $name = $getData[0];
                    $sql = "SELECT name FROM locations WHERE name = '$name'";
                    $stmt = selectStmt($conn, $sql);

                    if ($stmt->rowCount() > 0) {
                        try {
                            $sql = "UPDATE locations SET name = '$name' WHERE name = '$name'";
                            execStmt($conn, $sql);
                            $updated++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    } else {
                        try {
                            $sql = "INSERT INTO locations (name) VALUES ('$name')";
                            execStmt($conn, $sql);
                            $inserted++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    }
                    break;
                case 'categories':
                    $name = $getData[0];
                    $parent_category_id = $getData[1];
                    $selectable = $getData[2];
                    $picture = $getData[3];
                    $tenant_id = $getData[4];
                    $description = $getData[5];
                    $color = $getData[6];
                    $sql = "SELECT name FROM categories WHERE name = '$name'";
                    $stmt = selectStmt($conn, $sql);

                    if ($stmt->rowCount() > 0) {
                        try {
                            $sql = "UPDATE categories SET parent_category_id = $parent_category_id, selectable = $selectable, "
                                    . "picture = '$picture', tenant_id = $tenant_id, description = '$description', color = '$color' WHERE name = '$name'";
                            execStmt($conn, $sql);
                            $updated++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    } else {
                        try {
                            $sql = "INSERT INTO categories (name, parent_category_id, selectable, picture, tenant_id, description, color) "
                                    . "VALUES ('$name',$parent_category_id,$selectable,'$picture',$tenant_id,'$description','$color')";
                            execStmt($conn, $sql);
                            $inserted++;
                        } catch (PDOException $e) {
                            write_log_import($date, $target, $e->getMessage());
                            $errors++;
                        }
                    }
                    break;
            }
        }
        // Close opened CSV file
        fclose($csvFile);

        $data = array('data' => 'success', 'inserted' => $inserted, 'updated' => $updated, 'errors' => $errors);
        echo json_response($data);
    } else {
        $data = array('data' => 'error1');
        echo json_response($data);
    }
} else {
    $data = array('data' => 'error2');
    echo json_response($data);
}
?>