<?php
session_start();
require_once('control/functions.php');
require_once('control/Database.php');
managementSession();
// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

// News
$news = obtainActiveNewsBackoffice($conn);

// KPIs
$kpi_inc_assigned_to_me = numAssignedMe($conn, $_SESSION['user']['user_id'], 1, $_SESSION['user']['default_tenant_id']);
$kpi_inc_assigned_to_my_groups = numAssignedGroups($conn, $_SESSION['user']['user_id'], 1, $_SESSION['user']['default_tenant_id']);
$kpi_req_assigned_to_me = numAssignedMe($conn, $_SESSION['user']['user_id'], 2, $_SESSION['user']['default_tenant_id']);
$kpi_req_assigned_to_my_groups = numAssignedGroups($conn, $_SESSION['user']['user_id'], 2, $_SESSION['user']['default_tenant_id']);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Home </title>
        <link href="css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <script>
            $(document).ready(function () {
                $('#incidents_assigned_to_me').text(<?php echo $kpi_inc_assigned_to_me; ?>); // Incidents Assigned to me
                $('#incidents_assigned_to_my_groups').text(<?php echo $kpi_inc_assigned_to_my_groups; ?>); // Incidents Assigned to my groups
                $('#requests_assigned_to_me').text(<?php echo $kpi_req_assigned_to_me; ?>); // Requests Assigned to me
                $('#requests_assigned_to_my_groups').text(<?php echo $kpi_req_assigned_to_my_groups; ?>); // Requests Assigned to my groups

                // Active menu
                activeMenu('#menu_home');
            });
        </script>

        <!-- END Added by Dev -->
    </head>
    <body>
        <?php include "skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark page-header-dark bg-dark pb-10">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-4">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i data-feather="activity"></i></div>
                                            Dashboard
                                        </h1>
                                        <div class="page-header-subtitle">Daily Operation</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-n10">
                        <?php foreach ($news as $new) { ?>
                            <div class="row">
                                <div class="col-xxl-12 col-xl-12 mb-4">
                                    <div class="card card-collapsable card h-100 bg-info">
                                        <a class="card-header text-dark collapsed" href="#collapseCard<?php echo $new['new_id'] ?>" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                                            <div><i class="fas fa-newspaper"></i>&nbsp;<?php echo $new['title'] ?></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCard<?php echo $new['new_id'] ?>">
                                            <div class="card-body">
                                                <div class="col-xl-4 col-xxl-12 mt-2"><?php echo $new['description']; ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                        <!-- KPIs -->
                        <div class="row">
                            <div class="col-lg-6 col-xl-3 mb-4">
                                <div class="card bg-primary text-white h-100">
                                    <div class="card-body">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="me-3">
                                                <div class="text-white-75 small">Assigned to me</div>
                                                <div class="text-lg fw-bold" id="incidents_assigned_to_me"></div>
                                            </div>
                                            <i class="fas fa-exclamation-triangle feather-xl text-white-50"></i>
                                        </div>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between small">
                                        <a class="text-white stretched-link" href="/itsm/dist/service-operation/incidents/incidents-assigned-me.php">View List</a>
                                        <div class="text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-xl-3 mb-4">
                                <div class="card bg-primary text-white h-100">
                                    <div class="card-body">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="me-3">
                                                <div class="text-white-75 small">Assigned to my groups</div>
                                                <div class="text-lg fw-bold" id="incidents_assigned_to_my_groups"></div>
                                            </div>
                                            <i class="fas fa-exclamation-triangle feather-xl text-white-50"></i>
                                        </div>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between small">
                                        <a class="text-white stretched-link" href="/itsm/dist/service-operation/incidents/incidents-assigned-groups.php">View List</a>
                                        <div class="text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-xl-3 mb-4">
                                <div class="card bg-success text-white h-100">
                                    <div class="card-body">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="me-3">
                                                <div class="text-white-75 small">Assigned to me</div>
                                                <div class="text-lg fw-bold" id="requests_assigned_to_me"></div>
                                            </div>
                                            <i class="fas fa-shopping-cart feather-xl text-white-50"></i>
                                        </div>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between small">
                                        <a class="text-white stretched-link" href="/itsm/dist/service-operation/requests/requests-assigned-me.php">View List</a>
                                        <div class="text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-xl-3 mb-4">
                                <div class="card bg-success text-white h-100">
                                    <div class="card-body">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="me-3">
                                                <div class="text-white-75 small">Assigned to my groups</div>
                                                <div class="text-lg fw-bold" id="requests_assigned_to_my_groups"></div>
                                            </div>
                                            <i class="fas fa-shopping-cart feather-xl text-white-50"></i>
                                        </div>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between small">
                                        <a class="text-white stretched-link" href="/itsm/dist/service-operation/requests/requests-assigned-groups.php">View List</a>
                                        <div class="text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Charts -->
                        <div class="row">
                            <div class="col-xl-6 mb-4">
                                <div class="card card-header-actions h-100">
                                    <div class="card-header text-dark">
                                        Tickets by Priority
                                    </div>
                                    <div class="card-body">
                                        <div class="chart-bar"><canvas id="ticketsByPriority" width="100%" height="30"></canvas></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-6 mb-4">
                                <div class="card card-header-actions h-100">
                                    <div class="card-header text-dark">
                                        Tickets by Group
                                    </div>
                                    <div class="card-body">
                                        <div class="chart-bar"><canvas id="ticketsByGroup" width="100%" height="30"></canvas></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-6 mb-4">
                                <div class="card card-header-actions h-100">
                                    <div class="card-header text-dark">
                                        Tickets by Status
                                    </div>
                                    <div class="card-body">
                                        <div class="chart-bar"><canvas id="ticketsByStatus" width="100%" height="30"></canvas></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-6 mb-4">
                                <div class="card card-header-actions h-100">
                                    <div class="card-header text-dark">
                                        Tickets by Category
                                    </div>
                                    <div class="card-body">
                                        <div class="chart-bar"><canvas id="ticketsByCategory" width="100%" height="30"></canvas></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include "skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js" crossorigin="anonymous"></script>
        <script src="assets/charts/tickets_by_priority.js"></script>
        <script src="assets/charts/tickets_by_group.js"></script>
        <script src="assets/charts/tickets_by_status.js"></script>
        <script src="assets/charts/tickets_by_category.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/bundle.js" crossorigin="anonymous"></script>
        <script src="js/litepicker.js"></script>
    </body>
</html>
