<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();
// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$categories = obtainCategoriesLvl($conn, 'Knowledge Base', 3, 1); // Get Categories
$parent_category = obtainRowData($conn, 'v_categories', 'category_id', 3); // Get Parent Category
$categories_selectables = obtainCategoriesLvlSelectable($conn, 'Knowledge Base', $parent_category['category_id'], $parent_category['lvl']); // Get Categories Lvl 2
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Knowledge Base</title>
        <link href="https://cdn.jsdelivr.net/npm/simple-datatables@latest/dist/style.css" rel="stylesheet" />
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->

        <!-- Datatables Plugin -->
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap5.min.css">


        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="../toastr/toastr.css">
        <script type="text/javascript" src="../toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {


                // Active menu
                activeMenu('#menu_knowledge_base');

            });
        </script>
        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark pb-10">
                        <div class="container-fluid px-4">
                            <div class="page-header-content pt-0 mb-n3">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-question-circle"></i></div>
                                            Knowledge Base
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4">
                        <div class="row">
                            <div class="col-xl-12">
                                <h4 class="mb-0 mt-5">Main Categories</h4>
                                <hr class="mt-2 mb-4" />
                                <?php foreach ($categories as $category) { ?>
                                <!-- Knowledge base main category card 1-->
                                <a class="card card-icon lift lift-sm mb-4" href="knowledge-base-lv2.php?category=<?php echo $category['category_id'] ?>&lvl=<?php echo $category['lvl']+1 ?>">
                                    <div class="row g-0">
                                        <div class="col-auto card-icon-aside bg-<?php echo $category['color']; ?>"><img class="img-fluid img-max-width" src="../resources/<?php echo $category['picture'] ?>"/></div>
                                        <div class="col">
                                            <div class="card-body py-4">
                                                <h5 class="card-title text-<?php echo $category['color']; ?> mb-2"><?php echo $category['name']; ?></h5>
                                                <p class="card-text mb-1"><?php echo str_replace(array("\r", "\n"), '', str_replace("'","\'",html_entity_decode($category['description']))) ?></p>
                                                <div class="small text-muted"><?php echo obtainNumSubcategories($conn, $category['category_id']); ?> subcategories in this category</div>
                                                <div class="small text-muted"><?php echo obtainNumArticles($conn, $category['category_id']); ?> articles in this category</div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>

        <!-- Datatables Plugin -->
        <script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap5.min.js"></script>
        <!--<script src="https://cdn.datatables.net/v/bs5/dt-1.11.3/b-2.0.1/b-html5-2.0.1/datatables.min.js"></script>-->
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs5/jszip-2.5.0/dt-1.11.3/b-2.0.1/b-colvis-2.0.1/b-html5-2.0.1/b-print-2.0.1/datatables.min.css"/>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
        <script type="text/javascript" src="https://cdn.datatables.net/v/bs5/jszip-2.5.0/dt-1.11.3/b-2.0.1/b-colvis-2.0.1/b-html5-2.0.1/b-print-2.0.1/datatables.min.js"></script>
    </body>
</html>
