<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$ticket_number = createTicket($conn, $_SESSION['user']['user_id'], 3, 'KBA', obtainParameterValue($conn, 9), 7);
$ticket = obtainTicket($conn, $ticket_number); // Obtain Ticket
$states = obtainStatusKnowledgeBaseList($conn); // Obtain Status List
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | New Article</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {

                // *** Set Form ***
                // Article Detail
                $('#button_create').val('<?php echo $ticket['ticket_id'] ?>');
                $('#button_cancel').val('<?php echo $ticket['ticket_id'] ?>');
                $('#ticketNumber').html('<?php echo $ticket['ticket_number'] ?>');
                $('#inputCategory').attr('name', '<?php echo $ticket['category_id'] ?>');
                $('#inputCategory').val('<?php echo $ticket['category_name'] ?>');
                $('#selectStatus').html('<?php
echo '<option disabled selected value="">Status</option>';
foreach ($states as $status) {
    echo '<option value="' . $status['status_id'] . '">' . $status['name'] . '</option>';
}
?>');
                $('#selectStatus').val(<?php echo $ticket['status_id'] ?>);
                $('#inputTitle').val('<?php echo $ticket['title'] ?>');
                $('#inputDescription').val('<?php echo str_replace(array("\r", "\n"), '', html_entity_decode($ticket['description'])) ?>');
                $('#inputCreatorUser').val('<?php echo $ticket['creator_name'] ?>');
                $('#inputLastUpdatedUser').val('<?php echo $ticket['last_update_user_name'] ?>');

                // *** Click Events *** 
                // Button: Create ticket
                $('#button_create').on('click', function () {
                    tinyMCE.triggerSave();
                    var categoryID = $('#inputCategory').attr('name');
                    var categoryIDVal = $('#inputCategory').val();
                    var ticketID = $('#button_create').val();
                    var title = $('#inputTitle').val();
                    var description = tinyMCE.get("inputDescription").getContent();
                    var statusID = $('#selectStatus option:selected').val();
                    if (categoryIDVal.trim() === '') {
                        toastr.error("Enter a Category");
                        $('#inputCategory').focus();
                        return false;
                    } else if (title.trim() === '') {
                        toastr.error("Enter a Title");
                        $('#inputTitle').focus();
                        return false;
                    } else if (description.trim() === '') {
                        toastr.error("Enter a Description");
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../control/data_knowledge_base.php',
                            data: 'action=create&category_id=' + categoryID + '&ticket_id=' + ticketID + '&title=' + title + '&description=' + description + '&status_id=' + statusID,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                var ticketNumber = msg;
                                toastr.success("Article created");
                                setTimeout(function () {
                                    window.location.href = "/itsm/dist/knowledge-management/article-detail.php?ticket_number=" + ticketNumber;
                                }, 2000);
                            }
                        });
                    }
                });

                // Button: Cancel
                $('#button_cancel').on('click', function () {
                    var ticketID = $('#button_cancel').val();
                    $.ajax({
                        type: 'POST',
                        url: '../control/data_knowledge_base.php',
                        data: 'action=cancelArticle&ticket_id=' + ticketID,
                        beforeSend: function () {
                        },
                        success: function (msg) {
                            toastr.success("Article cancelled");
                            window.location.href = "/itsm/dist/index.php";
                        }
                    });
                });

                // *** Upload Images TinyMCE *** //
                function tinymce_upload_image(blobInfo, success, failure, progress) {
                    var xhr, formData;

                    xhr = new XMLHttpRequest();
                    xhr.withCredentials = false;
                    xhr.open('POST', '/itsm/dist/control/uploadImagesTinyMCE.php');

                    xhr.upload.onprogress = function (e) {
                        progress(e.loaded / e.total * 100);
                    };

                    xhr.onload = function () {
                        var json;

                        if (xhr.status === 403) {
                            failure('HTTP Error: ' + xhr.status, {remove: true});
                            return;
                        }

                        if (xhr.status < 200 || xhr.status >= 300) {
                            failure('HTTP Error: ' + xhr.status);
                            return;
                        }

                        json = JSON.parse(xhr.responseText);

                        if (!json || typeof json.location != 'string') {
                            failure('Invalid JSON: ' + xhr.responseText);
                            return;
                        }

                        success(json.location);
                    };

                    xhr.onerror = function () {
                        failure('Image upload failed due to a XHR Transport error. Code: ' + xhr.status);
                    };

                    formData = new FormData();
                    formData.append('file', blobInfo.blob(), blobInfo.filename());

                    xhr.send(formData);
                }

                function tinymce_local_image(cb, value, meta) {
                    var input = document.createElement('input');
                    input.setAttribute('type', 'file');
                    input.setAttribute('accept', 'image/*');

                    /*
                     Note: In modern browsers input[type="file"] is functional without
                     even adding it to the DOM, but that might not be the case in some older
                     or quirky browsers like IE, so you might want to add it to the DOM
                     just in case, and visually hide it. And do not forget do remove it
                     once you do not need it anymore.
                     */

                    input.onchange = function () {
                        var file = this.files[0];

                        var reader = new FileReader();
                        reader.onload = function () {
                            /*
                             Note: Now we need to register the blob in TinyMCEs image blob
                             registry. In the next release this part hopefully won't be
                             necessary, as we are looking to handle it internally.
                             */
                            var id = 'blobid' + (new Date()).getTime();
                            var blobCache = tinymce.activeEditor.editorUpload.blobCache;
                            var base64 = reader.result.split(',')[1];
                            var blobInfo = blobCache.create(id, file, base64);
                            blobCache.add(blobInfo);

                            /* call the callback and populate the Title field with the file name */
                            cb(blobInfo.blobUri(), {title: file.name});
                        };
                        reader.readAsDataURL(file);
                    };

                    input.click();
                }

                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();
                tinymce.init({
                    selector: '.textareas_wysiwig',
                    skin: 'bootstrap',
                    plugins: 'lists, link, image, media, code, fullscreen',
                    toolbar: 'h1 h2 bold italic strikethrough blockquote bullist numlist backcolor | link image media | removeformat help code fullscreen',
                    menubar: false,
                    entity_encoding: 'raw',
                    branding: false,
                    relative_urls: false,
                    remove_script_host: false,
                    convert_urls: true,
                    file_picker_callback: tinymce_local_image,
                    images_upload_handler: tinymce_upload_image
                });

                // Active menu
                activeMenu('#menu_articles');
            });

        </script>

        <!-- Modal Select Category -->
    <div class="modal fade" id="modalSelectCategory" data-bs-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Select Category</h5>
                    <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="mb-3">
                        <?php
                        $categories = categories($conn, 'Knowledge Base');
                        ?>
                        <?php foreach ($categories as $category) { ?>
                            <ul class="category">
                                <li><?php echo $category['name'] ?></li>
                                <?php
                                if (!empty($category['subcategory'])) {
                                    echo viewsubcat($category['subcategory']);
                                }
                                ?>
                            </ul>
                        <?php } ?>
                    </div>
                </div>
                <!--                <div class="modal-footer">
                                    <button class="btn btn-danger" type="button" data-bs-dismiss="modal">Cancel</button>
                                    <button class="btn btn-dark" type="button" id="button_add_favourite">Add</button>
                                </div>-->
            </div>
        </div>
    </div>

    <!-- END Added by Dev -->

</head>
<body>
    <?php include "../skel/header.php" ?>
    <div id="layoutSidenav">
        <div id="layoutSidenav_nav">
            <nav class="sidenav shadow-right sidenav-dark">
                <?php include "../skel/menu.php" ?>
            </nav>
        </div>
        <div id="layoutSidenav_content">
            <main>
                <header class="page-header page-header-dark bg-dark mb-4">
                    <div class="container-xl px-4">
                        <div class="page-header-content pt-0">
                            <div class="row align-items-center justify-content-between">
                                <div class="col-auto mt-4">
                                    <h1 class="page-header-title">
                                        <div class="page-header-icon"><i class="fas fa-exclamation-triangle"></i></div>
                                        <span class="d-none d-sm-none d-md-block">Article&nbsp;</span><span id="ticketNumber" style="font-weight:bold;"></span>
                                        <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                    </h1>
                                </div>
                            </div>

                            <nav class="mt-4 rounded" aria-label="breadcrumb">
                                <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                    <li class="breadcrumb-item"><a href="all-incidents.php">Articles</a></li>
                                    <li class="breadcrumb-item active">New Article</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </header>
                <!-- Main page content-->
                <div class="container-xl px-4 mt-4">
                    <div class="row">
                        <div class="col-xl-8 mb-4">
                            <!-- Account details card-->
                            <div class="card card-header-actions">
                                <div class="card-header text-dark"><div>Details</div>
                                    <div>
                                        <button class="btn btn-dark btn-sm me-2" id="button_create"><i class="fas fa-plus"></i>&nbsp;Create</button>
                                        <button class="btn btn-dark btn-sm" id="button_cancel"><i class="fas fa-trash-alt"></i>&nbsp;Cancel</button>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <form id="form_ticket">
                                        <!-- Form Group (Category)-->
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-9">
                                                <label class="small mb-1" for="inputCategory">Category *</label>
                                                <div class="input-group">
                                                    <input class="form-control" id="inputCategory" type="text" placeholder="Category" value="" readonly />
                                                    <span class="input-group-text" id="modalSelectCategory"><a href="#"><i class="fas fa-stream text-dark" data-bs-toggle="modal" data-bs-target="#modalSelectCategory"></i></a></span>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <label class="small mb-1" for="selectStatus">Status *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectStatus" style="line-height:1.4">
                                                </select>
                                            </div>
                                        </div>
                                        <!-- Form Group (Title)-->
                                        <div class="mb-3">
                                            <label class="small mb-1" for="inputTitle">Title *</label>
                                            <input class="form-control" id="inputTitle" type="text" placeholder="Title" value="" />
                                        </div>
                                        <!-- Form Group (Description)-->
                                        <div class="mb-3">
                                            <label class="small mb-1" for="inputDescription">Description *</label>
                                            <textarea class="form-control textareas_wysiwig" id="inputDescription" rows="5" maxlength="50"></textarea>
                                        </div>
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputCreatorUser">Created by</label>
                                                <input class="form-control" id="inputCreatorUser" type="text" placeholder="Creator User" value="" readonly />
                                            </div>
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputLastUpdatedUser">Last updated by</label>
                                                <input class="form-control" id="inputLastUpdatedUser" type="text" placeholder="Last Updated User" value="" readonly />
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>              
                    </div>
                </div>
            </main>
            <?php include "../skel/footer.html" ?>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <script src="../js/scripts.js"></script>

    <!-- Added by Dev -->

    <!-- Bootstrap Select Plugin -->
    <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
    <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

    <!-- *** Replace styles -->
    <style>
        .btn.dropdown-toggle.btn-light{
            line-height: 1.4;
            background-color:white;
            border-color: #c5ccd6;
        }
    </style>
    <!-- END Added by Dev -->

</body>
</html>
