<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

if (isset($_GET['group'])) {
// GET vars
    $group_id = $_GET['group'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$group = obtainRowData($conn, 'groups', 'group_id', $group_id); // Get Location
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Group Details</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                // Check if the form has been modified
                var modified;
                $("input, select").change(function () {
                    modified = true;
                });
                $(window).on('beforeunload', function () {
                    if (modified == true) {
                        return 'Are you sure you want to leave?';
                    }
                });

                // *** Set Form ***
                // Location Detail
                $('#button_save').val('<?php echo $group['group_id'] ?>');
                $('#groupName').html('<?php echo "&laquo;" . $group['name'] . "&raquo;"?>');
                $('#inputName').val('<?php echo $group['name'] ?>');
                $('#inputEmail').val('<?php echo $group['email'] ?>');
                $('#selectNotification').val('<?php echo $group['notification'] ?>');

                // *** Click Events *** 
                // Button: Save changes
                $('#button_save').on('click', function () {
                    var ID = $('#button_save').val();
                    var name = $('#inputName').val();
                    var email = $('#inputEmail').val();
                    var notification = $('#selectNotification option:selected').val();
                    if (name.trim() === '') {
                        toastr.error("Enter a Name");
                        $('#inputName').focus();
                        return false;
                    } else if (email.length > 0 && isEmail(email) == false) {
                        toastr.error("Enter a valid E-Mail");
                        $('#inputEmail').focus();
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../control/data_groups.php',
                            data: 'action=update&id=' + ID + '&name=' + name + '&email=' + email + '&notification=' + notification,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if(msg == 'name_exist'){
                                    toastr.error("The name already exist");
                                }else{
                                    toastr.success("Group updated");
                                    modified = false;
                                }
                            }
                        });
                    }
                });

                // *** Changes Events ***
                 
                 
            // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();
                
            // Active menu
                activeMenu('#menu_groups');
            });
        </script>

    <!-- END Added by Dev -->

</head>
<body>
    <?php include "../skel/header.php" ?>
    <div id="layoutSidenav">
        <div id="layoutSidenav_nav">
            <nav class="sidenav shadow-right sidenav-dark">
                <?php include "../skel/menu.php" ?>
            </nav>
        </div>
        <div id="layoutSidenav_content">
            <main>
                <header class="page-header page-header-dark bg-dark mb-4">
                    <div class="container-xl px-4">
                        <div class="page-header-content pt-0">
                            <div class="row align-items-center justify-content-between">
                                <div class="col-auto mt-4">
                                    <h1 class="page-header-title">
                                        <div class="page-header-icon"><i class="fas fa-users"></i></div>
                                        Group&nbsp;<span id="groupName" class="d-none d-sm-none d-md-block" style="font-weight:bold;"></span>
                                        <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                    </h1>
                                </div>
                            </div>
                            <nav class="mt-4 rounded" aria-label="breadcrumb">
                                <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                    <li class="breadcrumb-item"><a href="groups.php">Groups</a></li>
                                    <li class="breadcrumb-item active">Details</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </header>
                <!-- Main page content-->
                <div class="container-xl px-4 mt-4">
                    <!-- User page navigation-->
                    <nav class="nav nav-borders text-dark">
                        <a class="nav-link active ms-0" href="group-detail.php?group=<?php echo $group_id ?>">Details</a>
                        <a class="nav-link" href="group-users.php?group=<?php echo $group_id ?>">Members</a>
                    </nav>
                    <hr class="mt-0 mb-4" />
                    <div class="row">
                        <div class="col-xl-12 mb-4">
                            <!-- Account details card-->
                            <div class="card card-header-actions">
                                <div class="card-header text-dark"><div>Details</div>
                                    <div class="dropdown no-caret">
                                        <button class="btn btn-dark btn-sm me-2" id="button_save"><i class="fas fa-save"></i>&nbsp;Save</button>
                                        <button class="btn btn-transparent-dark btn-icon dropdown-toggle" id="dropdownMenuButton" type="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <i data-feather="more-vertical"></i>
                                            </button>
                                            <div class="dropdown-menu dropdown-menu-right animated--fade-in-up" aria-labelledby="dropdownMenuButton">
                                                <a class="dropdown-item" href="new-group.php"><i class="fas fa-plus"></i>&nbsp;New</a>
                                            </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <form>
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-4">
                                                <label class="small mb-1" for="inputName">Name *</label>
                                                <input class="form-control" id="inputName" type="text" placeholder="Name" value="" />
                                            </div>
                                            <div class="col-md-4">
                                                <label class="small mb-1" for="inputEmail">E-Mail</label>
                                                <input class="form-control" id="inputEmail" type="text" placeholder="E-Mail" value="" />
                                            </div>
                                            <div class="col-md-4">
                                                <label class="small mb-1" for="selectNotification">Notification</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectNotification" style="line-height:1.4">
                                                    <option disabled selected value="">Notification</option>
                                                    <option value="0">No</option>
                                                    <option value="1">Yes</option>
                                                </select>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>                           
                    </div>
                </div>
            </main>
            <?php include "../skel/footer.html" ?>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <script src="../js/scripts.js"></script>

    <!-- Added by Dev -->

    <!-- Bootstrap Select Plugin -->
    <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
    <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

    <!-- *** Replace styles -->
    <style>
        .btn.dropdown-toggle.btn-light{
            line-height: 1.4;
            background-color:white;
            border-color: #c5ccd6;
        }
    </style>
    <!-- END Added by Dev -->

</body>
</html>
