<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$users = obtainActiveUsersList($conn); // Get Active Users
$departments = obtainDepartments($conn); // Get Departments
$locations = obtainLocations($conn); // Get Locations
$roles = obtainRoles($conn); // Get Roles
$tenants = obtainUserTenants($conn); // Get User Tenants
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | New User</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***
                // User Detail
                $('#selectUserManager').html('<?php
echo '<option disabled selected value="">Manager</option>';
foreach ($users as $userActive) {
    echo '<option value="' . $userActive['user_id'] . '">' . $userActive['name'] . ' ' . $userActive['last_name'] . '</option>';
}
?>');
                $('#selectUserDepartment').html('<?php
echo '<option disabled selected value="">Department</option>';
foreach ($departments as $department) {
    echo '<option value="' . $department['department_id'] . '">' . $department['name'] . '</option>';
}
?>');
                $('#selectUserLocation').html('<?php
echo '<option disabled selected value="">Location</option>';
foreach ($locations as $location) {
    echo '<option value="' . $location['location_id'] . '">' . $location['name'] . '</option>';
}
?>');
                $('#selectUserRole').html('<?php
echo '<option disabled selected value="">Role</option>';
foreach ($roles as $role) {
    echo '<option value="' . $role['role_id'] . '">' . $role['name'] . '</option>';
}
?>');
                $('#selectUserTenant').html('<?php
echo '<option disabled selected value>Tenant</option>';
foreach ($tenants as $tenant) {
    echo '<option value="' . $tenant['tenant_id'] . '">' . $tenant['name'] . '</option>';
}
?>');

                // *** Click Events *** 
                // Button: Create User
                $('#button_create').on('click', function () {
                    var name = $('#inputUserName').val();
                    var lastName = $('#inputUserLastName').val();
                    var email = $('#inputUserEmail').val();
                    var managerID = $('#selectUserManager option:selected').val();
                    var creationDate = $('#inputUserCreationDate').val();
                    var endDate = $('#inputUserEndDate').val();
                    var phoneNumber = $('#inputUserPhoneNumber').val();
                    var mobileNumber = $('#inputUserMobileNumber').val();
                    var departmentID = $('#selectUserDepartment option:selected').val();
                    var locationID = $('#selectUserLocation option:selected').val();
                    var roleID = $('#selectUserRole option:selected').val();
                    var notification = $('#selectUserNotification option:selected').val();
                    var defaultTenantID = $('#selectUserTenant option:selected').val();
                    if (email.trim() === '' || isEmail(email) == false) {
                        toastr.error("Enter a valid E-Mail");
                        $('#inputUserEmail').focus();
                        return false;
                    } else if (creationDate.trim() === '') {
                        toastr.error("Enter a valid Date");
                        $('#inputUserCreationDate').focus();
                        return false;
                    } else if (roleID.trim() === '') {
                        toastr.error("Select a Role");
                        $('#selectUserRole').focus();
                        return false;
                    } else if (defaultTenantID.trim() === '') {
                        toastr.error("Select a Tenant");
                        $('#selectUserTenant').focus();
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../control/data_users.php',
                            data: 'action=createUser&name=' + name + '&last_name=' + lastName +
                                    '&email=' + email + '&manager_user_id=' + managerID +
                                    '&creation_date=' + creationDate + '&end_date=' + endDate + '&department_id=' + departmentID +
                                    '&phone_number=' + phoneNumber + '&mobile_number=' + mobileNumber + '&location_id=' + locationID + '&role_id=' + roleID +
                                    '&notification=' + notification + '&default_tenant_id=' + defaultTenantID,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                if (msg == 'email_exist') {
                                    toastr.error("The E-Mail already exist");
                                } else {
                                    toastr.success("User created");
                                    var userID = msg;
                                    setTimeout(function () {
                                        window.location.href = "/itsm/dist/organizational-data/user-detail.php?user=" + userID;
                                    }, 2000);
                                }
                            }
                        });
                    }
                });

                // Button: Cancel
                $('#button_cancel').on('click', function () {
                    window.location.href = 'users.php';
                });

                // *** Changes Events ***


                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();

                // Active menu
                activeMenu('#menu_users');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-user"></i></div>
                                            User
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="users.php">Users</a></li>
                                        <li class="breadcrumb-item active">Details</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- User page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link active ms-0" href="#!">Details</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-xl-12 mb-4">
                                <!-- Account details card-->
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>Details</div>
                                        <div class="dropdown no-caret">
                                            <button class="btn btn-dark btn-sm me-2" id="button_create"><i class="fas fa-plus"></i>&nbsp;Create</button>
                                            <button class="btn btn-dark btn-sm" id="button_cancel"><i class="fas fa-trash-alt"></i>&nbsp;Cancel</button>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <form>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputUserName">Name</label>
                                                    <input class="form-control" id="inputUserName" type="text" placeholder="Name" value="" />
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputUserLastName">Last Name</label>
                                                    <input class="form-control" id="inputUserLastName" type="text" placeholder="Last Name" value="" />
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputUserEmail">E-Mail *</label>
                                                    <input class="form-control" id="inputUserEmail" type="text" placeholder="E-Mail" value="" />
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="selectUserManager">Manager</label>
                                                    <select class="form-control selectBootstrap" data-live-search="true" id="selectUserManager" style="line-height:1.4">
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputUserEndDate">Creation Date *</label>
                                                    <input class="form-control" id="inputUserCreationDate" type="datetime-local" value="" />
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputUserEndDate">End Date</label>
                                                    <input class="form-control" id="inputUserEndDate" type="datetime-local" value="" />
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputUserPhoneNumber">Phone Number</label>
                                                    <input class="form-control" id="inputUserPhoneNumber" type="text" placeholder="Phone Number" value="" />
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputUserMobileNumber">Mobile Number</label>
                                                    <input class="form-control" id="inputUserMobileNumber" type="text" placeholder="Mobile Number" value="" />
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="selectUserDepartment">Department</label>
                                                    <select class="form-control selectBootstrap" data-allow-clear="true" data-live-search="true" id="selectUserDepartment" style="line-height:1.4">
                                                    </select>
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="selectUserLocation">Location</label>
                                                    <select class="form-control selectBootstrap" data-allow-clear="true" data-live-search="true" id="selectUserLocation" style="line-height:1.4">
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="selectUserRole">Role *</label>
                                                    <select class="form-control selectBootstrap" data-live-search="true" id="selectUserRole" style="line-height:1.4">
                                                    </select>
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="selectUserNotification">Notification</label>
                                                    <select class="form-control selectBootstrap" data-live-search="true" id="selectUserNotification" style="line-height:1.4">
                                                        <option disabled selected value="">Notification</option>
                                                        <option value="0">No</option>
                                                        <option value="1">Yes</option>
                                                    </select>
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="selectUserTenant">Default Tenant *</label>
                                                    <select class="form-control selectBootstrap" data-live-search="true" id="selectUserTenant" style="line-height:1.4">
                                                    </select>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>                           
                        </div>
                    </div>
                </main>
                <?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
