<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

if (isset($_GET['user'])) {
// GET vars
    $user_id = $_GET['user'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$user = obtainRowData($conn, 'v_users', 'user_id', $user_id); // Get User
$departments = obtainDepartments($conn); // Get Departments
$locations = obtainLocations($conn); // Get Locations
$groups_not_assigned = obtainUserGroupsNotAssigned($conn, $user_id); // Get User Groups Not assigned
$groups_assigned = obtainUserGroupsAssigned($conn, $user_id); // Get User Groups Assigned
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | User Groups</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***
                // Incident Detail
                $('#button_save').val('<?php echo $user['user_id'] ?>');
                $('#userName').html('<?php echo "&laquo;" . $user['name'] . " " . $user['last_name'] . "&raquo;" ?>');
                $('#multipleSelectNotAssigned').html('<?php
foreach ($groups_not_assigned as $group_not_assigned) {
    echo '<option value="' . $group_not_assigned['group_id'] . '">' . $group_not_assigned['name'] . '</option>';
}
?>');
                $('#multipleSelectAssigned').html('<?php
foreach ($groups_assigned as $group_assigned) {
    echo '<option value="' . $group_assigned['group_id'] . '">' . $group_assigned['name'] . '</option>';
}
?>');

                // *** Click Events ***
                // Button: Assign
                $('#button_assign').on('click', function () {
                    $('#multipleSelectNotAssigned option:selected').prependTo('#multipleSelectAssigned');
                });

                // Button: No assign
                $('#button_no_assign').on('click', function () {
                    $('#multipleSelectAssigned option:selected').prependTo('#multipleSelectNotAssigned');
                });

                // Button: Assign
                $('#button_assign_all').on('click', function () {
                    $('#multipleSelectNotAssigned option').prependTo('#multipleSelectAssigned');
                });

                // Button: No assign
                $('#button_no_assign_all').on('click', function () {
                    $('#multipleSelectAssigned option').prependTo('#multipleSelectNotAssigned');
                });


                // Button: Save changes
                $('#button_save').on('click', function () {
                    var userID = $('#button_save').val();
                    var assign = [];
                    $("#multipleSelectAssigned option").each(function()
                        {
                            assign.push($(this).val());
                        });
                    $.ajax({
                        type: 'POST',
                        url: '../control/data_users.php',
                        data: 'action=updateUserGroups&user_id=' + userID + '&assign=' + assign,
                        beforeSend: function () {
                        },
                        success: function (msg) {
                            toastr.success("Groups updated");
                        }
                    });
                });

                // *** Changes Events ***

                // Active menu
                activeMenu('#menu_users');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-user"></i></div>
                                            User&nbsp;<span id="userName" style="font-weight:bold;"></span>
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="users.php">Users</a></li>
                                        <li class="breadcrumb-item active">Groups</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- Incident page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link ms-0" href="user-detail.php?user=<?php echo $user_id ?>">Details</a>
                            <a class="nav-link" href="user-tenants.php?user=<?php echo $user_id ?>">Tenants</a>
                            <a class="nav-link active" href="user-groups.php?user=<?php echo $user_id ?>">Groups</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-xl-12 mb-4">
                                <!-- Account details card-->
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>User Groups</div>
                                        <div class="dropdown no-caret">
                                            <button class="btn btn-dark btn-sm me-2" id="button_save"><i class="fas fa-save"></i>&nbsp;Save</button>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <form>
                                            <div class="row gx-3 mb-4">
                                                <div class="col-md-5 text-center">
                                                    <label for="multipleSelectNotAssigned" class="col-form-label">Not assigned</label>
                                                    <select class="form-control selectBootstrap" id="multipleSelectNotAssigned" name="multipleSelectNotAssigned[]" multiple="">
                                                    </select>
                                                </div>
                                                <div class="col-md-2 text-center">
                                                    <a href="#!" class="btn btn-dark btn-sm me-2 mt-3" id="button_assign_all"><i class="fas fa-angle-double-right"></i></a>
                                                    <a href="#!" class="btn btn-dark btn-sm me-2 mt-3" id="button_assign"><i class="fas fa-angle-right"></i></a>
                                                    <a href="#!" class="btn btn-dark btn-sm me-2 mt-3" id="button_no_assign"><i class="fas fa-angle-left"></i></a>
                                                    <a href="#!" class="btn btn-dark btn-sm me-2 mt-3" id="button_no_assign_all"><i class="fas fa-angle-double-left"></i></a>
                                                </div>
                                                <div class="col-md-5 text-center">
                                                    <label for="multipleSelectAssigned" class="col-form-label">Assigned</label>
                                                    <select class="form-control selectBootstrap" id="multipleSelectAssigned" name="multipleSelectAssigned[]" multiple="">
                                                    </select>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>                           
                        </div>
                    </div>
                </main>
                <?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
