<?php
session_start();
require_once('../../control/functions.php');
require_once('../../control/Database.php');
managementSession();
// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Incidents</title>
        <link href="https://cdn.jsdelivr.net/npm/simple-datatables@latest/dist/style.css" rel="stylesheet" />
        <link href="../../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->

        <!-- Datatables Plugin -->
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap5.min.css">


        <script src="../../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="../../toastr/toastr.css">
        <script type="text/javascript" src="../../toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                var table = "";
                $('#table thead tr').clone(true).appendTo('#table thead');
                $('#table thead tr:eq(1) th').each(function (i) {
                    var title = $(this).text();
                    $(this).html('<input type="text" placeholder="' + title + '" style="width:100%;"/>');

                    $('input', this).on('keyup change', function () {
                        if (table.column(i).search() !== this.value) {
                            table
                                    .column(i)
                                    .search(this.value)
                                    .draw();
                        }
                    });
                });
                table = $('#table').DataTable({
                    ajax: "../../control/data_incidents.php?table=incidents_all",
                    columns: [
                        {data: "ticket_number", render: getRow},
                        {data: "ticket_number"},
                        {data: "creation_date"},
                        {data: "affected_user"},
                        {data: "status", render: getStatus},
                        {data: "category_name"},
                        {data: "title"},
                        {data: "group_name"},
                        {data: "assignee_user"},
                        {data: "end_date"}
                    ],
                    orderCellsTop: true,
                    fixedHeader: true,
                    paging: false,
                    order: [[1, "desc"]],
                    dom: 'Bfrtip',
                    "scrollX": true,
                    extend: 'collection',
                    text: 'Select view',
                    buttons: [
                        {
                            extend: 'collection',
                            text: 'Table Options',
                            buttons: [
                                {
                                    popoverTitle: 'Visibility control',
                                    extend: 'colvis',
                                    collectionLayout: 'one-column'
                                }, 'copy', 'csv', 'excel', 'pdf'
                            ]
                        }
                    ]
                });
                function getRow(data) {
                    return '<a href="incident-detail.php?ticket_number=' + data + '" style="color:#69707a;"><i class="fas fa-search"></i></a>';
                }

                function getStatus(data, type, row, meta) {
                    switch (row.status_type_id) {
                        case 1:
                            return '<div class="badge bg-info text-white rounded-pill">' + data + '</div>';
                            break;
                        case 2:
                            return '<div class="badge bg-primary text-white rounded-pill">' + data + '</div>';
                            break;
                        case 3:
                            return '<div class="badge bg-warning text-white rounded-pill">' + data + '</div>';
                            break;
                        case 4:
                            return '<div class="badge bg-success text-white rounded-pill">' + data + '</div>';
                            break;
                        case 5:
                            return '<div class="badge bg-danger text-white rounded-pill">' + data + '</div>';
                            break;
                        default:
                            return '<div class="badge bg-primary text-white rounded-pill">' + data + '</div>';
                            break;
                    }
                }

                // Filters
                $('[id^=filters]').on('click', function () {
                    table.destroy();
                    var filter = $(this).attr('value');
                    var ajax = "";
                    if (filter == 1) {
                        ajax = "../../control/data_incidents.php?table=incidents_all";
                    } else if (filter == 2) {
                        ajax = "../../control/data_incidents.php?table=incidents_open";
                    } else if (filter == 3) {
                        ajax = "../../control/data_incidents.php?table=incidents_closed";
                    }
                    $('[id^=filters]').removeClass('table_filter_selected');
                    $(this).addClass('table_filter_selected');
                    table = $('#table').DataTable({
                        ajax: ajax,
                        columns: [
                            {data: "ticket_number", render: getRow},
                            {data: "ticket_number"},
                            {data: "creation_date"},
                            {data: "affected_user"},
                            {data: "status", render: getStatus},
                            {data: "category_name"},
                            {data: "title"},
                            {data: "group_name"},
                            {data: "assignee_user"},
                            {data: "end_date"}
                        ],
                        orderCellsTop: true,
                        fixedHeader: true,
                        paging: false,
                        order: [[1, "desc"]],
                        dom: 'Bfrtip',
                        "scrollX": true,
                        extend: 'collection',
                        text: 'Select view',
                        buttons: [
                            {
                                extend: 'collection',
                                text: 'Table Options',
                                buttons: [
                                    {
                                        popoverTitle: 'Visibility control',
                                        extend: 'colvis',
                                        collectionLayout: 'one-column'
                                    }, 'copy', 'csv', 'excel', 'pdf'
                                ]
                            }
                        ]
                    });
                });

                // Active menu
                activeMenuWithSubMenu('#menu_incidents', '#collapseIncidents', '#menu_incidents_all');

            });
        </script>
        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark pb-10">
                        <div class="container-fluid px-4">
                            <div class="page-header-content pt-0 mb-n3">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-exclamation-triangle"></i></div>
                                            All Incidents
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-fluid px-4 mt-n10">
                        <div class="card mb-4">
                            <div class="card card-header-actions">
                                <div class="card-header text-dark">Incidents
                                    <div class="dropdown no-caret">
                                        <button class="btn btn-transparent-dark btn-icon dropdown-toggle" id="dropdownMenuButton" type="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i data-feather="filter"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right animated--fade-in-up" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item table_filter_selected" id="filters_1" href="#!" value="1">All</a>
                                            <a class="dropdown-item" id="filters_2" href="#!" value="2">Open</a>
                                            <a class="dropdown-item" id="filters_3" href="#!" value="3">Closed</a>
                                        </div>
                                        <button class="btn btn-dark btn-sm me-2" onClick="location.href = 'new-incident.php'"><i class="fas fa-plus"></i>&nbsp;New</button>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <table class="table table-bordered" id="table" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Action</th>
                                            <th>No.</th>
                                            <th>Creation Date</th>
                                            <th>Affected User</th>
                                            <th>Status</th>
                                            <th>Category</th>
                                            <th>Title</th>
                                            <th>Group</th>
                                            <th>Assignee User</th>
                                            <th>End Date</th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include "../../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../../js/scripts.js"></script>

        <!-- Datatables Plugin -->
        <!-- Datatables Plugin -->
        <script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap5.min.js"></script>
        <!--<script src="https://cdn.datatables.net/v/bs5/dt-1.11.3/b-2.0.1/b-html5-2.0.1/datatables.min.js"></script>-->
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs5/jszip-2.5.0/dt-1.11.3/b-2.0.1/b-colvis-2.0.1/b-html5-2.0.1/b-print-2.0.1/datatables.min.css"/>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
        <script type="text/javascript" src="https://cdn.datatables.net/v/bs5/jszip-2.5.0/dt-1.11.3/b-2.0.1/b-colvis-2.0.1/b-html5-2.0.1/b-print-2.0.1/datatables.min.js"></script>
    </body>
</html>
