<?php
session_start();
require_once('../../control/functions.php');
require_once('../../control/Database.php');
managementSession();

if (isset($_GET['ticket_number'])) {
// GET vars
    $ticket_number = $_GET['ticket_number'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$ticket = obtainTicket($conn, $ticket_number); // Obtain Ticket
// If it does not belong to the tenant or user affected different to user connected, it returns to the home page
if (($ticket['tenant_id'] <> $_SESSION['user']['default_tenant_id'] && !empty($ticket['tenant_id'])) && $ticket['affected_user_id'] <> $_SESSION['user']['user_id']) {
    header('Location:/itsm/dist/index.php');
}
$attachments = obtainTicketAttachments($conn, $ticket_number); // Obtain Ticket Attachments
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Attachments</title>
        <link href="../../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***
                // Incident Detail
                $('#ticketNumber').html('<?php echo $ticket['ticket_number'] ?>');


                // *** Click Events *** 
                // Button: Upload new image

                $("#upload").on('click', function () {
                    var name = $('#inputName').val();
                    var formData = new FormData();
                    var files = $('#image')[0].files[0];
                    formData.append('file', files);
                    if (name.trim() === '') {
                        toastr.error("Enter a Name");
                        $('#inputName').focus();
                        return false;
                    } else if (files == undefined) {
                        toastr.error("Select a file");
                        $('#image').focus();
                        return false;
                    } else {
                        $.ajax({
                            url: '../../control/data_attachments.php?name=' + name + '&ticket_id=<?php echo $ticket['ticket_id'] ?>',
                            type: 'post',
                            data: formData,
                            contentType: false,
                            processData: false,
                            beforeSend: function () {
                            },
                            success: function (response) {
                                toastr.success("Document uploaded");
                                setTimeout(function () {
                                    location.reload();
                                }, 2000);
                            }
                        });
                    }
                    return false;
                });

                // Delete attachment
                $(document).ready(function () {
                    $('#deleteBtnModal').on('click', function () {
                        var targetTable = "attachments";
                        var colName = "attachment_id";
                        var id = $('#deleteBtnModal').val();
                        if (deleteRow && id.length > 0) {
                            $.ajax({
                                type: 'POST',
                                url: '../../control/data_attachments.php',
                                data: 'action=delete&target_table=' + targetTable + '&col_name=' + colName + '&id=' + id,
                                success: function (msg) {
                                    toastr.success("Attachment deleted");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                }
                            });
                        }
                    });
                });

                // *** Inicialize plugins ***

                // Active menu
                activeMenuWithSubMenu('#menu_incidents', '#collapseIncidents', '#menu_incidents_all');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-exclamation-triangle"></i></div>
                                            Incident&nbsp;<span id="ticketNumber" style="font-weight:bold;"></span>
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="all-incidents.php">All Incidents</a></li>
                                        <li class="breadcrumb-item active">Attachments</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- Incident page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link ms-0" href="incident-detail.php?ticket_number=<?php echo $ticket_number ?>">Details</a>
                            <a class="nav-link" href="activities.php?ticket_number=<?php echo $ticket_number ?>">Activities</a>
                            <a class="nav-link active" href="attachments.php?ticket_number=<?php echo $ticket_number ?>">Attachments</a>
                            <a class="nav-link" href="history-changes.php?ticket_number=<?php echo $ticket_number ?>">History Changes</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-lg-5 mb-4">
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>Upload Document</div>
                                        <div class="dropdown no-caret">
                                            <button class="btn btn-dark btn-sm me-2" id="upload"><i class="fas fa-file-upload"></i>&nbsp;Upload</button>
                                        </div>
                                    </div>
                                    <div class="collapse show" id="collapseCardNew">
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputName">Name *</label>
                                                        <input class="form-control" id="inputName" type="text" placeholder="Name" value="" />
                                                    </div>
                                                </div>
                                                <div class="row gx-3 mb-3">
                                                    <div class="col-md-12 text-center">
                                                        <img class="img-account-profile mb-2" id="inputFile" src="" alt="" style="max-width:50%;"  />
                                                        <input type="file" class="form-control pt-2" name="image" id="image" accept="image/png, image/gif, image/jpeg">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>   
                            <div class="col-xl-7 mb-4">

                                <div class="card card-collapsable card mb-4">
                                    <a class="card-header text-dark" href="#collapseCard" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                                        <div>Attachments</div>
                                    </a>

                                    <div class="card-body">
                                        <?php foreach ($attachments as $attachment) { ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="">Name</label>
                                                    <input class="form-control" type="text" placeholder="Group" value="<?php echo $attachment['name'] ?>" readonly />
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="">Creation Date</label><br>
                                                    <input class="form-control" type="text" placeholder="Group" value="<?php echo $attachment['creation_date'] ?>" readonly />
                                                </div>
                                                <div class="col-md-2">
                                                    <label class="small mb-1" for=""></label><br>
                                                    <a class="btn btn-dark btn-sm me-2 mt-2" href="/itsm/dist/resources/<?php echo $attachment['path'] ?>" download target="_blank"><i class="fas fa-file-download"></i>&nbsp;Download</a>
                                                </div>
                                                <div class="col-md-2">
                                                    <label class="small mb-1" for=""></label><br>
                                                    <a href="#" class="btn btn-dark btn-sm me-2 mt-2" data-bs-toggle="modal" data-bs-target="#deleteModal" onclick="deleteRow('<?php echo $attachment['attachment_id'] ?>')"><i class="fas fa-trash-alt fa-1x text-black-300"></i>&nbsp;Delete</a>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>                         
                        </div>
                    </div>
                </main>
                <?php include "../../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>

        <!-- Delete Modal-->
        <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Delete Attachment</h5>
                        <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">Do you want to delete the attachment?</div>
                    <div class="modal-footer">
                        <button class="btn btn-dark" type="button" id="deleteBtnModal" data-bs-dismiss="modal">Delete</button>
                        <button class="btn btn-outline-dark" type="button" data-bs-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- END Added by Dev -->

    </body>
</html>
