<?php
session_start();
require_once('../../control/functions.php');
require_once('../../control/Database.php');
managementSession();

if (isset($_GET['ticket_number'])) {
// GET vars
    $ticket_number = $_GET['ticket_number'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$ticket = obtainTicket($conn, $ticket_number); // Obtain Ticket
// If it does not belong to the tenant or user affected different to user connected, it returns to the home page
if (($ticket['tenant_id'] <> $_SESSION['user']['default_tenant_id'] && !empty($ticket['tenant_id'])) && $ticket['affected_user_id'] <> $_SESSION['user']['user_id']) {
    header('Location:/itsm/dist/index.php');
}
$history_changes = obtaintTicketHistoryChanges($conn, $ticket['ticket_id']); // Obtain Ticket History Changes
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Activities</title>
        <link href="../../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***
                // Incident Detail
                $('#ticketNumber').html('<?php echo $ticket['ticket_number'] ?>');
                $('#button_create').val('<?php echo $ticket['ticket_id'] ?>');

                // *** Click Events *** 
                // Button: Create
                $('#button_create').on('click', function () {
                    tinyMCE.triggerSave();
                    var ticketID = $('#button_create').val();
                    var activityTypeID = $('#selectActivityType option:selected').val();
                    var groupID = $('#selectGroup option:selected').val();
                    var userID = $('#selectUser option:selected').val();
                    var comment = tinyMCE.activeEditor.getContent();
                    if (activityTypeID.trim() === '') {
                        toastr.error("Enter a Activity Type");
                        $('#selectActivityType').focus();
                        return false;
                    } else if (groupID.trim() === '') {
                        toastr.error("Enter a Group");
                        $('#selectGroup').focus();
                        return false;
                    } else if (userID.trim() === '') {
                        toastr.error("Enter a User");
                        $('#selectUser').focus();
                        return false;
                    } else if (comment.trim() === '') {
                        toastr.error("Enter a Comment");
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../../control/data_activities.php',
                            data: 'action=create&ticket_id=' + ticketID + '&activity_type_id=' + activityTypeID + '&group_id=' + groupID +
                                    '&user_id=' + userID + '&comment=' + comment,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                toastr.success("Activity created");
                                setTimeout(function () {
                                    location.reload();
                                }, 2000);
                            }
                        });
                    }
                });

                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();
                tinymce.init({
                    selector: '.textareas_wysiwig',
                    skin: 'bootstrap',
                    plugins: 'lists, link, image, media, code',
                    toolbar: 'h1 h2 bold italic strikethrough blockquote bullist numlist backcolor | link image media | removeformat help code',
                    menubar: false,
                    entity_encoding: 'raw',
                    branding: false
                });
                // Active menu
                activeMenuWithSubMenu('#menu_incidents', '#collapseIncidents', '#menu_incidents_all');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-exclamation-triangle"></i></div>
                                            Incident&nbsp;<span id="ticketNumber" style="font-weight:bold;"></span>
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="all-incidents.php">All Incidents</a></li>
                                        <li class="breadcrumb-item active">History Changes</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- Incident page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link ms-0" href="incident-detail.php?ticket_number=<?php echo $ticket_number ?>">Details</a>
                            <a class="nav-link" href="activities.php?ticket_number=<?php echo $ticket_number ?>">Activities</a>
                            <a class="nav-link" href="attachments.php?ticket_number=<?php echo $ticket_number ?>">Attachments</a>
                            <a class="nav-link active" href="history-changes.php?ticket_number=<?php echo $ticket_number ?>">History Changes</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-xxl-12 col-xl-12 mb-4">
                                <div class="card card-header-actions h-100">
                                    <div class="card-header text-dark">
                                        History Changes
                                    </div>
                                    <div class="card-body">
                                        <div class="timeline timeline-xs">
                                            <!-- Timeline Item 1-->
                                            <?php foreach ($history_changes as $history_change) { ?>
                                            <div class="timeline-item">
                                                <div class="timeline-item-marker">
                                                    <div class="timeline-item-marker-text">
                                                        <?php if($history_change['minuts'] < 60){ 
                                                            echo $history_change['minuts']." mins";
                                                        } else if($history_change['minuts'] >= 60 && $history_change['minuts'] < 1400){
                                                            echo $history_change['hours']." hours";
                                                        } else if($history_change['minuts'] >= 1440 && $history_change['minuts'] < 525600){
                                                            echo $history_change['days']." days";
                                                        } else{
                                                            echo $history_change['years']." years";
                                                        }?>
                                                    </div>
                                                    <div class="timeline-item-marker-indicator bg-green"></div>
                                                </div>
                                                <div class="timeline-item-content">
                                                    The 
                                                    <a class="fw-bold text-dark" href="#!"><?php echo $history_change['ticket_column'] ?></a>
                                                    field has change of
                                                    <a class="fw-bold text-dark" href="#!"><?php echo $history_change['old_value'] ?></a>
                                                    to
                                                    <a class="fw-bold text-dark" href="#!"><?php echo $history_change['new_value'] ?></a>
                                                    by user
                                                    <a class="fw-bold text-dark" href="/itsm/dist/organizational-data/user-detail.php?user=<?php echo $history_change['user_id'] ?>"><?php echo $history_change['user_name'] ?></a>
                                                </div>
                                            </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>                         
                        </div>
                    </div>
                </main>
                <?php include "../../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
