<?php
session_start();
require_once('../../control/functions.php');
require_once('../../control/Database.php');
managementSession();

if (isset($_GET['ticket_number'])) {
// GET vars
    $ticket_number = $_GET['ticket_number'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$ticket = obtainTicket($conn, $ticket_number); // Obtain Ticket
// If it does not belong to the tenant or user affected different to user connected, it returns to the home page
if (($ticket['tenant_id'] <> $_SESSION['user']['default_tenant_id'] && !empty($ticket['tenant_id'])) && $ticket['affected_user_id'] <> $_SESSION['user']['user_id']) {
    header('Location:/itsm/dist/index.php');
}
$activities = obtainTicketActivities($conn, $ticket_number); // Obtain Ticket Activities
$activity_types = obtainActivityTypes($conn); // Obtain Activity Types
$groups = obtainUserGroups($conn, $_SESSION['user']['user_id']); // Obtain Ticket Activities
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Activities</title>
        <link href="../../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {
                // Check if the form has been modified
                var modified;
                $("input, select").change(function () {
                    modified = true;
                });
                $(window).on('beforeunload', function () {
                    if (modified == true) {
                        return 'Are you sure you want to leave?';
                    }
                });

                // *** Set Form ***
                // Service Request Detail
                $('#ticketNumber').html('<?php echo $ticket['ticket_number'] ?>');
                $('#button_create').val('<?php echo $ticket['ticket_id'] ?>');
                $('#selectActivityType').html('<?php
echo '<option disabled selected value="">Activity Type</option>';
foreach ($activity_types as $activity_type) {
    echo '<option value="' . $activity_type['activity_type_id'] . '">' . $activity_type['name'] . '</option>';
}
?>');
                $('#selectGroup').html('<?php
echo '<option disabled selected value="">Group</option>';
foreach ($groups as $group) {
    echo '<option value="' . $group['group_id'] . '">' . $group['name'] . '</option>';
}
?>');

                // *** Click Events *** 
                // Button: Create
                $('#button_create').on('click', function () {
                    tinyMCE.triggerSave();
                    var ticketID = $('#button_create').val();
                    var activityTypeID = $('#selectActivityType option:selected').val();
                    var dedicatedTime = $('#inputDedicatedTime').val();
                    var groupID = $('#selectGroup option:selected').val();
                    var userID = $('#selectUser option:selected').val();
                    var comment = tinyMCE.activeEditor.getContent();
                    if (activityTypeID.trim() === '') {
                        toastr.error("Enter a Activity Type");
                        $('#selectActivityType').focus();
                        return false;
                    } else if (dedicatedTime.trim() === '') {
                        toastr.error("Enter a Time");
                        $('#inputDedicatedTime').focus();
                        return false;
                    } else if (groupID.trim() === '') {
                        toastr.error("Enter a Group");
                        $('#selectGroup').focus();
                        return false;
                    } else if (userID.trim() === '') {
                        toastr.error("Enter a User");
                        $('#selectUser').focus();
                        return false;
                    } else if (comment.trim() === '') {
                        toastr.error("Enter a Comment");
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../../control/data_activities.php',
                            data: 'action=create&ticket_id=' + ticketID + '&activity_type_id=' + activityTypeID  + '&dedicated_time=' + dedicatedTime + '&group_id=' + groupID +
                                    '&user_id=' + userID + '&comment=' + comment,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                toastr.success("Activity created");
                                modified = false;
                                setTimeout(function () {
                                    location.reload();
                                }, 2000);
                            }
                        });
                    }
                });
                
                // *** Upload Images TinyMCE *** //
                function tinymce_upload_image(blobInfo, success, failure, progress) {
                    var xhr, formData;

                    xhr = new XMLHttpRequest();
                    xhr.withCredentials = false;
                    xhr.open('POST', '/itsm/dist/control/uploadImagesTinyMCE.php');

                    xhr.upload.onprogress = function (e) {
                        progress(e.loaded / e.total * 100);
                    };

                    xhr.onload = function () {
                        var json;

                        if (xhr.status === 403) {
                            failure('HTTP Error: ' + xhr.status, {remove: true});
                            return;
                        }

                        if (xhr.status < 200 || xhr.status >= 300) {
                            failure('HTTP Error: ' + xhr.status);
                            return;
                        }

                        json = JSON.parse(xhr.responseText);

                        if (!json || typeof json.location != 'string') {
                            failure('Invalid JSON: ' + xhr.responseText);
                            return;
                        }

                        success(json.location);
                    };

                    xhr.onerror = function () {
                        failure('Image upload failed due to a XHR Transport error. Code: ' + xhr.status);
                    };

                    formData = new FormData();
                    formData.append('file', blobInfo.blob(), blobInfo.filename());

                    xhr.send(formData);
                }

                function tinymce_local_image(cb, value, meta) {
                    var input = document.createElement('input');
                    input.setAttribute('type', 'file');
                    input.setAttribute('accept', 'image/*');

                    /*
                     Note: In modern browsers input[type="file"] is functional without
                     even adding it to the DOM, but that might not be the case in some older
                     or quirky browsers like IE, so you might want to add it to the DOM
                     just in case, and visually hide it. And do not forget do remove it
                     once you do not need it anymore.
                     */

                    input.onchange = function () {
                        var file = this.files[0];

                        var reader = new FileReader();
                        reader.onload = function () {
                            /*
                             Note: Now we need to register the blob in TinyMCEs image blob
                             registry. In the next release this part hopefully won't be
                             necessary, as we are looking to handle it internally.
                             */
                            var id = 'blobid' + (new Date()).getTime();
                            var blobCache = tinymce.activeEditor.editorUpload.blobCache;
                            var base64 = reader.result.split(',')[1];
                            var blobInfo = blobCache.create(id, file, base64);
                            blobCache.add(blobInfo);

                            /* call the callback and populate the Title field with the file name */
                            cb(blobInfo.blobUri(), {title: file.name});
                        };
                        reader.readAsDataURL(file);
                    };

                    input.click();
                }

                // *** Inicialize plugins ***
                $('select').selectpicker();
                tinymce.init({
                    selector: '.textareas_wysiwig',
                    skin: 'bootstrap',
                    plugins: 'lists, link, image, media, code',
                    toolbar: 'h1 h2 bold italic strikethrough blockquote bullist numlist backcolor | link image media | removeformat help code',
                    menubar: false,
                    entity_encoding: 'raw',
                    branding: false,
                    file_picker_callback: tinymce_local_image,
                    images_upload_handler: tinymce_upload_image
                });
                // Active menu
                activeMenuWithSubMenu('#menu_requests', '#collapseServiceRequests', '#menu_requests_all');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-shopping-cart"></i></div>
                                            Service Request&nbsp;<span id="ticketNumber" style="font-weight:bold;"></span>
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="all-requests.php">All Service Requests</a></li>
                                        <li class="breadcrumb-item active">Activities</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- Service Request page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link ms-0" href="request-detail.php?ticket_number=<?php echo $ticket_number ?>">Details</a>
                            <a class="nav-link active" href="activities.php?ticket_number=<?php echo $ticket_number ?>">Activities</a>
                            <a class="nav-link" href="attachments.php?ticket_number=<?php echo $ticket_number ?>">Attachments</a>
                            <a class="nav-link" href="history-changes.php?ticket_number=<?php echo $ticket_number ?>">History Changes</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-lg-5 mb-4">
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>New Activity</div>
                                        <div class="dropdown no-caret">
                                            <button class="btn btn-dark btn-sm me-2" id="button_create"><i class="fas fa-plus"></i>&nbsp;Create</button>
                                        </div>
                                    </div>
                                    <div class="collapse show" id="collapseCardNew">
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="selectActivityType">Activity Type *</label>
                                                    <select class="form-control selectBootstrap" data-live-search="true" id="selectActivityType" style="line-height:1.4">
                                                    </select>
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputDedicatedTime">Dedicated time *</label>
                                                    <input class="form-control" id="inputDedicatedTime" type="time" placeholder="Dedicated Time" value="" />
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="selectGroup">Group *</label>
                                                    <select class="form-control selectBootstrap" data-live-search="true" id="selectGroup" style="line-height:1.4">
                                                    </select>
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="selectUser">User</label>
                                                    <select class="form-control selectBootstrap" data-live-search="true" id="selectUser" style="line-height:1.4">
                                                        <option value="<?php echo $_SESSION['user']['user_id'] ?>"><?php echo $_SESSION['user']['name'] . " " . $_SESSION['user']['last_name'] ?></option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row mt-3">
                                                <div class="col-md-12">
                                                    <label class="small mb-1" for="inputComment">Comment *</label>
                                                    <textarea class="form-control textareas_wysiwig" id="inputComment" rows="5" maxlength="50"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>   
                            <div class="col-xl-7 mb-4">
                                <?php foreach ($activities as $activity) { ?>
                                    <div class="card card-collapsable card mb-4">
                                        <a class="card-header text-dark" href="#collapseCard<?php echo $activity['activity_id'] ?>" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                                            <div><?php echo $activity['name'] ?></div>
                                            <div><span></span></div>
                                            <div><span></span></div>
                                            <div><span></span></div>
                                            <div><span></span></div>
                                            <div><span><?php echo $activity['creation_date'] ?></span></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse show" id="collapseCard<?php echo $activity['activity_id'] ?>">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <label class="small mb-1" for="">Group *</label>
                                                        <input class="form-control" type="text" placeholder="Group" value="<?php echo $activity['group_name'] ?>" readonly />
                                                    </div>
                                                    <div class="col-md-4">
                                                        <label class="small mb-1" for="">User *</label>
                                                        <input class="form-control" type="text" placeholder="User" value="<?php echo $activity['user_name'] ?>" readonly />
                                                    </div>
                                                    <div class="col-md-4">
                                                        <label class="small mb-1" for="">Dedicated time *</label>
                                                        <input class="form-control" type="text" placeholder="Dedicated Time" value="<?php $hours = floor($activity['dedicated_time'] / 60);
                                $minutes = ($activity['dedicated_time'] % 60);
                                if ($hours < 10) {
                                    $hours = '0' . $hours;
                                } if ($minutes < 10) {
                                    $minutes = '0' . $minutes;
                                } echo $hours . ':' . $minutes ?>" readonly />
                                                    </div>
                                                </div>
                                                <div class="row mt-2">
                                                    <div class="col-md-12">
                                                        <label class="small mb-1" for="inputComment">Comment *</label>
                                                        <textarea class="form-control textareas_wysiwig" id="inputComment" rows="5" maxlength="50"><?php echo str_replace(array("\r", "\n"), '', html_entity_decode($activity['comment'])); ?></textarea>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>                         
                        </div>
                    </div>
                </main>
                <?php include "../../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
