<?php
session_start();
require_once('../../control/functions.php');
require_once('../../control/Database.php');
managementSession();

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$ticket_number = createTicket($conn, $_SESSION['user']['user_id'], 2, 'REQ', obtainParameterValue($conn,9), 1);
$ticket = obtainTicket($conn, $ticket_number); // Obtain Ticket
$affected_users = obtainUsersList($conn); // Obtain Affected Users List
$requestor_users = obtainUsersList($conn); // Obtain Requestor Users List
$states = obtainStatusOperationList($conn); // Obtain Status List
$urgency = obtainUrgencyList($conn); // Obtain Urgency List
$impact = obtainImpactList($conn); // Obtain Impact List
$groups = obtainGroupList($conn); // Obtain Group List
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | New Service Request</title>
        <link href="../../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {

                // *** Set Form ***
                // Service Request Detail
                $('#button_create').val('<?php echo $ticket['ticket_id'] ?>');
                $('#button_cancel').val('<?php echo $ticket['ticket_id'] ?>');
                $('#ticketNumber').html('<?php echo $ticket['ticket_number'] ?>');
                $('#inputCategory').attr('name', '<?php echo $ticket['category_id'] ?>');
                $('#inputCategory').val('<?php echo $ticket['category_name'] ?>');
                $('#selectStatus').html('<?php
echo '<option disabled selected value="">Status</option>';
foreach ($states as $status) {
    echo '<option value="' . $status['status_id'] . '">' . $status['name'] . '</option>';
}
?>');
                $('#selectStatus').val(<?php echo $ticket['status_id'] ?>);
                $('#inputTitle').val('<?php echo $ticket['title'] ?>');
                $('#inputDescription').val('<?php echo html_entity_decode($ticket['description']) ?>');
                $('#inputSolution').val('<?php echo str_replace(array("\r", "\n"), '', html_entity_decode($ticket['solution'])) ?>');
                $('#inputRejection').val('<?php echo str_replace(array("\r", "\n"), '', html_entity_decode($ticket['reject_reason'])) ?>');
                if (<?php echo $ticket['status_type_id'] ?> == 4) {
                    $('#solution').show();
                    $('#timeToSolve').show();
                    $('#rejection').hide();
                } else if (<?php echo $ticket['status_type_id'] ?> == 5) {
                    $('#solution').hide();
                    $('#timeToSolve').hide();
                    $('#rejection').show();
                } else {
                    $('#solution').hide();
                    $('#rejection').hide();
                    $('#timeToSolve').hide();
                }
                $('#selectUrgency').html('<?php
echo '<option disabled selected value="">Urgency</option>';
foreach ($urgency as $urg) {
    echo '<option value="' . $urg['urgency_id'] . '">' . $urg['name'] . '</option>';
}
?>');
                $('#selectUrgency').val(3);

                $('#selectImpact').html('<?php
echo '<option disabled selected value="">Impact</option>';
foreach ($impact as $imp) {
    echo '<option value="' . $imp['impact_id'] . '">' . $imp['name'] . '</option>';
}
?>');
                $('#selectImpact').val(3);

                $('#selectGroup').html('<?php
echo '<option disabled selected value="">Group</option>';
foreach ($groups as $group) {
    echo '<option value="' . $group['group_id'] . '">' . $group['name'] . '</option>';
}
?>');
                $('#selectAssignee').html('<?php
//foreach ($assignee_users as $assignee_user) {
//    echo '<option value="' . $assignee_user['user_id'] . '">' . $assignee_user['name'] . '</option>';
//}
?>');

                // Affected User
                $('#selectNameAffected').html('<?php
echo '<option disabled selected value="">Affected User</option>';
foreach ($affected_users as $affected) {
    echo '<option value="' . $affected['user_id'] . '">' . $affected['name'] . '</option>';
}
?>');
                $('#selectNameAffected').val(<?php echo $_SESSION['user']['user_id'] ?>);

                // Requestor User
                $('#selectNameRequestor').html('<?php
echo '<option disabled selected value="">Requestor User</option>';
foreach ($requestor_users as $requestor) {
    echo '<option value="' . $requestor['user_id'] . '">' . $requestor['name'] . '</option>';
}
?>');
                $('#selectNameRequestor').val(<?php echo $_SESSION['user']['user_id'] ?>);
                setTimeout(function () {
                    $('#selectNameAffected').change();
                    $('#selectNameRequestor').change();
                }, 100);


                // *** Click Events *** 
                // Button: Create ticket
                $('#button_create').on('click', function () {
                    tinyMCE.triggerSave();
                    var categoryID = $('#inputCategory').attr('name');
                    var categoryIDVal = $('#inputCategory').val();
                    var ticketID = $('#button_create').val();
                    var title = $('#inputTitle').val();
                    var description = tinyMCE.get("inputDescription").getContent();
                    var solution = tinyMCE.get("inputSolution").getContent();
                    var rejection = tinyMCE.get("inputRejection").getContent();
                    var timeToSolve = $('#inputTimeToSolve').val();
                    var statusID = $('#selectStatus option:selected').val();
                    var urgencyID = $('#selectUrgency option:selected').val();
                    var impactID = $('#selectImpact option:selected').val();
                    var groupID = $('#selectGroup option:selected').val();
                    var assigneeUserID = $('#selectAssignee option:selected').val();
                    var affectedUserID = $('#selectNameAffected option:selected').val();
                    var requestorUserID = $('#selectNameRequestor option:selected').val();
                    if (categoryIDVal.trim() === '') {
                        toastr.error("Enter a Category");
                        $('#inputCategory').focus();
                        return false;
                    } else if (title.trim() === '') {
                        toastr.error("Enter a Title");
                        $('#inputTitle').focus();
                        return false;
                    } else if (description.trim() === '') {
                        toastr.error("Enter a Description");
                        return false;
                    } else if (solution.trim() === '' && $('#solution').is(":visible")) {
                        var assigneeUserIDSelected = $('#selectAssignee option:selected').val();
                        if (assigneeUserIDSelected.trim() === '') {
                            toastr.error("You must enter an assignee to resolve the ticket");
                            $('#selectAssignee').focus();
                        } else {
                            toastr.error("Enter a Solution");
                        }
                        return false;
                    } else if (rejection.trim() === '' && $('#rejection').is(":visible")) {
                        var assigneeUserIDSelected = $('#selectAssignee option:selected').val();
                        if (assigneeUserIDSelected.trim() === '') {
                            toastr.error("You must enter an assignee to reject the ticket");
                            $('#selectAssignee').focus();
                        } else {
                            toastr.error("Enter a Rejection");
                        }
                        return false;
                    } else if (urgencyID.trim() === '') {
                        toastr.error("Enter a Urgency");
                        $('#selectUrgency').focus();
                        return false;
                    } else if (impactID.trim() === '') {
                        toastr.error("Enter a Impact");
                        $('#selectImpact').focus();
                        return false;
                    } else if (groupID.trim() === '') {
                        toastr.error("Enter a Group");
                        $('#selectGroup').focus();
                        return false;
                    } else if (affectedUserID.trim() === '') {
                        toastr.error("Enter a Affected User");
                        $('#selectNameAffected').focus();
                        return false;
                    } else if (requestorUserID.trim() === '') {
                        toastr.error("Enter a Requestor User");
                        $('#selectNameRequestor').focus();
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../../control/data_requests.php',
                            data: 'action=create&category_id=' + categoryID + '&ticket_id=' + ticketID + '&title=' + title + '&description=' + description +
                                    '&solution=' + solution + '&reject_reason=' + rejection + '&time_to_solve=' + timeToSolve + '&status_id=' + statusID +
                                    '&urgency_id=' + urgencyID + '&impact_id=' + impactID + '&group_id=' + groupID + '&assignee_user_id=' + assigneeUserID + '&affected_user_id=' + affectedUserID +
                                    '&requestor_user_id=' + requestorUserID,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                var ticketNumber = msg;
                                toastr.success("Service Request created");
                                setTimeout(function () {
                                    window.location.href = "/itsm/dist/service-operation/requests/request-detail.php?ticket_number=" + ticketNumber;
                                }, 2000);
                            }
                        });
                    }
                });

                // Button: Cancel
                $('#button_cancel').on('click', function () {
                    var ticketID = $('#button_cancel').val();
                    $.ajax({
                        type: 'POST',
                        url: '../../control/data_requests.php',
                        data: 'action=cancel&ticket_id=' + ticketID,
                        beforeSend: function () {
                        },
                        success: function (msg) {
                            toastr.success("Service Request cancelled");
                            window.location.href = "/itsm/dist/index.php";
                        }
                    });
                });

                // *** Changes Events ***
                // Change group
                $('#selectGroup').on('change', function () {
                    var groupID = $('#selectGroup').val();
                    $.ajax({
                        type: 'POST',
                        url: '../../control/data_requests.php',
                        data: 'action=updateAssigneeUsers&group_id=' + groupID,
                        beforeSend: function () {
                        },
                        success: function (msg) {
                            $('#selectAssignee').html(msg);
                            $('select').selectpicker('refresh');
                        }
                    });
                });

                // Change affected user
                $('#selectNameAffected').on('change', function () {
                    var userID = $('#selectNameAffected').val();
                    if (userID.trim() === '') {
                        $('#inputEmailAffected').val('');
                        $('#inputDepartmentAffected').val('');
                        $('#inputLocationAffected').val('');
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../../control/data_requests.php',
                            dataType: 'json',
                            cache: false,
                            data: 'action=updateTicketUserData&user_id=' + userID,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                $('#inputEmailAffected').val(msg.email);
                                $('#inputDepartmentAffected').val(msg.department);
                                $('#inputLocationAffected').val(msg.location);
                            }
                        });
                    }
                });

                // Change requestor user
                $('#selectNameRequestor').on('change', function () {
                    var userID = $('#selectNameRequestor').val();
                    if (userID.trim() === '') {
                        $('#inputEmailRequestor').val('');
                        $('#inputDepartmentRequestor').val('');
                        $('#inputLocationRequestor').val('');
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../../control/data_requests.php',
                            dataType: 'json',
                            cache: false,
                            data: 'action=updateTicketUserData&user_id=' + userID,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                $('#inputEmailRequestor').val(msg.email);
                                $('#inputDepartmentRequestor').val(msg.department);
                                $('#inputLocationRequestor').val(msg.location);
                            }
                        });
                    }
                });

                // Change status
                $('#selectStatus').on('change', function () {
                    var statusID = $('#selectStatus').val();
                    $.ajax({
                        type: 'POST',
                        url: '../../control/data_requests.php',
                        dataType: 'json',
                        cache: false,
                        data: 'action=getStatusType&status_id=' + statusID,
                        beforeSend: function () {
                        },
                        success: function (msg) {
                            if (msg == 4) {
                                $('#solution').show();
                                $('#timeToSolve').show();
                                $('#rejection').hide();
                            } else if (msg == 5) {
                                $('#solution').hide();
                                $('#timeToSolve').hide();
                                $('#rejection').show();
                            } else {
                                $('#solution').hide();
                                $('#rejection').hide();
                                $('#timeToSolve').hide();
                            }
                        }
                    });
                });

                // Update Priority
                $('#selectUrgency').on('change', function () {
                    $('#inputTicketPriority').val((parseFloat($('#selectUrgency').val()) + parseFloat($('#selectImpact').val())) - 1);
                });
                $('#selectImpact').on('change', function () {
                    $('#inputTicketPriority').val((parseFloat($('#selectUrgency').val()) + parseFloat($('#selectImpact').val())) - 1);
                });
                
                // *** Upload Images TinyMCE *** //
                function tinymce_upload_image(blobInfo, success, failure, progress) {
                    var xhr, formData;

                    xhr = new XMLHttpRequest();
                    xhr.withCredentials = false;
                    xhr.open('POST', '/itsm/dist/control/uploadImagesTinyMCE.php');

                    xhr.upload.onprogress = function (e) {
                        progress(e.loaded / e.total * 100);
                    };

                    xhr.onload = function () {
                        var json;

                        if (xhr.status === 403) {
                            failure('HTTP Error: ' + xhr.status, {remove: true});
                            return;
                        }

                        if (xhr.status < 200 || xhr.status >= 300) {
                            failure('HTTP Error: ' + xhr.status);
                            return;
                        }

                        json = JSON.parse(xhr.responseText);

                        if (!json || typeof json.location != 'string') {
                            failure('Invalid JSON: ' + xhr.responseText);
                            return;
                        }

                        success(json.location);
                    };

                    xhr.onerror = function () {
                        failure('Image upload failed due to a XHR Transport error. Code: ' + xhr.status);
                    };

                    formData = new FormData();
                    formData.append('file', blobInfo.blob(), blobInfo.filename());

                    xhr.send(formData);
                }

                function tinymce_local_image(cb, value, meta) {
                    var input = document.createElement('input');
                    input.setAttribute('type', 'file');
                    input.setAttribute('accept', 'image/*');

                    /*
                     Note: In modern browsers input[type="file"] is functional without
                     even adding it to the DOM, but that might not be the case in some older
                     or quirky browsers like IE, so you might want to add it to the DOM
                     just in case, and visually hide it. And do not forget do remove it
                     once you do not need it anymore.
                     */

                    input.onchange = function () {
                        var file = this.files[0];

                        var reader = new FileReader();
                        reader.onload = function () {
                            /*
                             Note: Now we need to register the blob in TinyMCEs image blob
                             registry. In the next release this part hopefully won't be
                             necessary, as we are looking to handle it internally.
                             */
                            var id = 'blobid' + (new Date()).getTime();
                            var blobCache = tinymce.activeEditor.editorUpload.blobCache;
                            var base64 = reader.result.split(',')[1];
                            var blobInfo = blobCache.create(id, file, base64);
                            blobCache.add(blobInfo);

                            /* call the callback and populate the Title field with the file name */
                            cb(blobInfo.blobUri(), {title: file.name});
                        };
                        reader.readAsDataURL(file);
                    };

                    input.click();
                }

                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();
                tinymce.init({
                    selector: '.textareas_wysiwig',
                    skin: 'bootstrap',
                    plugins: 'lists, link, image, media, code, fullscreen',
                    toolbar: 'h1 h2 bold italic strikethrough blockquote bullist numlist backcolor | link image media | removeformat help code fullscreen',
                    menubar: false,
                    entity_encoding: 'raw',
                    branding: false,
                    relative_urls: false,
                    remove_script_host: false,
                    convert_urls: true,
                    file_picker_callback: tinymce_local_image,
                    images_upload_handler: tinymce_upload_image
                });

                // Active menu
                activeMenuWithSubMenu('#menu_requests', '#collapseServiceRequests', '#menu_new_request');
            });

        </script>

        <!-- Modal Select Category -->
    <div class="modal fade" id="modalSelectCategory" data-bs-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Select Category</h5>
                    <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="mb-3">
                        <?php
                        $categories = categories($conn, 'Service Requests');
                        ?>
                        <?php foreach ($categories as $category) { ?>
                            <ul class="category">
                                <li><?php echo $category['name'] ?></li>
                                <?php
                                if (!empty($category['subcategory'])) {
                                    echo viewsubcat($category['subcategory']);
                                }
                                ?>
                            </ul>
                        <?php } ?>
                    </div>
                </div>
                <!--                <div class="modal-footer">
                                    <button class="btn btn-danger" type="button" data-bs-dismiss="modal">Cancel</button>
                                    <button class="btn btn-dark" type="button" id="button_add_favourite">Add</button>
                                </div>-->
            </div>
        </div>
    </div>

    <!-- END Added by Dev -->

</head>
<body>
    <?php include "../../skel/header.php" ?>
    <div id="layoutSidenav">
        <div id="layoutSidenav_nav">
            <nav class="sidenav shadow-right sidenav-dark">
                <?php include "../../skel/menu.php" ?>
            </nav>
        </div>
        <div id="layoutSidenav_content">
            <main>
                <header class="page-header page-header-dark bg-dark mb-4">
                    <div class="container-xl px-4">
                        <div class="page-header-content pt-0">
                            <div class="row align-items-center justify-content-between">
                                <div class="col-auto mt-4">
                                    <h1 class="page-header-title">
                                        <div class="page-header-icon"><i class="fas fa-shopping-cart"></i></div>
                                        <span class="d-none d-sm-none d-md-block">Service Request&nbsp;</span><span id="ticketNumber" style="font-weight:bold;"></span>
                                        <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                    </h1>
                                </div>
                            </div>

                            <nav class="mt-4 rounded" aria-label="breadcrumb">
                                <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                    <li class="breadcrumb-item"><a href="all-requests.php">Service Requests</a></li>
                                    <li class="breadcrumb-item active">New Service Request</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </header>
                <!-- Main page content-->
                <div class="container-xl px-4 mt-4">
                    <div class="row">
                        <div class="col-xl-8 mb-4">
                            <!-- Account details card-->
                            <div class="card card-header-actions">
                                <div class="card-header text-dark"><div>Details</div>
                                    <div>
                                        <button class="btn btn-dark btn-sm me-2" id="button_create"><i class="fas fa-plus"></i>&nbsp;Create</button>
                                        <button class="btn btn-dark btn-sm" id="button_cancel"><i class="fas fa-trash-alt"></i>&nbsp;Cancel</button>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <form>
                                        <!-- Form Group (Category)-->
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-9">
                                                <label class="small mb-1" for="inputCategory">Category *</label>
                                                <div class="input-group">
                                                    <input class="form-control" id="inputCategory" type="text" placeholder="Category" value="" readonly />
                                                    <span class="input-group-text" id="modalSelectCategory"><a href="#"><i class="fas fa-stream text-dark" data-bs-toggle="modal" data-bs-target="#modalSelectCategory"></i></a></span>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <label class="small mb-1" for="selectStatus">Status *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectStatus" style="line-height:1.4">
                                                </select>
                                            </div>
                                        </div>
                                        <!-- Form Group (Title)-->
                                        <div class="mb-3">
                                            <label class="small mb-1" for="inputTitle">Title *</label>
                                            <input class="form-control" id="inputTitle" type="text" placeholder="Title" value="" />
                                        </div>
                                        <!-- Form Group (Description)-->
                                        <div class="mb-3">
                                            <label class="small mb-1" for="inputDescription">Description *</label>
                                            <textarea class="form-control textareas_wysiwig" id="inputDescription" rows="5" maxlength="50"></textarea>
                                        </div>
                                        <div class="mb-3" id="solution">
                                            <label class="small mb-1" for="inputSolution">Solution *</label>
                                            <textarea class="form-control textareas_wysiwig" id="inputSolution" rows="5" maxlength="50"></textarea>
                                        </div>
                                        <div class="mb-3" id="rejection">
                                            <label class="small mb-1" for="inputRejection">Reason of rejection *</label>
                                            <textarea class="form-control textareas_wysiwig" id="inputRejection" rows="5" maxlength="50"></textarea>
                                        </div>
                                        <div class="col-md-4" id="timeToSolve">
                                            <label class="small mb-1" for="inputTimeToSolve">Time to solve *</label>
                                            <input class="form-control" id="inputTimeToSolve" type="time" placeholder="Time to solve" value="00:00" />
                                        </div>
                                        <!-- Form Row        -->
                                        <div class="row gx-3 mb-3">
                                            <!-- Form Group (Urgency)-->
                                            <div class="col-md-5">
                                                <label class="small mb-1" for="selectUrgency">Urgency *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectUrgency" style="line-height:1.4">
                                                </select>
                                            </div>
                                            <!-- Form Group (Impact)-->
                                            <div class="col-md-5">
                                                <label class="small mb-1" for="selectImpact">Impact *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectImpact" style="line-height:1.4">
                                                </select>
                                            </div>
                                            <!-- Form Group (Priority)-->
                                            <div class="col-md-2">
                                                <label class="small mb-1" for="inputTicketPriority">Priority</label>
                                                <input class="form-control" id="inputTicketPriority" type="text" placeholder="Priority" value="" readonly />
                                            </div>
                                        </div>
                                        <!-- Form Group (Group and Assignee)-->
                                        <div class="row gx-3 mb-3">
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="selectGroup">Group *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectGroup" style="line-height:1.4">
                                                </select>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="selectAssignee">Assignee</label>
                                                <select class="form-control selectBootstrap" data-allow-clear="true" data-live-search="true" id="selectAssignee" style="line-height:1.4">
                                                </select>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <!-- Affected User card-->
                            <div class="card mb-4">
                                <div class="card-header text-dark"><i class="fas fa-user"></i>&nbsp;Affected User</div>
                                <div class="card-body">
                                    <form>
                                        <!-- Form Row-->
                                        <div class="row gx-3 mb-3">
                                            <!-- Form Group (first name)-->
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="selectNameAffected">Name *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectNameAffected" style="line-height:1.4">
                                                </select>
                                            </div>
                                            <!-- Form Group (last name)-->
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputEmailAffected">E-Mail</label>
                                                <input class="form-control" id="inputEmailAffected" type="text" placeholder="E-Mail" value="" readonly />
                                            </div>
                                        </div>
                                        <!-- Form Row        -->
                                        <div class="row gx-3 mb-3">
                                            <!-- Form Group (organization name)-->
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputLocationAffected">Location</label>
                                                <input class="form-control" id="inputLocationAffected" type="text" placeholder="Location" value="" readonly />
                                            </div>
                                            <!-- Form Group (location)-->
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputDepartmentAffected">Department</label>
                                                <input class="form-control" id="inputDepartmentAffected" type="text" placeholder="Department" value="" readonly />
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <!-- Requestor User card-->
                            <div class="card mb-4">
                                <div class="card-header text-dark"><i class="fas fa-user"></i>&nbsp;Requestor User</div>
                                <div class="card-body">
                                    <form>
                                        <!-- Form Row-->
                                        <div class="row gx-3 mb-3">
                                            <!-- Form Group (first name)-->
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="selectNameRequestor">Name *</label>
                                                <select class="form-control selectBootstrap" data-live-search="true" id="selectNameRequestor" style="line-height:1.4">
                                                </select>
                                            </div>
                                            <!-- Form Group (last name)-->
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputEmailRequestor">E-Mail</label>
                                                <input class="form-control" id="inputEmailRequestor" type="text" placeholder="E-Mail" value="" readonly />
                                            </div>
                                        </div>
                                        <!-- Form Row        -->
                                        <div class="row gx-3 mb-3">
                                            <!-- Form Group (organization name)-->
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputLocationRequestor">Location</label>
                                                <input class="form-control" id="inputLocationRequestor" type="text" placeholder="Location" value="" readonly />
                                            </div>
                                            <!-- Form Group (location)-->
                                            <div class="col-md-6">
                                                <label class="small mb-1" for="inputDepartmentRequestor">Department</label>
                                                <input class="form-control" id="inputDepartmentRequestor" type="text" placeholder="Department" value="" readonly />
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>                            
                    </div>
                </div>
            </main>
            <?php include "../../skel/footer.html" ?>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <script src="../../js/scripts.js"></script>

    <!-- Added by Dev -->

    <!-- Bootstrap Select Plugin -->
    <link rel="stylesheet" href="../../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
    <script src="../../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

    <!-- *** Replace styles -->
    <style>
        .btn.dropdown-toggle.btn-light{
            line-height: 1.4;
            background-color:white;
            border-color: #c5ccd6;
        }
    </style>
    <!-- END Added by Dev -->

</body>
</html>
