<?php
//session_start();

$conn = new Database();

$user_favorites = obtainUserFavorites($conn, $_SESSION['user']['user_id']);
$user_permissions = obtainUserRolePermissions($conn, $_SESSION['user']['user_id']);
$alerts_unread = obtainNumberAlertsUnread($conn, $_SESSION['user']['user_id']);
?>
<div class="sidenav-menu">
    <div class="nav accordion" id="accordionSidenav">
        <!-- Sidenav Menu Heading (Account)-->
        <!-- * * Note: * * Visible only on and above the sm breakpoint-->
        <div class="sidenav-menu-heading d-sm-none">Account</div>
        <!-- Sidenav Link (Alerts)-->
        <!-- * * Note: * * Visible only on and above the sm breakpoint-->
        <a class="nav-link d-sm-none" href="/itsm/dist/alerts.php">
            <div class="nav-link-icon"><i data-feather="bell"></i></div>
            Alerts
            <?php if($alerts_unread > 0){ echo '<span class="badge bg-danger text-light ms-auto"> '.$alerts_unread.' New! </span>';} ?>
        </a>
        <a class="nav-link d-sm-none" href="/itsm/dist/favorites.php">
            <div class="nav-link-icon"><i data-feather="star"></i></div>
            Favorites
        </a>

        <!-- Sidenav Menu Heading (Core)-->        
        <div class="sidenav-menu-heading">Home</div>
        <!-- Sidenav Accordion (Favorites)-->
        <a class="nav-link collapsed" href="javascript:void(0);" data-bs-toggle="collapse" data-bs-target="#collapseFavorites" aria-expanded="false" aria-controls="collapseDashboards">
            <div class="nav-link-icon"><i class="fas fa-star"></i></div>
            &nbsp;Favorites
            <div class="sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
        </a>
        <div class="collapse" id="collapseFavorites" data-bs-parent="#accordionSidenav">
            <nav class="sidenav-menu-nested nav accordion" id="accordionSidenavPages">
                <?php
                foreach ($user_favorites as $user_favorite) {
                    echo '<a class="nav-link" href="'.$user_favorite['link'].'">'.$user_favorite['name'].'</a>';
                }
                ?>
            </nav>
        </div>
        <a class="nav-link" href="/itsm/dist/index.php" id="menu_home">
            <div class="nav-link-icon"><i class="fas fa-chart-line"></i></div>
            &nbsp;Home
        </a>
        
        <?php if($user_permissions['dashboard_executive'] == 1){ ?>
        <a class="nav-link" href="/itsm/dist/dashboard-executive.php" id="menu_dashboard_executive">
            <div class="nav-link-icon"><i class="fas fa-chart-line"></i></div>
            &nbsp;Executive 
        </a>
        <?php } ?>

        <?php if($user_permissions['all_incidents'] == 1 
                || $user_permissions['inc_assigned_to_me'] == 1
                || $user_permissions['inc_assigned_to_my_groups'] == 1
                || $user_permissions['new_incident'] == 1
                || $user_permissions['all_requests'] == 1
                || $user_permissions['req_assigned_to_me'] == 1
                || $user_permissions['req_assigned_to_my_groups'] == 1
                || $user_permissions['new_request'] == 1){ ?>
        <!-- Sidenav Heading (Service Operation)-->
        <div class="sidenav-menu-heading">Service Operation</div>
        
        <?php if($user_permissions['all_incidents'] == 1 
                || $user_permissions['inc_assigned_to_me'] == 1
                || $user_permissions['inc_assigned_to_my_groups'] == 1
                || $user_permissions['new_incident'] == 1 
                || $user_permissions['my_incidents'] == 1){ ?>
        <!-- Sidenav Accordion (Incidents)-->
        <a class="nav-link collapsed" href="javascript:void(0);" data-bs-toggle="collapse" data-bs-target="#collapseIncidents" aria-expanded="false" aria-controls="collapseDashboards" id="menu_incidents">
            <div class="nav-link-icon"><i class="fas fa-exclamation-triangle"></i></div>
            &nbsp;Incidents
            <div class="sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
        </a>
        <div class="collapse" id="collapseIncidents" data-bs-parent="#accordionSidenav">
            <nav class="sidenav-menu-nested nav accordion" id="accordionSidenavPages">
                <?php if($user_permissions['all_incidents'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/incidents/all-incidents.php" id="menu_incidents_all">All Incidents</a><?php } ?>
                <?php if($user_permissions['inc_assigned_to_me'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/incidents/incidents-assigned-me.php" id="menu_incidents_assigned_to_me">Assigned to me</a><?php } ?>
                <?php if($user_permissions['inc_assigned_to_my_groups'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/incidents/incidents-assigned-groups.php" id="menu_incidents_assigned_to_my_groups">Assigned to my groups</a><?php } ?>
                <?php if($user_permissions['new_incident'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/incidents/new-incident.php" id="menu_new_incident">New Incident</a><?php } ?>
                <?php if($user_permissions['my_incidents'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/incidents/my-incidents.php" id="menu_my_incidents">My Incidents</a><?php } ?>
            </nav>
        </div>
        <?php } ?>
        
        <?php if($user_permissions['all_requests'] == 1
                || $user_permissions['req_assigned_to_me'] == 1
                || $user_permissions['req_assigned_to_my_groups'] == 1
                || $user_permissions['new_request'] == 1 
                || $user_permissions['my_requests'] == 1){ ?>
        <!-- Sidenav Accordion (Service Requests)-->
        <a class="nav-link collapsed" href="javascript:void(0);" data-bs-toggle="collapse" data-bs-target="#collapseServiceRequests" aria-expanded="false" aria-controls="collapseDashboards" id="menu_requests">
            <div class="nav-link-icon"><i class="fas fa-shopping-cart"></i></div>
            &nbsp;Service Requests
            <div class="sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
        </a>
        <div class="collapse" id="collapseServiceRequests" data-bs-parent="#accordionSidenav">
            <nav class="sidenav-menu-nested nav accordion" id="accordionSidenavPages">
                <?php if($user_permissions['all_requests'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/requests/all-requests.php" id="menu_requests_all">All Requests</a><?php } ?>
                <?php if($user_permissions['req_assigned_to_me'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/requests/requests-assigned-me.php" id="menu_requests_assigned_to_me">Assigned to me</a><?php } ?>
                <?php if($user_permissions['req_assigned_to_my_groups'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/requests/requests-assigned-groups.php" id="menu_requests_assigned_to_my_groups">Assigned to my groups</a><?php } ?>
                <?php if($user_permissions['new_request'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/requests/new-request.php" id="menu_new_request">New Request</a><?php } ?>
                <?php if($user_permissions['my_requests'] == 1){ ?><a class="nav-link" href="/itsm/dist/service-operation/requests/my-requests.php" id="menu_my_requests">My Requests</a><?php } ?>
            </nav>
        </div>
        <?php } ?>
        <?php } ?>
        
        <?php if($user_permissions['knowledge_management'] == 1 
                || $user_permissions['articles'] == 1){ ?>
        <!-- Sidenav Heading (Knowledge Management)-->
        <div class="sidenav-menu-heading">Knowledge Management</div>
        
        <?php if($user_permissions['knowledge_management'] == 1){ ?>
        <!-- Sidenav Accordion ()-->
        <a class="nav-link" href="/itsm/dist/knowledge-management/knowledge-base.php" id="menu_knowledge_base">
            <div class="nav-link-icon"><i class="fas fa-question-circle"></i></div>
            &nbsp;Knowledge Base
        </a>
        <?php } ?>
        
         <?php if($user_permissions['articles'] == 1){ ?>
        <!-- Sidenav Accordion ()-->
        <a class="nav-link" href="/itsm/dist/knowledge-management/articles.php" id="menu_articles">
            <div class="nav-link-icon"><i class="fas fa-file-invoice"></i></div>
            &nbsp;Articles
        </a>
        <?php } ?>
        <?php } ?>
        
        <?php if($user_permissions['time_management'] == 1){ ?>
        <!-- Sidenav Heading (Time Management)-->
        <div class="sidenav-menu-heading">Time Management</div>
        
        <!-- Sidenav Accordion ()-->
        <a class="nav-link" href="/itsm/dist/time-management/time-management.php" id="menu_time_management">
            <div class="nav-link-icon"><i class="fas fa-user-clock"></i></div>
            Time Management
        </a>
        <?php } ?>
        
        <?php if($user_permissions['users'] == 1
                || $user_permissions['groups'] == 1
                || $user_permissions['departments'] == 1
                || $user_permissions['locations'] == 1){ ?>
        <!-- Sidenav Heading (Organizational data)-->
        <div class="sidenav-menu-heading">Organizational Data</div>
        
        <?php if($user_permissions['users'] == 1){ ?>
        <!-- Sidenav Accordion (Users)-->
        <a class="nav-link" href="/itsm/dist/organizational-data/users.php" id="menu_users">
            <div class="nav-link-icon"><i class="fas fa-user"></i></div>
            &nbsp;Users
        </a>
        <?php } ?>
        
        <?php if($user_permissions['groups'] == 1){ ?>
        <!-- Sidenav Accordion (Groups)-->
        <a class="nav-link" href="/itsm/dist/organizational-data/groups.php" id="menu_groups">
            <div class="nav-link-icon"><i class="fas fa-users"></i></div>
            Groups
        </a>
        <?php } ?>
        
        <?php if($user_permissions['departments'] == 1){ ?>
        <!-- Sidenav Accordion (Departments)-->
        <a class="nav-link" href="/itsm/dist/organizational-data/departments.php" id="menu_departments">
            <div class="nav-link-icon"><i class="fas fa-building"></i></div>
            &nbsp;Departments
        </a>
        <?php } ?>
        
        <?php if($user_permissions['locations'] == 1){ ?>
        <!-- Sidenav Accordion (Locations)-->
        <a class="nav-link" href="/itsm/dist/organizational-data/locations.php" id="menu_locations">
            <div class="nav-link-icon"><i class="fas fa-map-marked-alt"></i></div>
            Locations
        </a>
        <?php } ?>
        <?php } ?>
        
        <?php if($user_permissions['categories'] == 1
                || $user_permissions['urgency'] == 1
                || $user_permissions['impact'] == 1
                || $user_permissions['priorities'] == 1
                || $user_permissions['status'] == 1
                || $user_permissions['activity_types'] == 1
                || $user_permissions['origins'] == 1
                || $user_permissions['sla'] == 1){ ?>
        <!-- Sidenav Heading (Master data)-->
        <div class="sidenav-menu-heading">Master Data</div>
        
        <?php if($user_permissions['categories'] == 1){ ?>
        <!-- Sidenav Accordion (Categories)-->
        <a class="nav-link collapsed" href="javascript:void(0);" data-bs-toggle="collapse" data-bs-target="#collapseCategories" aria-expanded="false" aria-controls="collapseDashboards" id="menu_categories">
            <div class="nav-link-icon"><i class="fas fa-project-diagram"></i></div>
            Categories
            <div class="sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
        </a>
        <div class="collapse" id="collapseCategories" data-bs-parent="#accordionSidenav">
            <nav class="sidenav-menu-nested nav accordion" id="accordionSidenavPages">
                <a class="nav-link" href="/itsm/dist/master-data/categories/incident-categories.php" id="menu_categories_incidents">Incidents</a>
                <a class="nav-link" href="/itsm/dist/master-data/categories/service-request-categories.php" id="menu_categories_service_requests">Service Requests</a>
                <a class="nav-link" href="/itsm/dist/master-data/categories/knowledge-base-categories.php" id="menu_categories_knowledge_base">Knowledge Base</a>
            </nav>
        </div>
        <?php } ?>
        
        <?php if($user_permissions['urgency'] == 1){ ?>
        <!-- Sidenav Accordion (Urgency)-->
        <a class="nav-link" href="/itsm/dist/master-data/urgency.php" id="menu_urgency">
            <div class="nav-link-icon"><i class="fas fa-exclamation-circle"></i></div>
            &nbsp;Urgency
        </a>
        <?php } ?>
        
        <?php if($user_permissions['impact'] == 1){ ?>
        <!-- Sidenav Accordion (Impact)-->
        <a class="nav-link" href="/itsm/dist/master-data/impact.php" id="menu_impact">
            <div class="nav-link-icon"><i class="fas fa-car-crash"></i></div>
            Impact
        </a>
        <?php } ?>
        
        <?php if($user_permissions['priorities'] == 1){ ?>
        <!-- Sidenav Accordion (Priorities)-->
        <a class="nav-link" href="/itsm/dist/master-data/priorities.php" id="menu_priorities">
            <div class="nav-link-icon"><i class="fas fa-table"></i></div>
            &nbsp;Priorities
        </a>
        <?php } ?>
        
        <?php if($user_permissions['status'] == 1){ ?>
        <!-- Sidenav Accordion (States)-->
        <a class="nav-link" href="/itsm/dist/master-data/status.php" id="menu_status">
            <div class="nav-link-icon"><i class="fas fa-heartbeat"></i></div>
            Status
        </a>
        <?php } ?>
        
        <?php if($user_permissions['activity_types'] == 1){ ?>
        <!-- Sidenav Accordion (Activity Types)-->
        <a class="nav-link" href="/itsm/dist/master-data/activity-types.php" id="menu_activity_types">
            <div class="nav-link-icon"><i class="fas fa-thumbtack"></i></div>
            &nbsp;Activity Types
        </a>
        <?php } ?>        
        
        <?php if($user_permissions['origins'] == 1){ ?>
        <!-- Sidenav Accordion (Origins)-->
        <a class="nav-link" href="/itsm/dist/master-data/origins.php" id="menu_origins">
            <div class="nav-link-icon"><i class="fas fa-tags"></i></div>
            Origins
        </a>
        <?php } ?>        
        <?php if($user_permissions['sla'] == 1){ ?>
        <!-- Sidenav Accordion (SLA)-->
        <a class="nav-link" href="/itsm/dist/master-data/sla.php" id="menu_sla">
            <div class="nav-link-icon"><i class="fas fa-business-time"></i></div>
            SLA
        </a>
        <?php } ?>  
        <?php } ?>
        
        <?php if($user_permissions['tenants'] == 1
                || $user_permissions['inbound_mails'] == 1
                || $user_permissions['parameters'] == 1
                || $user_permissions['notifications'] == 1
                || $user_permissions['news'] == 1
                || $user_permissions['alerts'] == 1
                || $user_permissions['tasks'] == 1
                || $user_permissions['import'] == 1
                || $user_permissions['settings'] == 1){ ?>
        <!-- Sidenav Heading (Admin)-->
        <div class="sidenav-menu-heading">Admin</div>
        
        <?php if($user_permissions['tenants'] == 1){ ?>
        <!-- Sidenav Accordion (Tenants)-->
        <a class="nav-link" href="/itsm/dist/admin/tenants.php" id="menu_tenants">
            <div class="nav-link-icon"><i class="fas fa-users-slash"></i></div>
            Tenants
        </a>
        <?php } ?>
        
        <?php if($user_permissions['inbound_mails'] == 1){ ?>
        <!-- Sidenav Accordion (Parameters)-->
        <a class="nav-link" href="/itsm/dist/admin/inbound-mails.php" id="menu_inbound_mails">
            <div class="nav-link-icon"><i class="fas fa-envelope"></i></div>
            Inbound mails
        </a>
        <?php } ?>
        
        <?php if($user_permissions['parameters'] == 1){ ?>
        <!-- Sidenav Accordion (Parameters)-->
        <a class="nav-link" href="/itsm/dist/admin/parameters.php" id="menu_parameters">
            <div class="nav-link-icon"><i class="fas fa-sliders-h"></i></div>
            Parameters
        </a>
        <?php } ?>
        
        <?php if($user_permissions['notifications'] == 1){ ?>
        <!-- Sidenav Accordion (Notifications)-->
        <a class="nav-link" href="/itsm/dist/admin/notifications.php" id="menu_notifications">
            <div class="nav-link-icon"><i class="fas fa-envelope-open-text"></i></div>
            Notifications
        </a>
        <?php } ?>
        
        <?php if($user_permissions['news'] == 1){ ?>
        <!-- Sidenav Accordion (News)-->
        <a class="nav-link" href="/itsm/dist/admin/news.php" id="menu_news">
            <div class="nav-link-icon"><i class="fas fa-newspaper"></i></div>
            News
        </a>
        <?php } ?>
        
        <?php if($user_permissions['alerts'] == 1){ ?>
        <!-- Sidenav Accordion (Alerts)-->
        <a class="nav-link" href="/itsm/dist/admin/alerts.php" id="menu_alerts">
            <div class="nav-link-icon"><i class="fas fa-bell"></i></div>
            &nbsp;Alerts
        </a>
        <?php } ?>
        
        <?php if($user_permissions['categories'] == 1){ ?>
        <!-- Sidenav Accordion (Tasks)-->
        <a class="nav-link" href="/itsm/dist/admin/tasks.php" id="menu_tasks">
            <div class="nav-link-icon"><i class="fas fa-tasks"></i></div>
            Tasks
        </a>
        <?php } ?>
        
        <?php if($user_permissions['tasks'] == 1){ ?>
        <!-- Sidenav Accordion (Roles)-->
        <a class="nav-link" href="/itsm/dist/admin/roles.php" id="menu_roles">
            <div class="nav-link-icon"><i class="fas fa-user-tag"></i></div>
            Roles
        </a>
        <?php } ?>
        
        <?php if($user_permissions['import'] == 1){ ?>
        <!-- Sidenav Accordion (Import)-->
        <a class="nav-link" href="/itsm/dist/admin/import.php" id="menu_import">
            <div class="nav-link-icon"><i class="fas fa-file-import"></i></div>
            Import
        </a>
        <?php } ?>
        
        <?php if($user_permissions['settings'] == 1){ ?>
        <!-- Sidenav Accordion (Settings)-->
        <a class="nav-link" href="/itsm/dist/admin/settings.php" id="menu_settings">
            <div class="nav-link-icon"><i class="fas fa-tools"></i></div>
            Settings
        </a>
        <?php } ?>
        
        <?php } ?>
        
    </div>
</div>
<!-- Sidenav Footer-->
<div class="sidenav-footer">
    <div class="sidenav-footer-content">
        <div class="sidenav-footer-subtitle"></div>
        <div class="sidenav-footer-title"></div>
    </div>
</div>
