<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

if (isset($_GET['time_management'])) {
// GET vars
    $time_management_id = $_GET['time_management'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$day_time_management = obtainRowData($conn, 'time_management', 'time_management_id', $time_management_id); // Get Time Management
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Time Management Details</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                // Check if the form has been modified
                var modified;
                $("input, select").change(function () {
                    modified = true;
                });
                $(window).on('beforeunload', function () {
                    if (modified == true) {
                        return 'Are you sure you want to leave?';
                    }
                });

                // *** Set Form ***
                // Time Management Detail
                $('#button_save').val('<?php echo $day_time_management['time_management_id'] ?>');

                // *** Click Events *** 
                // Button: Save changes
                $('#button_save').on('click', function () {
                    var id = $('#button_save').val();
                    var entryDate = $('#inputEntry').val();
                    var exitDate = $('#inputExit').val();
                    if ($('#inputTeleworking').is(":checked")) {
                        var teleworking = 1;
                    } else {
                        var teleworking = 0;
                    }

                    if (entryDate.trim() === '') {
                        toastr.error("Enter a Entry Date");
                        $('#inputEntry').focus();
                        return false;
                    } else if (exitDate.trim() === '') {
                        toastr.error("Enter a Exit Date");
                        $('#inputExit').focus();
                        return false;
                    } else if (exitDate < entryDate) {
                        toastr.error("Exit date cannot be earlier than entry date");
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: '../control/data_time_management.php',
                            data: 'action=update&id=' + id + '&entry_date=' + entryDate + '&exit_date=' + exitDate + '&teleworking=' + teleworking,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                modified = false;
                                window.location.href = "/itsm/dist/time-management/time-management.php";

                            }
                        });
                    }
                });

                // *** Changes Events ***


                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();

                // Active menu
                activeMenu('#menu_time_managements');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-user-clock"></i></div>
                                            Time Management&nbsp;
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="time-management.php">Time Managements</a></li>
                                        <li class="breadcrumb-item active">Details</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- User page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link active ms-0" href="time-management-detail.php?time_management=<?php echo $time_management_id ?>">Details</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-xl-12 mb-4">
                                <!-- Account details card-->
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>Details</div>
                                        <div class="dropdown no-caret">
                                            <button class="btn btn-dark btn-sm me-2" id="button_save"><i class="fas fa-save"></i>&nbsp;Save</button>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <form>
                                            <div class="row mt-2">
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="inputEntry">Entry</label><span></span>
                                                    <input class="form-control" id="inputEntry" type="time" step="1" value="<?php echo date('H:i:s', strtotime($day_time_management['entry_date'])) ?>" />
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="inputExit">Exit</label>
                                                    <input class="form-control" id="inputExit" type="time" step="1" 
                                                           value="<?php if (!empty($day_time_management['exit_date'])) { echo date('H:i:s', strtotime($day_time_management['exit_date'])); } ?>" />
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="inputTeleworking">Teleworking</label>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" id="inputTeleworking" type="checkbox" <?php if ($day_time_management['teleworking'] == 1) { echo 'checked'; } ?> />
                                                        <label class="form-check-label" for="inputTeleworking"></label>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>                           
                        </div>
                    </div>
                </main>
            <?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
