<?php
session_start();
require_once('../control/functions.php');
require_once('../control/Database.php');
managementSession();

if (isset($_GET['ticket_number'])) {
// GET vars
    $ticket_number = $_GET['ticket_number'];
}

// Database Connection
$conn = new Database();
checkRoleUser($conn, $_SESSION['user']['role_id']);

$times_management = obtainTotalTime($conn, $_SESSION['user']['user_id']);
$day_times_management = obtainTotalTimeDay($conn, $_SESSION['user']['user_id'], date('Y-m-d'));
$date_checked_out = date('Y-m-d');
$sql = "SELECT t.* FROM time_management t WHERE user_id = ".$_SESSION['user']['user_id']." AND exit_date IS NULL and date = '$date_checked_out' ORDER BY entry_date DESC LIMIT 1";
$stmt = selectStmt($conn, $sql);
$current_clock_in_out = $stmt->fetch(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Time Management</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/itsm/dist/resources/images/system/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="../js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <!-- WYSIWYG Editor -->
        <script src="https://cdn.tiny.cloud/1/2ie1kpfyxhjqtu5tiwa9r2lemq5622l0c6tczghhlzc6ns52/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

        <script>
            $(document).ready(function () {
                // Check if the form has been modified
                var modified;
                $("input, select").change(function () {
                    modified = true;
                });
                $(window).on('beforeunload', function () {
                    if (modified == true) {
                        return 'Are you sure you want to leave?';
                    }
                });

                // *** Set Form ***
                // Incident Detail


                // *** Click Events *** 
                // Button: Entry
                $('#button_entry').on('click', function () {
                    if ($('#inputTeleworking').is(":checked")) {
                        var teleworking = 1;
                    } else {
                        var teleworking = 0;
                    }
                    $.ajax({
                        type: 'POST',
                        url: '../control/data_time_management.php',
                        data: 'action=entry&teleworking=' + teleworking,
                        beforeSend: function () {
                        },
                        success: function (msg) {
                            console.log(msg);
                            modified = false;
                            location.reload();

                        }
                    });
                });
                
                // Delete/Deactive row
                $('#deleteBtnModal').on('click', function () {
                    var targetTable = "time_management";
                    var colName = "time_management_id";
                    var id = $('#deleteBtnModal').val();
                    if (deleteRow && id.length > 0) {
                        $.ajax({
                            type: 'POST',
                            url: '../control/data_time_management.php',
                            data: 'action=delete&target_table=' + targetTable + '&col_name=' + colName + '&id=' + id,
                            success: function (msg) {console.log(msg);
                            location.reload();
                            }
                        });
                    }
                });

                // Entry clock
                startTime();

                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();


                // Active menu
                activeMenu('#menu_time_management');
            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "../skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-dark">
                    <?php include "../skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-user-clock"></i></div>
                                            Time Management&nbsp;
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <div class="row">
                            <div class="col-lg-4 mb-4">
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div><?php  if(!empty($current_clock_in_out)){ echo "Clock out"; }else{ echo "Clock in"; } ?></div>
                                        <div class="dropdown no-caret">
                                            <button class="btn btn-success btn-sm me-2" id="button_entry"><?php  if(!empty($current_clock_in_out)){ ?><i class="fas fa-door-closed"></i>&nbsp;Exit<?php }else{ ?><i class="fas fa-door-open"></i>&nbsp;Entry<?php  } ?></button>
                                        </div>
                                    </div>
                                    <div class="collapse show" id="collapseCardNew">
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-md-4 text-center">
                                                    <label class="small mb-1 fw-bolder" for="inputEntry"><?php echo date('l') ?>&nbsp;<span id="clock" ></span></label><br>
                                                    <label class="small mb-1" for=""><?php echo date('d M Y') ?></label>
                                                </div>
                                                <div class="col-md-4">
                                                    &nbsp;
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="small mb-1" for="inputTeleworking">Teleworking</label>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" id="inputTeleworking" type="checkbox">
                                                        <label class="form-check-label" for="inputTeleworking"></label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-8 mb-4">
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>Current day</div>
                                    </div>
                                    <div class="collapse show" id="collapseCardNew">
                                        <div class="card-body text-center">
                                            <?php foreach ($day_times_management as $day_time_management) { ?>
                                                <div class="row mt-2">
                                                    <div class="col-md-2">
                                                        <label class="small mb-1" for="inputEdit">Actions</label><br>
                                                        <a class="btn btn-dark btn-sm me-2 mt-2" href="time-management-detail.php?time_management=<?php echo $day_time_management['time_management_id'] ?>"><i class="fas fa-edit"></i></a>
                                                        <a class="btn btn-dark btn-sm me-2 mt-2" href="#!" data-bs-toggle="modal" data-bs-target="#deleteModal" onclick="deleteRow('<?php echo $day_time_management['time_management_id'] ?>')"><i class="fas fa-trash-alt"></i></a>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <label class="small mb-1" for="inputEntry">Entry</label><span></span>
                                                        <input class="form-control" id="inputEntry" type="time" step="1" value="<?php echo date('H:i:s', strtotime($day_time_management['entry_date'])) ?>" readonly />
                                                    </div>
                                                    <div class="col-md-3">
                                                        <label class="small mb-1" for="inputExit">Exit</label>
                                                        <input class="form-control" id="inputExit" type="time" step="1" value="<?php if(!empty($day_time_management['exit_date'])){ echo date('H:i:s', strtotime($day_time_management['exit_date'])); } ?>" readonly />
                                                    </div>
                                                    <div class="col-md-3">
                                                        <label class="small mb-1" for="inputTotalTime">Total</label>
                                                        <input class="form-control" id="totalTime" type="time" step="1" value="<?php echo gmdate("H:i:s", $day_time_management['total_time']); ?>" readonly />
                                                    </div>
                                                    <div class="col-md-1">
                                                        <label class="small mb-1" for="inputTeleworking">Telework</label>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" id="inputTeleworking" type="checkbox" <?php if ($day_time_management['teleworking'] == 1){ echo 'checked';} ?> disabled />
                                                        <label class="form-check-label" for="inputTeleworking"></label>
                                                    </div>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12 mb-4">

                                <div class="card card-collapsable card mb-4">
                                    <a class="card-header text-dark" href="#collapseCard" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                                        <div>Past days</div>
                                        <div class="card-collapsable-arrow">
                                            <i class="fas fa-chevron-down"></i>
                                        </div>
                                    </a>
                                    <div class="collapse show" id="collapseCard">
                                        <div class="card-body">
                                            <?php foreach ($times_management as $time_management) { ?>
                                                <div class="row">
                                                    <div class="col-md-12 text-center">
                                                        <label class="small mb-1 fw-bolder" for="inputTMEntry"><?php echo date('l M', strtotime($time_management['date'])) . " - " . $time_management['date'] ?></label>
                                                    </div>
                                                </div>
                                                <div class="row mb-4">
                                                    <div class="col-md-3">
                                                        <label class="small mb-1" for="inputTMEntry">Entry</label>
                                                        <input class="form-control" id="inputTMEntry" type="time" step="1" value="<?php echo date('H:i:s', strtotime($time_management['entry_date'])) ?>" readonly />
                                                    </div>
                                                    <div class="col-md-3">
                                                        <label class="small mb-1" for="inputTMExit">Exit</label>
                                                        <input class="form-control" id="inputTMExit" type="time" step="1" value="<?php echo date('H:i:s', strtotime($time_management['exit_date'])) ?>" readonly />
                                                    </div>
                                                    <div class="col-md-3">
                                                        <label class="small mb-1" for="inputTMTotal">Total</label>
                                                        <input class="form-control" id="inputTMTotal" type="time" step="1" value="<?php echo gmdate("H:i:s", $time_management['total_time']); ?>" readonly />
                                                    </div>
                                                    <div class="col-md-3">
                                                        <label class="small mb-1" for="inputTeleworking">Teleworking</label>
                                                    <div class="form-check form-switch">
                                                        <input class="form-check-input" id="inputTeleworking" type="checkbox" <?php if ($time_management['teleworking'] == 1){ echo 'checked';} ?> disabled />
                                                        <label class="form-check-label" for="inputTeleworking"></label>
                                                    </div>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>                         
                        </div>
                    </div>
                </main>
            </div>
        </div>
<?php include "../skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="../js/scripts.js"></script>

        <!-- Added by Dev -->

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        
        <!-- Actions -->

        <!-- Delete Modal-->
        <div class="modal fade" id="deleteModal" tabindex="-1" alert="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" alert="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Delete clock in/out</h5>
                        <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">Do you want to delete the clock in/out?</div>
                    <div class="modal-footer">
                        <button class="btn btn-dark" type="button" id="deleteBtnModal" data-bs-dismiss="modal">Delete</button>
                        <button class="btn btn-outline-dark" type="button" data-bs-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- END Added by Dev -->

    </body>
</html>
