<?php
session_start();
require_once('../itsm/dist/control/functions.php');
require_once('../itsm/dist/control/Database.php');
managementSession();
// Database Connection
$conn = new Database();

$paramBotTitle = obtainParameterValue($conn, 13);
$paramBotAboutText = obtainParameterValue($conn, 14);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Settings </title>
        <link href="css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/portal/resources/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>
        <!-- BEGIN Added by Dev -->
        <script src="/itsm/dist/js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***
                // Account Detail
                $('#button_save').val('<?php echo $_SESSION['user']['user_id'] ?>');
                $('#inputAccountName').val('<?php echo $_SESSION['user']['name'] ?>');
                $('#inputAccountLastName').val('<?php echo $_SESSION['user']['last_name'] ?>');
                $('#inputAccountEmail').val('<?php echo $_SESSION['user']['email'] ?>');
                $('#inputAccountManager').val('<?php echo $_SESSION['user']['manager_user'] ?>');
                $('#inputAccountDepartment').val('<?php echo $_SESSION['user']['department_name'] ?>');
                $('#inputAccountLocation').val('<?php echo $_SESSION['user']['location_name'] ?>');


                // *** Click Events ***
                // Button: Upload new image

                $("#upload").on('click', function () {
                    var formData = new FormData();
                    var files = $('#image')[0].files[0];
                    formData.append('file', files);
                    $.ajax({
                        url: '../itsm/dist/control/data_settings.php',
                        type: 'post',
                        data: formData,
                        contentType: false,
                        processData: false,
                        beforeSend: function () {
                        },
                        success: function (response) {
                            toastr.success("Update picture");
                            setTimeout(function () {
                                location.reload();
                            }, 2000);
                        }
                    });
                    return false;
                });

                // Active bot animation
                animationBot();

            });
        </script>

        <!-- END Added by Dev -->
    </head>
    <body>
        <?php include "skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-light">
                    <?php include "skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i data-feather="settings"></i></div>
                                            Account
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <div class="row">
                            <div class="col-xl-8 mb-4">
                                <!-- Account details card-->
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>Details</div>
                                    </div>
                                    <div class="card-body">
                                        <form>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputAccountName">Name</label>
                                                    <input class="form-control" id="inputAccountName" type="text" placeholder="Name" value="" readonly />
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputAccountLastName">Last Name</label>
                                                    <input class="form-control" id="inputAccountLastName" type="text" placeholder="Last Name" value="" readonly />
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputAccountEmail">E-Mail</label>
                                                    <input class="form-control" id="inputAccountEmail" type="text" placeholder="E-Mail" value="" readonly />
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputAccountManager">Manager</label>
                                                    <input class="form-control" id="inputAccountManager" type="text" placeholder="Manager" value="" readonly />
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputAccountLocation">Department</label>
                                                    <input class="form-control" id="inputAccountLocation" type="text" placeholder="Department" value="" readonly />
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="small mb-1" for="inputAccountDepartment">Location</label>
                                                    <input class="form-control" id="inputAccountDepartment" type="text" placeholder="Location" value="" readonly />
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <!-- Profile picture card-->
                                <div class="card mb-4 mb-xl-0">
                                    <div class="card-header text-dark">Profile Picture</div>
                                    <div class="card-body text-center">
                                        <!-- Profile picture image-->
                                        <img class="img-account-profile rounded-circle mb-2" src="<?php echo "/itsm/dist/resources/" . $_SESSION['user']['picture'] ?>" alt="" />
                                        <!-- Profile picture help block-->
                                        <div class="small font-italic text-muted mb-4">JPG or PNG no larger than 5 MB</div>
                                        <!-- Profile picture upload button-->
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image" id="image" accept="image/png, image/gif, image/jpeg">
                                            <button class="btn btn-dark mt-4" type="button" id="upload">Upload new image</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include "skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/scripts.js"></script>
        <script src='https://cdn.jsdelivr.net/npm/botman-web-widget@0/build/js/widget.js'></script>
        <script>
            var botmanWidget = {
                frameEndpoint: '../botman/chat_frame.html',
                chatServer: '../botman/exys.php?user= <?php echo $_SESSION['user']['user_id'] ?>',
                dateTimeFormat: 'd/m/yy HH:MM',
                title: '<?php echo $paramBotTitle ?>',
                introMessage: 'Hi <?php echo $_SESSION['user']['name'] . $_SESSION['user']['last_name'] ?>, I am Exys, how can I help you?<br><br>If you have any questions, type <strong>help</strong> to see the list of commands',
                placeholderText: 'Send a message...',
                bubbleBackground: '#FFFFFF',
                mainColor: '#212832',
                headerTextColor: '#fff',
                bubbleAvatarUrl: 'resources/chatbot.png',
                aboutLink: '',
                aboutText: '<?php echo $paramBotAboutText ?>'
            };
        </script>
    </body>
</html>
