<?php
session_start();

require_once('../itsm/dist/control/Database.php');
require_once('../itsm/dist/control/functions.php');

managementSession();

if (isset($_GET['alert'])) {
// GET vars
    $alert_id = $_GET['alert'];
}

// Database Connection
$conn = new Database();

$paramBotTitle = obtainParameterValue($conn, 13);
$paramBotAboutText = obtainParameterValue($conn, 14);

$alert = obtainRowData($conn, 'alerts', 'alert_id', $alert_id); // Get Alert
//
// Read alert
$sql = "UPDATE users_alerts SET unread = 0 WHERE user_id = " . $_SESSION['user']['user_id'] . " AND alert_id = " . $alert['alert_id'];
$stmt = execStmt($conn, $sql);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS | Alert Details</title>
        <link href="css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/portal/resources/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="/itsm/dist/js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {
                // *** Set Form ***
                // Alert Detail
                $('#alertName').html('<?php echo "&laquo;" . $alert['title'] . "&raquo;" ?>');
                $('#inputTitle').val('<?php echo $alert['title'] ?>');
                $('#inputDescription').val('<?php echo str_replace(array("\r", "\n"), '', html_entity_decode($alert['description'])) ?>');
                if (<?php echo $alert['public'] ?> == 1) {
                    $('#inputPublic').prop('checked', true);
                } else {
                    $('#inputPublic').prop('checked', false);
                }
                $('#inputCreationDate').val('<?php echo str_replace(' ', 'T', $alert['creation_date']) ?>');

                // Active bot animation
                animationBot();

            });
        </script>

        <!-- END Added by Dev -->

    </head>
    <body>
        <?php include "skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-light">
                    <?php include "skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark bg-dark mb-4">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-0">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-bell"></i></div>
                                            Alert&nbsp;<span id="alertName" class="d-none d-sm-none d-md-block" style="font-weight:bold;"></span>
                                            <div><a class="dropdown-item" href="#!" data-bs-toggle="modal" data-bs-target="#modalAddFavourite"><i class="far fa-star fa-xs" style="color: #fff;"></i></a></div>
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="alerts.php">Alerts</a></li>
                                        <li class="breadcrumb-item active">Details</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-4">
                        <!-- User page navigation-->
                        <nav class="nav nav-borders text-dark">
                            <a class="nav-link active ms-0" href="alert-detail.php?alert=<?php echo $alert_id ?>">Details</a>
                        </nav>
                        <hr class="mt-0 mb-4" />
                        <div class="row">
                            <div class="col-xl-12 mb-4">
                                <!-- Account details card-->
                                <div class="card card-header-actions">
                                    <div class="card-header text-dark"><div>Alert Details</div>
                                    </div>
                                    <div class="card-body">
                                        <form>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-12">
                                                    <label class="small mb-1" for="inputTitle">Title *</label>
                                                    <input class="form-control" id="inputTitle" type="text" placeholder="Title" value="" readonly />
                                                </div>
                                            </div>
                                            <div class="row gx-3 mb-3">
                                                <div class="col-md-12">
                                                    <label class="small mb-1" for="inputDescription">Description</label>
                                                    <textarea class="form-control" id="inputDescription" rows="5" maxlength="50" readonly></textarea>
                                                </div>
                                            </div>                                            
                                        </form>
                                    </div>
                                </div>
                            </div>                           
                        </div>
                    </div>
                </main>
                <?php include "skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/scripts.js"></script>

        <!-- Added by Dev -->
        <script src='https://cdn.jsdelivr.net/npm/botman-web-widget@0/build/js/widget.js'></script>
        <script>
            var botmanWidget = {
                frameEndpoint: '../botman/chat_frame.html',
                chatServer: '../botman/exys.php?user= <?php echo $_SESSION['user']['user_id'] ?>',
                dateTimeFormat: 'd/m/yy HH:MM',
                title: '<?php echo $paramBotTitle ?>',
                introMessage: 'Hi <?php echo $_SESSION['user']['name'] . $_SESSION['user']['last_name'] ?>, I am Exys, how can I help you?<br><br>If you have any questions, type <strong>help</strong> to see the list of commands',
                placeholderText: 'Send a message...',
                bubbleBackground: '#FFFFFF',
                mainColor: '#212832',
                headerTextColor: '#fff',
                bubbleAvatarUrl: 'resources/chatbot.png',
                aboutLink: '',
                aboutText: '<?php echo $paramBotAboutText ?>'
            };
        </script>
        <!-- *** Replace styles -->
        <style>
            .btn.dropdown-toggle.btn-light{
                line-height: 1.4;
                background-color:white;
                border-color: #c5ccd6;
            }
        </style>
        <!-- END Added by Dev -->

    </body>
</html>
