<?php
session_start();
require_once('../itsm/dist/control/functions.php');
require_once('../itsm/dist/control/Database.php');
managementSession();
// Database Connection
$conn = new Database();

$paramBotTitle = obtainParameterValue($conn, 13);
$paramBotAboutText = obtainParameterValue($conn, 14);

$alerts = obtainUserUnreadAlerts($conn, $_SESSION['user']['user_id']);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS Portal | Alerts </title>
        <link href="css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/portal/resources/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="/itsm/dist/js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {

                $('#search_ticket').keyup(function () {
                    var input, filter, cards, cardContainer, h3, title, i;
                    input = document.getElementById("search_ticket");
                    filter = input.value.toUpperCase();
                    cardContainer = document.getElementById("myItems");
                    cards = cardContainer.getElementsByClassName("col-card");
                    for (i = 0; i < cards.length; i++) {
                        title = cards[i].querySelector(".card-body h6.card-text");
                        if (title.innerText.toUpperCase().indexOf(filter) > -1) {
                            cards[i].style.display = "";
                        } else {
                            cards[i].style.display = "none";
                        }
                    }
                });

                $('input[type=search]').on('search', function () {
                    $('#myItems').children().show();
                });

                // Delete/Deactive row
                $('#deleteBtnModal').on('click', function () {
                    var targetTable = "users_alerts";
                    var colName = "alert_id";
                    var id = $('#deleteBtnModal').val();
                    if (deleteRow && id.length > 0) {
                        $.ajax({
                            type: 'POST',
                            url: '../itsm/dist/control/data_user_alerts.php',
                            data: 'action=delete&target_table=' + targetTable + '&col_name=' + colName + '&alert_id=' + id,
                            success: function (msg) {
                                toastr.success("Alert deleted");
                                setTimeout(function () {
                                    location.reload();
                                }, 2000);
                            }
                        });
                    }
                });

                // Active bot animation
                animationBot();

            });
        </script>

        <!-- END Added by Dev -->
    </head>
    <body class="nav-fixed">
        <?php include "skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-light">
                    <?php include "skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark page-header-dark bg-dark">
                        <div class="container-xl-fluid px-4">
                            <div class="page-header-content pt-4">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-bell"></i></div>
                                            Alerts
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl-fluid px-4 mt-2">
                        <div class="card">
                            <div class="card-header border-bottom d-none">
                            </div>
                            <div class="card-body">
                                <div class="row justify-content-center"">
                                    <div class="col-xxl-4 col-xl-4">
                                        <input class="form-control" type="search" placeholder="Search by alert title..." aria-label="Search" id="search_ticket">
                                    </div>
                                </div>
                                <div class="row mt-4" id="myItems">
                                    <?php foreach ($alerts as $alert) { ?>
                                        <div class="col-xxl-3 col-xl-3 mb-4 animated--fade-in-up col-card">
                                            <div class="card">
                                                <div class="card-header d-none">
                                                </div>
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-xxl-3 col-xl-3 mb-4 fs-8 text-center">
                                                            <div class="row">
                                                                <div class="col bg-<?php echo $alert['color'] ?> rounded">
                                                                    <p class="card-text"><div class="bg-<?php echo $alert['color'] ?>"><?php echo $alert['icon'] ?></div></p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xxl-9 col-xl-9 mb-2 fs-8">
                                                            <div class="row">
                                                                <div class="col-12">
                                                                    <h6 class="card-text">Creation Date: <span class="fw-bolder"><?php echo date('d-m-y H:i', strtotime($alert['creation_date'])) ?></span></h6>
                                                                </div>                                                        
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-12">
                                                                    <h6 class="card-text">Title: <span class="fw-bolder"><?php echo $alert['title'] ?></span></h6>
                                                                </div>                                                        
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row mt-0">
                                                        <div class="col text-center">
                                                            <a href="alert-detail.php?alert=<?php echo $alert['alert_id'] ?>" class="btn btn-dark lift">Details</a>                                           
                                                        </div>
                                                        <div class="col text-center">
                                                            <a href="#" class="btn btn-dark" data-bs-toggle="modal" data-bs-target="#deleteModal" onclick="deleteRow('<?php echo $alert['alert_id'] ?>')"><i class="fas fa-trash-alt fa-1x text-black-300"></i>&nbsp;Delete</a>                                           
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include "skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/bundle.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/litepicker.js"></script>
        <script src='https://cdn.jsdelivr.net/npm/botman-web-widget@0/build/js/widget.js'></script>
        <script src='https://cdn.jsdelivr.net/npm/botman-web-widget@0/build/js/widget.js'></script>
        <script>
                                                                var botmanWidget = {
                                                                    frameEndpoint: '../botman/chat_frame.html',
                                                                    chatServer: '../botman/exys.php?user= <?php echo $_SESSION['user']['user_id'] ?>',
                                                                    dateTimeFormat: 'd/m/yy HH:MM',
                                                                    title: '<?php echo $paramBotTitle ?>',
                                                                    introMessage: 'Hi <?php echo $_SESSION['user']['name'] . $_SESSION['user']['last_name'] ?>, I am Exys, how can I help you?<br><br>If you have any questions, type <strong>help</strong> to see the list of commands',
                                                                    placeholderText: 'Send a message...',
                                                                    bubbleBackground: '#FFFFFF',
                                                                    mainColor: '#212832',
                                                                    headerTextColor: '#fff',
                                                                    bubbleAvatarUrl: 'resources/chatbot.png',
                                                                    aboutLink: '',
                                                                    aboutText: '<?php echo $paramBotAboutText ?>'
                                                                };
        </script>

        <!-- Delete Modal-->
        <div class="modal fade" id="deleteModal" tabindex="-1" alert="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" alert="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Delete Alert</h5>
                        <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">Do you want to delete the alert?</div>
                    <div class="modal-footer">
                        <button class="btn btn-dark" type="button" id="deleteBtnModal" data-bs-dismiss="modal">Delete</button>
                        <button class="btn btn-outline-dark" type="button" data-bs-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>

    </body>
</html>
