<?php
session_start();
require_once('../itsm/dist/control/functions.php');
require_once('../itsm/dist/control/Database.php');
managementSession();
// Database Connection
$conn = new Database();

$paramBotTitle = obtainParameterValue($conn, 13);
$paramBotAboutText = obtainParameterValue($conn, 14);

// News
$news = obtainActiveNewsPortal($conn);

// KPIs
$kpi_my_inc_open = numMyticketsOpen($conn, $_SESSION['user']['user_id'], 1);
$kpi_my_req_open = numMyticketsOpen($conn, $_SESSION['user']['user_id'], 2);
$kpi_my_inc_closed = numMyticketsClosed($conn, $_SESSION['user']['user_id'], 1);
$kpi_my_req_closed = numMyticketsClosed($conn, $_SESSION['user']['user_id'], 2);

$last_marking = lastMarking($conn, $_SESSION['user']['user_id']);

$top_my_incidents = topMyCategories($conn, 1, $_SESSION['user']['user_id'], 3);
$top_my_requests = topMyCategories($conn, 2, $_SESSION['user']['user_id'], 3);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS Portal | Home </title>
        <link href="css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/portal/resources/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="/itsm/dist/js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <script>
            $(document).ready(function () {
                $('#my_inc_open').text('<?php echo $kpi_my_inc_open . " open"; ?>'); // My Incidents Open
                $('#my_req_open').text('<?php echo $kpi_my_req_open . " open"; ?>'); // My Requests Open
                $('#my_inc_closed').text('<?php echo $kpi_my_inc_closed . " closed"; ?>'); // My Incidents Closed
                $('#my_req_closed').text('<?php echo $kpi_my_req_closed . " closed"; ?>'); // My Requests Closed
                $('#tm_last_marking').text('<?php echo "Last marking: " . $last_marking['date']; ?>'); // Last Marking
                $('#tm_entry').text('<?php echo "Entry: " . $last_marking['date']; ?>'); // Entry
                $('#tm_exit').text('<?php echo "Exit: " . $last_marking['date']; ?>'); // Exit

                // Active bot animation
                animationBot();                

                // Active menu
                activeMenu('#menu_home');
            });
        </script>

        <!-- END Added by Dev -->
    </head>
    <body class="nav-fixed">
        <?php include "skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-light">
                    <?php include "skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark page-header-dark bg-dark pb-10">
                        <div class="container-xl px-4">
                            <div class="page-header-content pt-4">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <?php echo "Hello " . $_SESSION['user']['name'] . "!"; ?>
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl px-4 mt-n10">
                        <?php foreach ($news as $new) { ?>
                            <div class="row">
                                <div class="col-xxl-12 col-xl-12 mb-4">
                                    <div class="card card-collapsable card h-100 bg-info">
                                        <a class="card-header text-dark collapsed" href="#collapseCard<?php echo $new['new_id'] ?>" data-bs-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                                            <div><i class="fas fa-newspaper"></i>&nbsp;<?php echo $new['title'] ?></div>
                                            <div class="card-collapsable-arrow">
                                                <i class="fas fa-chevron-down"></i>
                                            </div>
                                        </a>
                                        <div class="collapse" id="collapseCard<?php echo $new['new_id'] ?>">
                                            <div class="card-body">
                                                <div class="col-xl-4 col-xxl-12 mt-2"><?php echo $new['description']; ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                        <!-- KPIs -->
                        <div class="row">
                            <div class="col-lg-6 col-xl-3 mb-4">
                                <div class="card bg-primary text-white h-100">
                                    <div class="card-body">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="me-3">
                                                <div class="text-white-75 small">My Incidents</div>
                                                <div class="text-lg fw-bold" id="my_inc_open"></div>
                                                <div class="text-lg fw-bold" id="my_inc_closed"></div>
                                            </div>
                                            <i class="fas fa-exclamation-triangle feather-xl text-white-50"></i>
                                        </div>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between small">
                                        <a class="text-white stretched-link" href="my-incidents.php">View List</a>
                                        <div class="text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-xl-3 mb-4">
                                <div class="card bg-success text-white h-100">
                                    <div class="card-body">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="me-3">
                                                <div class="text-white-75 small">My Requests</div>
                                                <div class="text-lg fw-bold" id="my_req_open"></div>
                                                <div class="text-lg fw-bold" id="my_req_closed"></div>
                                            </div>
                                            <i class="fas fa-shopping-cart feather-xl text-white-50"></i>
                                        </div>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between small">
                                        <a class="text-white stretched-link" href="my-requests.php">View List</a>
                                        <div class="text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-xl-6 mb-4">
                                <div class="card bg-secondary text-white h-100">
                                    <div class="card-body">
                                        <div class="d-flex justify-content-between align-items-center">
                                            <div class="me-3">
                                                <div class="text-white-75 small">Time Management</div>
                                                <div class="text-lg fw-bold" id="tm_last_marking"></div>
                                                <div class="text-lg fw-bold" id=""><span id="tm_entry"></span> | <span id="tm_exit"></span></div>
                                            </div>
                                            <i class="fas fa-user-clock feather-xl text-white-50"></i>
                                        </div>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between small">
                                        <a class="text-white stretched-link" href="time-management.php">View List</a>
                                        <div class="text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Charts -->
                        <div class="row">
                            <div class="col-xl-6 mb-4">
                                <div class="card card-header-actions h-100">
                                    <div class="card-header text-dark">
                                        TOP 3 My Incidents
                                    </div>
                                    <div class="card-body">
                                        <div class="row flow-offset-1 text-center">
                                            <?php foreach ($top_my_incidents as $category) { ?>
                                                <div class="col-xs-6 col-md-4">
                                                    <div class="product tumbnail thumbnail-3"><img class="img-max-width" src="/itsm/dist/resources/<?php echo $category['picture'] ?>" alt="">
                                                        <div class="caption">
                                                            <h6><?php echo $category['category'] ?></h6><span class="price">
                                                                <span class="price sale">Total: <?php echo $category['total'] ?></span>
                                                        </div>
                                                    </div> </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-6 mb-4">
                                <div class="card card-header-actions h-100">
                                    <div class="card-header text-dark">
                                        TOP 3 My Requests
                                    </div>
                                    <div class="card-body">
                                        <div class="row flow-offset-1 text-center">
                                            <?php foreach ($top_my_requests as $category) { ?>
                                                <div class="col-xs-6 col-md-4">
                                                    <div class="product tumbnail thumbnail-3"><img class="img-max-width" src="/itsm/dist/resources/<?php echo $category['picture'] ?>" alt="">
                                                        <div class="caption">
                                                            <h6><?php echo $category['category'] ?></h6><span class="price">
                                                                <span class="price sale">Total: <?php echo $category['total'] ?></span>
                                                        </div>
                                                    </div> </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </main>
                <?php include "skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/bundle.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/litepicker.js"></script>
        <script src='https://cdn.jsdelivr.net/npm/botman-web-widget@0/build/js/widget.js'></script>
        <script>
            var botmanWidget = {
                frameEndpoint: '../botman/chat_frame.html',
                chatServer: '../botman/exys.php?user= <?php echo $_SESSION['user']['user_id'] ?>',
                dateTimeFormat: 'd/m/yy HH:MM',
                title: '<?php echo $paramBotTitle ?>',
                introMessage: 'Hi <?php echo $_SESSION['user']['name'] . $_SESSION['user']['last_name'] ?>, I am Exys, how can I help you?<br><br>If you have any questions, type <strong>help</strong> to see the list of commands',
                placeholderText: 'Send a message...',
                bubbleBackground: '#FFFFFF',
                mainColor: '#212832',
                headerTextColor: '#fff',
                bubbleAvatarUrl: 'resources/chatbot.png',
                aboutLink: '',
                aboutText: '<?php echo $paramBotAboutText ?>'
            };
        </script>
    </body>
</html>
