<?php
session_start();
require_once('../itsm/dist/control/functions.php');
require_once('../itsm/dist/control/Database.php');
managementSession();
// Database Connection
$conn = new Database();

$paramBotTitle = obtainParameterValue($conn, 13);
$paramBotAboutText = obtainParameterValue($conn, 14);

if (isset($_GET['ticket'])) {
// GET vars
    $ticket_number = $_GET['ticket'];
}

$ticket = obtainTicket($conn, $ticket_number); // Obtain Ticket
$activities = obtainTicketActivitiesPortal($conn, $ticket_number); // Obtain Ticket Activities
$attachments = obtainTicketAttachments($conn, $ticket_number); // Obtain Ticket Attachments
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS Portal | My Incidents </title>
        <link href="css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/portal/resources/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="/itsm/dist/js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {

                $('#addCommentBtnModal').val('<?php echo $ticket['ticket_id'] ?>');
                $('#addAttachmentBtnModal').val('<?php echo $ticket['ticket_id'] ?>');

                // Add comment
                $(document).ready(function () {
                    $('#addCommentBtnModal').on('click', function () {
                        var comment = $('#inputAddComment').val();
                        var userID = <?php echo $_SESSION['user']['user_id'] ?>;
                        var id = $('#addCommentBtnModal').val();
                        if (comment.trim() === '') {
                            toastr.error("Enter a Comment");
                            $('#inputAddComment').focus();
                            return false;
                        } else {
                            $.ajax({
                                type: 'POST',
                                url: 'data_portal.php',
                                data: 'action=addComment&comment=' + comment + '&user_id=' + userID + '&id=' + id,
                                success: function (msg) {
                                    console.log(msg);
                                    $('.btn-close').click();
                                    toastr.success("Comment added");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                }
                            });
                        }
                    });

                    // Add attachment
                    $('#addAttachmentBtnModal').on('click', function () {
                        var name = $('#inputName').val();
                        var formData = new FormData();
                        var files = $('#image')[0].files[0];
                        formData.append('file', files);
                        if (name.trim() === '') {
                            toastr.error("Enter a Name");
                            $('#inputName').focus();
                            return false;
                        } else if (files == undefined) {
                            toastr.error("Select a file");
                            $('#image').focus();
                            return false;
                        } else {
                            $.ajax({
                                url: 'data_portal.php?action=addAttachment&name=' + name + '&ticket_id=<?php echo $ticket['ticket_id'] ?>',
                                type: 'post',
                                data: formData,
                                contentType: false,
                                processData: false,
                                beforeSend: function () {
                                },
                                success: function (msg) {
                                    $('.btn-close').click();
                                    toastr.success("Document uploaded");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                }
                            });
                        }
                        return false;
                    });

                    // Delete attachment
                    $('#deleteBtnModal').on('click', function () {
                        var targetTable = "attachments";
                        var colName = "attachment_id";
                        var id = $('#deleteBtnModal').val();
                        if (deleteRow && id.length > 0) {
                            $.ajax({
                                type: 'POST',
                                url: 'data_portal.php',
                                data: 'action=delete&target_table=' + targetTable + '&col_name=' + colName + '&id=' + id,
                                success: function (msg) {
                                    toastr.success("Attachment deleted");
                                    setTimeout(function () {
                                        location.reload();
                                    }, 2000);
                                }
                            });
                        }
                    });
                });

                // Active bot animation
                animationBot();

                // Active menu
                activeMenu('#menu_my_incidents');
            });
        </script>

        <!-- END Added by Dev -->
    </head>
    <body class="nav-fixed">
        <?php include "skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-light">
                    <?php include "skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark page-header-dark bg-primary">
                        <div class="container-xl-fluid px-4">
                            <div class="page-header-content pt-4">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon">
                                                <a href="my-incidents.php" class="page-header-title"><i class="fas fa-arrow-circle-left"></i></a>
                                            </div>
                                        </h1>
                                    </div>
                                    <div class="col mt-4 d-flex justify-content-center">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-exclamation-triangle"></i></div>
                                            <span class="fw-bold"><?php echo $ticket['ticket_number']; ?></span>
                                        </h1>
                                    </div>
                                    <div class="col mt-4">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl-fluid px-4 mt-2">
                        <div class="card">
                            <div class="card-header border-bottom">
                                <ul class="nav nav-tabs card-header-tabs" id="cardTab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="details-tab" href="#details" data-bs-toggle="tab" role="tab" aria-controls="details" aria-selected="true">Details</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="activities-tab" href="#activities" data-bs-toggle="tab" role="tab" aria-controls="activities" aria-selected="false">Activities</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="attachments-tab" href="#attachments" data-bs-toggle="tab" role="tab" aria-controls="attachments" aria-selected="false">Attachments</a>
                                    </li>
                                </ul> 
                            </div>
                            <div class="card-body">
                                <div class="tab-content" id="cardTabContent">
                                    <div class="tab-pane fade show active" id="details" role="tabpanel" aria-labelledby="details-tab">
                                        <div class="row text-center">
                                            <div class="col-md-6 mb-2">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Details
                                                    </div>
                                                    <div class="card-body d-none d-sm-none d-md-block">
                                                        <div class="row text-center gx-3">
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span>Creation Date</span></p>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <p class="card-text"><span>End Date</span></p>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span>Status</span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-center gx-3">
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo date('d-m-y H:i', strtotime($ticket['creation_date'])) ?></span></p>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <p class="card-text"><span class="fw-bolder"><?php
                                                                        if (!empty($ticket['end_date'])) {
                                                                            echo date('d-m-y', strtotime($ticket['end_date']));
                                                                        }
                                                                        ?></span></p>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo $ticket['status'] ?></span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-center gx-3 mt-3">
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span>Urgency</span></p>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <p class="card-text"><span>Origin</span></p>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span>Tenant</span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-center gx-3">
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo $ticket['urgency'] ?></span></p>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo $ticket['origin_name'] ?></span></p>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo $ticket['tenant'] ?></span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-start gx-3 mt-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span>Title</span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-start gx-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo $ticket['title'] ?></span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-start gx-3 mt-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span>Description</span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-start gx-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo html_entity_decode($ticket['description']) ?></span></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="card-body d-block d-sm-none">
                                                        <div class="row text-center gx-3">
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span>Creation Date<br></span><span class="fw-bolder"><?php echo date('d-m-y H:i', strtotime($ticket['creation_date'])) ?></span></p>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <p class="card-text"><span>End Date</span><br><span class="fw-bolder"><?php
                                                                        if (!empty($ticket['end_date'])) {
                                                                            echo date('d-m-y', strtotime($ticket['end_date']));
                                                                        }
                                                                        ?></span></p>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span>Status</span><br><span class="fw-bolder"><?php echo $ticket['status'] ?></span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-center gx-3 mt-3">
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span>Urgency</span><br><span class="fw-bolder"><?php echo $ticket['urgency'] ?></span></p>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <p class="card-text"><span>Origin</span><br><span class="fw-bolder"><?php echo $ticket['origin_name'] ?></span></p>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <p class="card-text"><span>Tenant</span><br><span class="fw-bolder"><?php echo $ticket['tenant'] ?></span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-start gx-3 mt-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span>Title</span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-start gx-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo $ticket['title'] ?></span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-start gx-3 mt-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span>Description</span></p>
                                                            </div>
                                                        </div>
                                                        <div class="row text-start gx-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo html_entity_decode($ticket['description']) ?></span></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3 mb-2">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Category
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="row text-center gx-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><img class="img-fluid img-max-width" src="/itsm/dist/resources/<?php echo $ticket['category_picture'] ?>"/></p>
                                                            </div>
                                                        </div>    
                                                        <div class="row text-center gx-3">
                                                            <div class="col-md-12">
                                                                <p class="card-text"><span class="fw-bolder"><?php echo $ticket['category_name'] ?></span></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Solution
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="row text-start gx-3">
                                                            <div class="row text-start gx-3">
                                                                <div class="col-md-12">
                                                                    <p class="card-text">
                                                                        <span>
                                                                            <?php
                                                                            if (!empty($ticket['solution'])) {
                                                                                echo html_entity_decode($ticket['solution']);
                                                                            } else if (!empty($ticket['reject_reason'])) {
                                                                                echo html_entity_decode($ticket['solution']);
                                                                            }
                                                                            ?>
                                                                        </span>
                                                                    </p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="activities" role="tabpanel" aria-labelledby="details-tab">
                                        <div class="row mb-4">
                                            <div class="col-md-12 text-center">
                                                <a href="#" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#addCommentModal">Add comment</a>
                                            </div>
                                        </div>
                                        <?php foreach ($activities as $activity) { ?>
                                            <div class="row mb-2">
                                                <div class="col-md-12">
                                                    <div class="card">
                                                        <div class="card-header">
                                                            <div class="row">
                                                                <div class="col">
                                                                    <h6 class="card-title text-primary"><?php echo $activity['name'] ?></h6>
                                                                </div>
                                                                <div class="col">
                                                                    <div class="text-end"><?php echo date('d-m-y H:i', strtotime($activity['creation_date'])) ?></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="card-body">
                                                            <div class="row text-start gx-3">
                                                                <div class="col-md-12">
                                                                    <p class="card-text"><span>Comment</span></p>
                                                                </div>
                                                            </div>    
                                                            <div class="row text-start gx-3">
                                                                <div class="col-md-12">
                                                                    <p class="card-text"><span class="fw-bolder"><?php echo html_entity_decode($activity['comment']) ?></span></p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                    <div class="tab-pane fade" id="attachments" role="tabpanel" aria-labelledby="attachments-tab">
                                        <div class="row mb-4">
                                            <div class="col-md-12 text-center">
                                                <a href="#" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#addAttachmentModal">Add attachment</a>
                                            </div>
                                        </div>
                                        <div class="row mb-2">
                                            <div class="col-md-12">
                                                <div class="card">
                                                    <div class="card-header">
                                                        <div class="row">
                                                            <div class="col">
                                                                <h6 class="card-title text-primary">Attachments</h6>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="card-body">
                                                        <?php foreach ($attachments as $attachment) { ?>
                                                            <div class="row text-start gx-3 mb-2">
                                                                <div class="col-md-8">
                                                                    <p class="card-text"><span>Name: </span><span class="fw-bolder"><?php echo $attachment['name'] ?></span></p>
                                                                </div>
                                                                <div class="col-md-2">
                                                                    <a class="btn btn-primary btn-sm" href="/itsm/dist/resources/<?php echo $attachment['path'] ?>" download target="_blank"><i class="fas fa-file-download"></i>&nbsp;Download</a>
                                                                </div>
                                                                <div class="col-md-2">
                                                                    <a href="#" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#deleteModal" onclick="deleteRow('<?php echo $attachment['attachment_id'] ?>')"><i class="fas fa-trash-alt fa-1x text-black-300"></i>&nbsp;Delete</a>
                                                                </div>
                                                            </div>
                                                        <?php } ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                </main>
                <?php include "skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/bundle.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/litepicker.js"></script>
        <script src='https://cdn.jsdelivr.net/npm/botman-web-widget@0/build/js/widget.js'></script>
        <script>
                                                                        var botmanWidget = {
                                                                            frameEndpoint: '../botman/chat_frame.html',
                                                                            chatServer: '../botman/exys.php?user= <?php echo $_SESSION['user']['user_id'] ?>',
                                                                            dateTimeFormat: 'd/m/yy HH:MM',
                                                                            title: '<?php echo $paramBotTitle ?>',
                                                                            introMessage: 'Hi <?php echo $_SESSION['user']['name'] . $_SESSION['user']['last_name'] ?>, I am Exys, how can I help you?<br><br>If you have any questions, type <strong>help</strong> to see the list of commands',
                                                                            placeholderText: 'Send a message...',
                                                                            bubbleBackground: '#FFFFFF',
                                                                            mainColor: '#212832',
                                                                            headerTextColor: '#fff',
                                                                            bubbleAvatarUrl: 'resources/chatbot.png',
                                                                            aboutLink: '',
                                                                            aboutText: '<?php echo $paramBotAboutText ?>'
                                                                        };
        </script>

        <!-- Add comment -->
        <div class="modal fade" id="addCommentModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Add comment</h5>
                        <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label for="inputAddComment" class="col-form-label">Comment *</label>
                                <textarea class="form-control" id="inputAddComment" rows="5" maxlength="50" placeholder="Write the comment here..."></textarea>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" type="button" id="addCommentBtnModal">Add comment</button>
                        <button class="btn btn-outline-dark" type="button" data-bs-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- Add attachment -->
        <div class="modal fade" id="addAttachmentModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Add attachment</h5>
                        <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label class="small mb-1" for="inputName">Name *</label>
                                <input class="form-control" id="inputName" type="text" placeholder="Name" value="" />
                            </div>
                            <div class="form-group">
                                <img class="img-account-profile mb-2" id="inputFile" src="" alt="" style="max-width:50%;"  />
                                <input type="file" class="form-control pt-2" name="image" id="image" accept="image/png, image/gif, image/jpeg">
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" type="button" id="addAttachmentBtnModal">Add attachment</button>
                        <button class="btn btn-outline-dark" type="button" data-bs-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- Delete Modal -->
        <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Delete Attachment</h5>
                        <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">Do you want to delete the attachment?</div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" type="button" id="deleteBtnModal" data-bs-dismiss="modal">Delete</button>
                        <button class="btn btn-outline-dark" type="button" data-bs-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
