<?php
session_start();
require_once('../itsm/dist/control/functions.php');
require_once('../itsm/dist/control/Database.php');
managementSession();
// Database Connection
$conn = new Database();

$paramBotTitle = obtainParameterValue($conn, 13);
$paramBotAboutText = obtainParameterValue($conn, 14);

$my_tickets = obtainUserTicketsOpen($conn, $_SESSION['user']['user_id'], 1);
$my_tickets_all = obtainUserTicketsAll($conn, $_SESSION['user']['user_id'], 1);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS Portal | My Incidents </title>
        <link href="css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/portal/resources/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="/itsm/dist/js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <script>
            $(document).ready(function () {


                $('#search_ticket').keyup(function () {
                    var input, filter, cards1, cards2, cardContainer1, cardContainer2, h3, title, i;
                    input = document.getElementById("search_ticket");
                    filter = input.value.toUpperCase();
                    cardContainer1 = document.getElementById("myItems1");
                    cardContainer2 = document.getElementById("myItems2");
                    cards1 = cardContainer1.getElementsByClassName("col-card");
                    cards2 = cardContainer2.getElementsByClassName("col-card");
                    for (i = 0; i < cards1.length; i++) {
                        title = cards1[i].querySelector(".card-header h6.card-title");
                        if (title.innerText.toUpperCase().indexOf(filter) > -1) {
                            cards1[i].style.display = "";
                        } else {
                            cards1[i].style.display = "none";
                        }
                    }
                    for (i = 0; i < cards2.length; i++) {
                        title = cards2[i].querySelector(".card-header h6.card-title");
                        if (title.innerText.toUpperCase().indexOf(filter) > -1) {
                            cards2[i].style.display = "";
                        } else {
                            cards2[i].style.display = "none";
                        }
                    }
                });

                $('input[type=search]').on('search', function () {
                    $('#myItems1').children().show();
                    $('#myItems2').children().show();
                });

                // Active bot animation
                animationBot();

                // Active menu
                activeMenu('#menu_my_incidents');
            });
        </script>

        <!-- END Added by Dev -->
    </head>
    <body class="nav-fixed">
        <?php include "skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-light">
                    <?php include "skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark page-header-dark bg-primary">
                        <div class="container-xl-fluid px-4">
                            <div class="page-header-content pt-4">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-exclamation-triangle"></i></div>
                                            My Incidents
                                        </h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl-fluid px-4 mt-2">
                        <div class="card">
                            <div class="card-header border-bottom">
                                <ul class="nav nav-tabs card-header-tabs" id="cardTab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="open-tab" href="#open" data-bs-toggle="tab" role="tab" aria-controls="open" aria-selected="true">Open</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="all-tab" href="#all" data-bs-toggle="tab" role="tab" aria-controls="all" aria-selected="false">All</a>
                                    </li>
                                </ul> 
                            </div>
                            <div class="card-body">
                                <div class="row justify-content-center"">
                                    <div class="col-xxl-4 col-xl-4">
                                        <input class="form-control" type="search" placeholder="Search by ticket number..." aria-label="Search" id="search_ticket">
                                    </div>
                                </div>
                                <div class="tab-content" id="cardTabContent">
                                    <div class="tab-pane fade show active" id="open" role="tabpanel" aria-labelledby="open-tab">
                                        <div class="row mt-4" id="myItems1">
                                            <?php foreach ($my_tickets as $my_ticket) { ?>
                                                <div class="col-xxl-3 col-xl-3 mb-4 animated--fade-in-up col-card">
                                                    <div class="card">
                                                        <div class="card-header">
                                                            <div class="row">
                                                                <div class="col">
                                                                    <h6 class="card-title text-primary"><?php echo $my_ticket['ticket_number'] ?></h6>
                                                                </div>
                                                                <div class="col">
                                                                    <div class="text-end d-none d-sm-none d-md-block"><?php echo date('d-m-y H:i', strtotime($my_ticket['creation_date'])) ?></div>
                                                                    <div class="text-end d-block d-sm-none"><?php echo date('d-m-y', strtotime($my_ticket['creation_date'])) ?></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="card-body">
                                                            <div class="row">
                                                                <div class="col-xxl-3 col-xl-3 mb-4 fs-8 text-center">
                                                                    <div class="row">
                                                                        <div class="col">
                                                                            <p class="card-text"><img class="img-fluid img-card-width" src="/itsm/dist/resources/<?php echo $my_ticket['category_picture'] ?>"/></p>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xxl-9 col-xl-9 mb-2 fs-8">
                                                                    <div class="row">
                                                                        <div class="col-12">
                                                                            <p class="card-text">Category: <span class="fw-bolder"><?php echo $my_ticket['category_name'] ?></span></p>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-12">
                                                                            <p class="card-text">Title: <span class="fw-bolder"><?php echo $my_ticket['title'] ?></span></p>
                                                                        </div>                                                        
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-12">
                                                                            <p class="card-text">Status: <span class="fw-bolder"><?php echo $my_ticket['status'] ?></span></p>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-12">
                                                                            <p class="card-text">SLA: <span class="fw-bolder"><?php if (!empty($my_ticket['sla_date'])) {
                                                    echo date('d-m-y h:i', strtotime($my_ticket['sla_date']));
                                                } ?></span></p>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row mt-0">
                                                                <div class="col text-center">
                                                                    <a href="my-incidents-details.php?ticket=<?php echo $my_ticket['ticket_number'] ?>" class="btn btn-primary lift">Details</a>                                           
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
<?php } ?>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="all" role="tabpanel" aria-labelledby="all-tab">
                                        <div class="row mt-4" id="myItems2">
<?php foreach ($my_tickets_all as $my_ticket_all) { ?>
                                                <div class="col-xxl-3 col-xl-3 mb-4 animated--fade-in-up col-card">
                                                    <div class="card">
                                                        <div class="card-header">
                                                            <div class="row">
                                                                <div class="col">
                                                                    <h6 class="card-title text-primary"><?php echo $my_ticket_all['ticket_number'] ?></h6>
                                                                </div>
                                                                <div class="col">
                                                                    <div class="text-end d-none d-sm-none d-md-block"><?php echo date('d-m-y H:i', strtotime($my_ticket_all['creation_date'])) ?></div>
                                                                    <div class="text-end d-block d-sm-none"><?php echo date('d-m-y', strtotime($my_ticket_all['creation_date'])) ?></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="card-body">
                                                            <div class="row">
                                                                <div class="col-xxl-3 col-xl-3 mb-4 fs-8 text-center">
                                                                    <div class="row">
                                                                        <div class="col">
                                                                            <p class="card-text"><img class="img-fluid img-card-width" src="/itsm/dist/resources/<?php echo $my_ticket_all['category_picture'] ?>"/></p>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xxl-9 col-xl-9 mb-2 fs-8">
                                                                    <div class="row">
                                                                        <div class="col-12">
                                                                            <p class="card-text">Category: <span class="fw-bolder"><?php echo $my_ticket_all['category_name'] ?></span></p>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-12">
                                                                            <p class="card-text">Title: <span class="fw-bolder"><?php echo $my_ticket_all['title'] ?></span></p>
                                                                        </div>                                                        
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-12">
                                                                            <p class="card-text">Status: <span class="fw-bolder"><?php echo $my_ticket_all['status'] ?></span></p>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-12">
                                                                            <p class="card-text">SLA: <span class="fw-bolder"><?php if (!empty($my_ticket_all['sla_date'])) {
        echo date('d-m-y h:i', strtotime($my_ticket_all['sla_date']));
    } ?></span></p>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row mt-0">
                                                                <div class="col text-center">
                                                                    <a href="my-incidents-details.php?ticket=<?php echo $my_ticket_all['ticket_number'] ?>" class="btn btn-primary lift">Details</a>                                        
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
<?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
<?php include "skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/bundle.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/litepicker.js"></script>
        <script src='https://cdn.jsdelivr.net/npm/botman-web-widget@0/build/js/widget.js'></script>
        <script>
            var botmanWidget = {
                frameEndpoint: '../botman/chat_frame.html',
                chatServer: '../botman/exys.php?user= <?php echo $_SESSION['user']['user_id'] ?>',
                dateTimeFormat: 'd/m/yy HH:MM',
                title: '<?php echo $paramBotTitle ?>',
                introMessage: 'Hi <?php echo $_SESSION['user']['name'] . $_SESSION['user']['last_name'] ?>, I am Exys, how can I help you?<br><br>If you have any questions, type <strong>help</strong> to see the list of commands',
                placeholderText: 'Send a message...',
                bubbleBackground: '#FFFFFF',
                mainColor: '#212832',
                headerTextColor: '#fff',
                bubbleAvatarUrl: 'resources/chatbot.png',
                aboutLink: '',
                aboutText: '<?php echo $paramBotAboutText ?>'
            };
        </script>
    </body>
</html>
