<?php
session_start();
require_once('../itsm/dist/control/functions.php');
require_once('../itsm/dist/control/Database.php');
managementSession();
// Database Connection
$conn = new Database();

$paramBotTitle = obtainParameterValue($conn, 13);
$paramBotAboutText = obtainParameterValue($conn, 14);

$my_tickets = obtainUserTicketsOpen($conn, $_SESSION['user']['user_id'], 1);
$my_tickets_all = obtainUserTicketsAll($conn, $_SESSION['user']['user_id'], 1);

if (isset($_GET['category'])) {
// GET vars
    $category_id = $_GET['category'];
}

$category = obtainCategory($conn, $category_id);
$catalog_lv1 = obtainCategoriesLvl($conn, 'Service Requests', $category_id, 2);

$affected_users = obtainUsersList($conn); // Obtain Affected Users List
$urgency = obtainUrgencyList($conn); // Obtain Urgency List
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>EXYS Portal | New Service Request </title>
        <link href="css/styles.css" rel="stylesheet" />
        <link rel="icon" type="image/x-icon" href="/portal/resources/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>

        <!-- BEGIN Added by Dev -->
        <script src="/itsm/dist/js/dev/functions.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <!-- Toastr Plugin -->
        <link rel="stylesheet" type="text/css" href="/itsm/dist/toastr/toastr.css">
        <script type="text/javascript" src="/itsm/dist/toastr/toastr.js"></script>

        <script>
            $(document).ready(function () {

                // *** Set Modal Form ***

                $('#selectAffectedUser').html('<?php
echo '<option disabled selected value="">Affected User</option>';
foreach ($affected_users as $affected) {
    echo '<option value="' . $affected['user_id'] . '">' . $affected['name'] . '</option>';
}
?>');
                $('#selectAffectedUser').val(<?php echo $_SESSION['user']['user_id'] ?>);

                $('#selectUrgency').html('<?php
echo '<option disabled selected value="">Urgency</option>';
foreach ($urgency as $urg) {
    echo '<option value="' . $urg['urgency_id'] . '">' . $urg['name'] . '</option>';
}
?>');
                $('#selectUrgency').val(3);

                // Create Service Request
                $('#activeBtnModal').on('click', function () {
                    var affectedUserID = $('#selectAffectedUser option:selected').val();
                    var urgencyID = $('#selectUrgency option:selected').val();
                    var title = $('#inputTitle').val();
                    var description = $('#inputDescription').val();
                    var id = $('#activeBtnModal').val();
                    var userID = <?php echo $_SESSION['user']['user_id']; ?>;
                    if (title.trim() === '') {
                        toastr.error("Enter a Title");
                        $('#inputTitle').focus();
                        return false;
                    } else if (description.trim() === '') {
                        toastr.error("Enter a Description");
                        $('#inputDescription').focus();
                        return false;
                    } else {
                        $.ajax({
                            type: 'POST',
                            url: 'data_portal.php',
                            data: 'action=create&type=REQ&id=' + id + '&affected_user_id=' + affectedUserID + '&urgency_id=' + urgencyID + '&title=' + title + '&description=' + description + '&user_id=' + userID,
                            beforeSend: function () {
                            },
                            success: function (msg) {
                                console.log(msg);
                                $('.btn-close').click();
                                toastr.options = {
                                    "closeButton": true,
                                    "debug": false,
                                    "newestOnTop": false,
                                    "progressBar": false,
                                    "positionClass": "toast-top-right",
                                    "preventDuplicates": true,
                                    "onclick": null,
                                    "showDuration": "300",
                                    "hideDuration": "1000",
                                    "timeOut": "0",
                                    "extendedTimeOut": "1000",
                                    "showEasing": "swing",
                                    "hideEasing": "linear",
                                    "showMethod": "fadeIn",
                                    "hideMethod": "fadeOut"
                                }
                                toastr.success("Service Request no." + msg + " created");
                            }
                        });
                    }
                    return false;
                });

                $('#search_ticket').keyup(function () {
                    var input, filter, cards, cardContainer, h3, title, i;
                    input = document.getElementById("search_ticket");
                    filter = input.value.toUpperCase();
                    cardContainer = document.getElementById("myItems");
                    cards = cardContainer.getElementsByClassName("col-card");
                    for (i = 0; i < cards.length; i++) {
                        title = cards[i].querySelector(".card-body h6.card-text");
                        if (title.innerText.toUpperCase().indexOf(filter) > -1) {
                            cards[i].style.display = "";
                        } else {
                            cards[i].style.display = "none";
                        }
                    }
                });

                $('input[type=search]').on('search', function () {
                    $('#myItems').children().show();
                });

                // *** Inicialize plugins ***
                $('.selectBootstrap').selectpicker();

                // Active bot animation
                animationBot();        
                
                // Active menu
                activeMenu('#menu_new_request');
            });
        </script>

        <!-- END Added by Dev -->
    </head>
    <body class="nav-fixed">
        <?php include "skel/header.php" ?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sidenav shadow-right sidenav-light">
                    <?php include "skel/menu.php" ?>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <header class="page-header page-header-dark page-header-dark bg-success">
                        <div class="container-xl-fluid px-4">
                            <div class="page-header-content pt-4">
                                <div class="row align-items-center justify-content-between">
                                    <div class="col-auto mt-4">
                                        <h1 class="page-header-title">
                                            <div class="page-header-icon"><i class="fas fa-shopping-cart"></i></div>
                                            New Service Request
                                        </h1>
                                    </div>
                                </div>
                                <nav class="mt-4 rounded" aria-label="breadcrumb">
                                    <ol class="breadcrumb px-3 py-2 rounded mb-0">
                                        <li class="breadcrumb-item"><a href="new-request.php">Home</a></li>
                                        <li class="breadcrumb-item active"><?php echo $category['name'] ?></li>
                                    </ol>
                                </nav> 
                            </div>
                        </div>
                    </header>
                    <!-- Main page content-->
                    <div class="container-xl-fluid px-4 mt-2">
                        <div class="card">
                            <div class="card-header border-bottom d-none">
                            </div>
                            <div class="card-body">
                                <div class="row justify-content-center"">
                                    <div class="col-xxl-4 col-xl-4">
                                        <input class="form-control" type="search" placeholder="Search by category name..." aria-label="Search" id="search_ticket">
                                    </div>
                                </div>
                                <div class="row mt-4" id="myItems">
                                    <?php foreach ($catalog_lv1 as $category) { ?>
                                        <div class="col-xxl-3 col-xl-3 mb-4 animated--fade-in-up col-card">
                                            <div class="card">
                                                <div class="card-header d-none">
                                                </div>
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-xxl-12 col-xl-12 mb-4 fs-6 text-center">
                                                            <div class="row">
                                                                <div class="col">
                                                                    <p class="card-text"><img class="img-fluid img-card-width" src="/itsm/dist/resources/<?php echo $category['picture'] ?>"/></p>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-12">
                                                                    <h6 class="card-text pt-2"><span class="fw-bolder"><?php echo $category['name'] ?></span></h6>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-12">
                                                                    <p class="card-text pt-2"><span><?php echo $category['description'] ?></span></p>
                                                                </div>                                                        
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row mt-0">
                                                        <div class="col text-center">
                                                            <?php if ($category['selectable'] == 1) { ?>
                                                                <a href="#" class="btn btn-success mt-2" data-bs-toggle="modal" data-bs-target="#activeModal" onclick="activeRow('<?php echo $category['category_id'] ?>')">Create</a>
                                                            <?php } else { ?>
                                                                <a href="new-request-lv3.php?category=<?php echo $category['category_id'] ?>" class="btn text-success mb-n3"><i class="fas fa-angle-down fa-3x"></i></a>
                                                            <?php } ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
                <?php include "skel/footer.html" ?>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/bundle.js" crossorigin="anonymous"></script>
        <script src="/itsm/dist/js/litepicker.js"></script>
        <script src='https://cdn.jsdelivr.net/npm/botman-web-widget@0/build/js/widget.js'></script>
        <script>
                                                            var botmanWidget = {
                                                                frameEndpoint: '../botman/chat_frame.html',
                                                                chatServer: '../botman/exys.php?user= <?php echo $_SESSION['user']['user_id'] ?>',
                                                                dateTimeFormat: 'd/m/yy HH:MM',
                                                                title: '<?php echo $paramBotTitle ?>',
                                                                introMessage: 'Hi <?php echo $_SESSION['user']['name'] . $_SESSION['user']['last_name'] ?>, I am Exys, how can I help you?<br><br>If you have any questions, type <strong>help</strong> to see the list of commands',
                                                                placeholderText: 'Send a message...',
                                                                bubbleBackground: '#FFFFFF',
                                                                mainColor: '#212832',
                                                                headerTextColor: '#fff',
                                                                bubbleAvatarUrl: 'resources/chatbot.png',
                                                                aboutLink: '',
                                                                aboutText: '<?php echo $paramBotAboutText ?>'
                                                            };
        </script>

        <!-- Bootstrap Select Plugin -->
        <link rel="stylesheet" href="../itsm/dist/bootstrap-select-1.14-dev/dist/css/bootstrap-select.min.css">
        <script src="../itsm/dist/bootstrap-select-1.14-dev/dist/js/bootstrap-select.min.js"></script>

        <!-- Create Ticket -->
        <div class="modal fade" id="activeModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Create Service Request</h5>
                        <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label class="small mb-1" for="selectAffectedUser">Affected User *</label>
                                <select class="form-control selectBootstrap" data-live-search="true" id="selectAffectedUser" style="line-height:1.4">
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="small mb-1" for="selectUrgency">Urgency *</label>
                                <select class="form-control selectBootstrap" data-live-search="true" id="selectUrgency" style="line-height:1.4">
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="small mb-1" for="inputTitle">Title *</label>
                                <input class="form-control" id="inputTitle" type="text" placeholder="Title" value="" />
                            </div>
                            <div class="form-group">
                                <label for="inputDescription" class="col-form-label">Description *</label>
                                <textarea class="form-control" id="inputDescription" rows="5"  placeholder="Write the description here..."></textarea>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-success" type="button" id="activeBtnModal">Create</button>
                        <button class="btn btn-outline-dark" type="button" data-bs-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
