<?php
//session_start();

$conn = new Database();

$user_favorites = obtainUserFavorites($conn, $_SESSION['user']['user_id']);
$user_permissions = obtainUserRolePermissions($conn, $_SESSION['user']['user_id']);
$alerts_unread = obtainNumberAlertsUnread($conn, $_SESSION['user']['user_id']);
?>
<div class="sidenav-menu">
    <div class="nav accordion" id="accordionSidenav">
        <!-- Sidenav Menu Heading (Account)-->
        <!-- * * Note: * * Visible only on and above the sm breakpoint-->
        <div class="sidenav-menu-heading d-sm-none">Account</div>
        <!-- Sidenav Link (Alerts)-->
        <!-- * * Note: * * Visible only on and above the sm breakpoint-->
        <a class="nav-link d-sm-none" href="alerts.php">
            <div class="nav-link-icon"><i data-feather="bell"></i></div>
            Alerts
            <?php
            if ($alerts_unread > 0) {
                echo '<span class="badge bg-danger text-light ms-auto"> ' . $alerts_unread . ' New! </span>';
            }
            ?>
        </a>
        <!--<a class="nav-link d-sm-none" href="favorites.php">
            <div class="nav-link-icon"><i data-feather="star"></i></div>
            Favorites
        </a>-->

        <!-- Sidenav Menu Heading (Core)-->        
        <div class="sidenav-menu-heading">Home</div>
        <!-- Sidenav Accordion (Favorites)-->
        <!--<a class="nav-link collapsed" href="javascript:void(0);" data-bs-toggle="collapse" data-bs-target="#collapseFavorites" aria-expanded="false" aria-controls="collapseDashboards">
            <div class="nav-link-icon"><i class="fas fa-star"></i></div>
            &nbsp;Favorites
            <div class="sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
        </a>-->
        <div class="collapse" id="collapseFavorites" data-bs-parent="#accordionSidenav">
            <nav class="sidenav-menu-nested nav accordion" id="accordionSidenavPages">
                <?php
                foreach ($user_favorites as $user_favorite) {
                    echo '<a class="nav-link" href="' . $user_favorite['link'] . '">' . $user_favorite['name'] . '</a>';
                }
                ?>
            </nav>
        </div>

        <a class="nav-link" href="index.php" id="menu_home">
            <div class="nav-link-icon"><i class="fas fa-chart-line"></i></div>
            &nbsp;Home
        </a>

        <?php if ($user_permissions['new_incident'] == 1) { ?>
            <a class="nav-link" href="new-incident.php" id="menu_new_incident">
                <div class="nav-link-icon"><i class="fas fa-exclamation-triangle"></i></div>
                &nbsp;New Incident 
            </a>
        <?php } ?>
        <?php if ($user_permissions['new_request'] == 1) { ?>
            <a class="nav-link" href="new-request.php" id="menu_new_request">
                <div class="nav-link-icon"><i class="fas fa-shopping-cart"></i></div>
                &nbsp;New Request 
            </a>
        <?php } ?>
        <?php if ($user_permissions['my_incidents'] == 1) { ?>
            <a class="nav-link" href="my-incidents.php" id="menu_my_incidents">
                <div class="nav-link-icon"><i class="fas fa-ticket-alt"></i></div>
                &nbsp;My Incidents&nbsp;<span class="badge bg-danger text-light ms-auto d-sm-none"><?php echo $kpi_my_inc_open ?> open </span>
            </a>
        <?php } ?>
        <?php if ($user_permissions['my_requests'] == 1) { ?>
            <a class="nav-link" href="my-requests.php" id="menu_my_requests">
                <div class="nav-link-icon"><i class="fas fa-receipt"></i></div>
                &nbsp;&nbsp;My Requests&nbsp;<span class="badge bg-danger text-light ms-auto d-sm-none"><?php echo $kpi_my_req_open ?> open </span>
            </a>
        <?php } ?>
        <?php if ($user_permissions['time_management'] == 1) { ?>
            <a class="nav-link" href="time-management.php" id="menu_time_management">
                <div class="nav-link-icon"><i class="fas fa-user-clock"></i></div>
                Time Management
            </a>
        <?php } ?>
    </div>
</div>
<!-- Sidenav Footer-->
<div class="sidenav-footer">
    <div class="sidenav-footer-content">
        <div class="sidenav-footer-subtitle"></div>
        <div class="sidenav-footer-title"></div>
    </div>
</div>
